CREATE TABLE `order_cloth` (
                               `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                               `order_no` varchar(50) DEFAULT NULL COMMENT '订单编号',
                               `org_id` bigint(20) DEFAULT NULL COMMENT '门店/工厂ID',
                               `source_type` varchar(2) DEFAULT NULL COMMENT '来源类型',
                               `factory_id` bigint(20) DEFAULT NULL COMMENT '工厂ID',
                               `app_user_id` bigint(20) DEFAULT NULL COMMENT '客户ID',
                               `order_type` varchar(2) DEFAULT '0' COMMENT '订单类型（0=普通订单，1=云洗订单，2=第三方订单）',
                               `contact_name` varchar(20) DEFAULT NULL COMMENT '联系人',
                               `contact_phone` varchar(20) DEFAULT NULL COMMENT '联系人手机号',
                               `order_amount` decimal(14,2) DEFAULT NULL COMMENT '订单总金额',
                               `order_cloth_price` decimal(11,2) DEFAULT NULL COMMENT '衣服总金额',
                               `order_cloth_count` int(11) DEFAULT NULL COMMENT '衣服件数',
                               `pay_amount` decimal(14,2) DEFAULT NULL COMMENT '支付金额',
                               `pay_info` varchar(300) DEFAULT NULL COMMENT '支付信息',
                               `coupon_deduct_amount` decimal(11,2) DEFAULT NULL COMMENT '优惠券抵扣金额',
                               `cash_deduct_amount` decimal(11,2) DEFAULT NULL COMMENT '现金券抵扣金额',
                               `pay_time_type` varchar(1) DEFAULT '0' COMMENT '付款时间（0=收衣付款,1=取衣付款）',
                               `pay_type` char(1) DEFAULT NULL COMMENT '支付方式（0=微信，1=支付宝，2=现金，3=会员卡）',
                               `pay_time` datetime DEFAULT NULL COMMENT '支付时间',
                               `has_pay` char(1) DEFAULT NULL COMMENT '是否付款',
                               `out_trade_order_no` varchar(100) DEFAULT NULL COMMENT '支付宝/微信支付订单号',
                               `order_source` varchar(10) DEFAULT NULL COMMENT '下单渠道（APP=APP，WXAPP=小程序，OFFLINE=线下门店）',
                               `appointment_time` datetime DEFAULT NULL COMMENT '预约时间（yyyy-MM-dd HH:mm）',
                               `appointment_count` int(11) DEFAULT NULL COMMENT '预约件数',
                               `order_status` varchar(10) DEFAULT NULL COMMENT '订单状态（0=预约待取，1=待上门，2=已上门，3=已取货、待定价，4=已定价、待支付，5=支付确认中，6=清洗中，7=已上挂，8=待送衣，9=送衣中，10=已完成、待评价，11=已完成，100=已取消）',
                               `take_cloth_time` datetime DEFAULT NULL COMMENT '收衣时间',
                               `take_cloth_app_user_id` bigint(20) DEFAULT NULL COMMENT '收衣人',
                               `set_price_time` datetime DEFAULT NULL COMMENT '定价时间',
                               `pick_up_time` datetime DEFAULT NULL COMMENT '取货时间',
                               `wash_cloth_start_time` datetime DEFAULT NULL COMMENT '开始洗衣时间',
                               `wash_cloth_end_time` datetime DEFAULT NULL COMMENT '结束洗衣时间',
                               `send_to_store_time` datetime DEFAULT NULL COMMENT '送店时间',
                               `plan_send_to_user_time` datetime DEFAULT NULL COMMENT '预计取衣时间',
                               `send_to_user_time` datetime DEFAULT NULL COMMENT '送衣时间',
                               `refund_status` varchar(2) DEFAULT '0' COMMENT '退款状态（0=正常，1=退款申请中，2=退款同意，3=退款拒绝，4=退款取消）',
                               `send_cloth_app_user_id` bigint(20) DEFAULT NULL COMMENT '送衣人',
                               `take_cloth_way` char(1) DEFAULT NULL COMMENT '收衣方式（0=到店，1=上门）',
                               `send_cloth_way` char(1) DEFAULT NULL COMMENT '取衣方式（0=到店，1=上门）',
                               `coupon_amount` decimal(14,2) DEFAULT NULL COMMENT '优惠券优惠总金额',
                               `finish_time` datetime DEFAULT NULL COMMENT '订单完成',
                               `is_disassembly_and_assembly` char(1) DEFAULT 'N' COMMENT '是否拆装',
                               `is_large_item` char(1) DEFAULT 'N' COMMENT '是否大件',
                               `cloth_speed_id` bigint(20) DEFAULT NULL COMMENT '订单加急',
                               `cloth_speed_name` varchar(20) DEFAULT NULL COMMENT '订单加急',
                               `is_special` char(1) DEFAULT NULL COMMENT '是否特殊',
                               `employee_id` bigint(20) DEFAULT NULL COMMENT '门店员工ID',
                               `del_flag` char(1) DEFAULT '0' COMMENT '删除状态（0=正常,2=删除）',
                               `create_by_id` bigint(20) DEFAULT NULL COMMENT '创建人ID',
                               `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
                               `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                               `update_by_id` bigint(20) DEFAULT NULL COMMENT '修改人ID',
                               `update_by` varchar(50) DEFAULT NULL COMMENT '修改人',
                               `update_time` datetime DEFAULT NULL COMMENT '修改时间',
                               `remark` varchar(50) DEFAULT NULL COMMENT '备注',
                               PRIMARY KEY (`id`) USING BTREE,
                               UNIQUE KEY `order_cloth_pk` (`order_no`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=174 DEFAULT CHARSET=utf8mb4 COMMENT='洗衣订单';


CREATE TABLE `order_cloth_refund` (
                               `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                               `order_no` varchar(50) DEFAULT NULL COMMENT '订单编号',
                               `refund_no` varchar(50) DEFAULT NULL COMMENT '退款编号',
                               `org_id` bigint(20) DEFAULT NULL COMMENT '门店ID',
                               `source_type` varchar(2) DEFAULT NULL COMMENT '来源类型',
                               `factory_id` bigint(20) DEFAULT NULL COMMENT '工厂ID',
                               `app_user_id` bigint(20) DEFAULT NULL COMMENT '客户ID',
                               `contact_name` varchar(20) DEFAULT NULL COMMENT '联系人',
                               `contact_phone` varchar(20) DEFAULT NULL COMMENT '联系人手机号',
                               `order_amount` decimal(14,2) DEFAULT NULL COMMENT '订单总金额',
                               `pay_amount` decimal(14,2) DEFAULT NULL COMMENT '支付金额',
                               `pay_info` varchar(300) DEFAULT NULL COMMENT '支付信息',
                               `pay_type` char(1) DEFAULT NULL COMMENT '支付方式（0=微信，1=支付宝，2=现金，3=会员卡）',
                               `out_trade_order_no` varchar(100) DEFAULT NULL COMMENT '支付宝/微信支付订单号',
                               `refund_amount` decimal(14,2) DEFAULT NULL COMMENT '退款金额',
                               `refund_info` varchar(300) DEFAULT NULL COMMENT '退款信息',
                               `refund_apply_time` datetime DEFAULT NULL COMMENT '退款申请时间',
                               `refund_time` datetime DEFAULT NULL COMMENT '退款时间',
                               `refund_status` varchar(2) DEFAULT '0' COMMENT '退款状态（0=正常，1=退款申请中，2=退款同意，3=退款拒绝，4=退款取消）',
                               `refund_reason` varchar(200) DEFAULT NULL COMMENT '退款原因',
                                `reject_reason` varchar(200) DEFAULT NULL COMMENT '拒绝原因',
                               `del_flag` char(1) DEFAULT '0' COMMENT '删除状态（0=正常,2=删除）',
                               `create_by_id` bigint(20) DEFAULT NULL COMMENT '创建人ID',
                               `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
                               `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                               `update_by_id` bigint(20) DEFAULT NULL COMMENT '修改人ID',
                               `update_by` varchar(50) DEFAULT NULL COMMENT '修改人',
                               `update_time` datetime DEFAULT NULL COMMENT '修改时间',
                               `remark` varchar(50) DEFAULT NULL COMMENT '备注',
                               PRIMARY KEY (`id`) USING BTREE,
                               UNIQUE KEY `order_cloth_pk` (`order_no`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=174 DEFAULT CHARSET=utf8mb4 COMMENT='洗衣退款订单';


`cash_pay_amount` decimal(10,2) DEFAULT '0.00'
                               `ali_pay_amount` decimal(10,2) DEFAULT '0.00',
                               `wx_pay_amount` decimal(10,2) DEFAULT '0.00',
                               `true_pay_mount` decimal(14,2) DEFAULT NULL COMMENT '储值卡实际支付金额',
                               `give_pay_mount` decimal(14,2) DEFAULT NULL COMMENT '赠送金额支付金额',
                               `welfare_pay_mount` decimal(14,2) DEFAULT NULL COMMENT '福利金支付金额',