package com.yiqi.web.controller.system;

import java.util.List;

import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.yiqi.common.core.controller.BaseController;
import com.yiqi.common.core.domain.AjaxResult;
import com.yiqi.system.domain.SysArea;
import com.yiqi.system.service.ISysAreaService;

/**
 * 地区码Controller
 *
 * @author ruoyi
 * @date 2023-07-22
 */
@RestController
@RequestMapping("/system/area")
public class SysAreaController extends BaseController {
    @Autowired
    private ISysAreaService sysAreaService;

    /**
    * 查询地区码列表
    */
    @ApiOperation("查询地区码列表")
    @GetMapping("/list")
    public AjaxResult list(SysArea sysArea) {
        List<SysArea> list = sysAreaService.selectSysAreaList(sysArea);
        return success(list);
    }

}
