package com.yiqi.activity.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 指定衣服折扣活动明细对象 activity_cloth_item
 *
 * @author xiaohei
 * @date 2023-09-11
 */
@ApiModel("指定衣服折扣活动明细")
@TableName("activity_cloth_item")
@Data
public class ActivityClothItem extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 活动ID */
    @ApiModelProperty("活动ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long activityId;

    /** 衣服ID */
    @Excel(name = "衣服ID")
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothItemId;

    /** 指定价格 */
    @Excel(name = "指定价格")
    @ApiModelProperty("指定价格")
    private BigDecimal price;

    /** 指定折扣 */
    @Excel(name = "指定折扣")
    @ApiModelProperty("指定折扣")
    private BigDecimal discount;

    /** 洗衣类型ID */
    @Excel(name = "洗衣类型ID")
    @ApiModelProperty("洗衣类型IDs")
    @JsonSerialize(using = ToStringSerializer.class)
    private String washModeIds;

    /** 删除状态（0=正常,2=删除） */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
