package com.yiqi.activity.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 注册送券活动优惠券明细对象 activity_coupon_item
 *
 * @author xiaohei
 * @date 2023-09-09
 */
@ApiModel("注册送券活动优惠券明细")
@TableName("activity_coupon_item")
@Data
public class ActivityCouponItem extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 活动ID */
    @Excel(name = "活动ID")
    @ApiModelProperty("活动ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long activityId;

    /** 优惠券类型ID */
    @Excel(name = "优惠券类型ID")
    @ApiModelProperty("优惠券类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long couponTypeId;

    /** 优惠券库存 */
    @Excel(name = "优惠券库存")
    @ApiModelProperty("优惠券库存")
    private Long couponStock;

    /** 是否自定义有效期 */
    @Excel(name = "是否自定义有效期")
    @ApiModelProperty("是否自定义有效期")
    private String isCustomValidityPeriod;

    /** 优惠券有效期开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "优惠券有效期开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("优惠券有效期开始日期")
    private Date startDate;

    /** 优惠券有效期结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "优惠券有效期结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("优惠券有效期结束日期")
    private Date endDate;

    /** 删除状态（0=正常,2=删除） */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
