package com.yiqi.activity.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 全场折扣活动对象 activity_discount_info
 *
 * @author xiaohei
 * @date 2023-09-11
 */
@ApiModel("全场折扣活动")
@TableName("activity_discount_info")
@Data
public class ActivityDiscountInfo extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 活动ID */
    @Excel(name = "活动ID")
    @ApiModelProperty("活动ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long activityId;

    /** 折扣 */
    @Excel(name = "折扣")
    @ApiModelProperty("折扣")
    private BigDecimal discount;

    /** 适用用户范围（0=全部用户，1=会员用户） */
    @Excel(name = "适用用户范围", readConverterExp = "0==全部用户，1=会员用户")
    @ApiModelProperty("适用用户范围（0=全部用户，1=会员用户）")
    private String userScope;

    /** 支付范围（0=全部,1=现金,2=余额） */
    @Excel(name = "支付范围", readConverterExp = "0==全部,1=现金,2=余额")
    @ApiModelProperty("支付范围（0=全部,1=现金,2=余额）")
    private String payScope;

    /** 删除状态（0=正常,2=删除） */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
