package com.yiqi.activity.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 拼团送券活动对象 activity_group_info
 *
 * @author xiaohei
 * @date 2023-09-12
 */
@ApiModel("拼团送券活动")
@TableName("activity_group_info")
@Data
public class ActivityGroupInfo extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 活动ID */
    @ApiModelProperty("活动ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long activityId;

    /** 是否可多张券使用 */
    @Excel(name = "是否可多张券使用")
    @ApiModelProperty("是否可多张券使用")
    private String canMultiUse;

    /** 一次订单最多可使用券数量 */
    @Excel(name = "一次订单最多可使用券数量")
    @ApiModelProperty("一次订单最多可使用券数量")
    private Long maxUseCount;

    /** 是否展示在app购买页 */
    @Excel(name = "是否展示在app购买页")
    @ApiModelProperty("是否展示在app购买页")
    private String isShowAppBuyPage;

    /** 是否展示在小程序购买页 */
    @Excel(name = "是否展示在小程序购买页")
    @ApiModelProperty("是否展示在小程序购买页")
    private String isShowWxBuyPage;

    /** 是否展示在小程序购买页（扫码进入） */
    @Excel(name = "是否展示在小程序购买页", readConverterExp = "扫=码进入")
    @ApiModelProperty("是否展示在小程序购买页（扫码进入）")
    private String isShowWxBuyPageFromQrcode;

    /** 活动最大可参与次数（0为不限制） */
    @Excel(name = "活动最大可参与次数", readConverterExp = "0=为不限制")
    @ApiModelProperty("活动最大可参与次数（0为不限制）")
    private Long maxBuyCount;

    /** 拼团价格 */
    @Excel(name = "拼团价格")
    @ApiModelProperty("拼团价格")
    private BigDecimal groupPrice;

    /** 拼团人数 */
    @Excel(name = "拼团人数")
    @ApiModelProperty("拼团人数")
    private Long groupNum;


}
