package com.yiqi.activity.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 充值多送活动对象 activity_recharge_item
 *
 * @author xiaohei
 * @date 2023-09-10
 */
@ApiModel("充值多送活动")
@TableName("activity_recharge_item")
@Data
public class ActivityRechargeItem extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 活动ID */
    @Excel(name = "活动ID")
    @ApiModelProperty("活动ID")
    private Long activityId;

    /** 充值类型ID */
    @Excel(name = "充值类型ID")
    @ApiModelProperty("充值类型ID")
    private Long rechargeTypeId;

    /** 活动赠送金额 */
    @Excel(name = "活动赠送金额")
    @ApiModelProperty("活动赠送金额")
    private BigDecimal activityGiveAmount;

    /** 删除状态（0=正常,2=删除） */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
