package com.yiqi.activity.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ActivityClothItemMinPriceVO extends BaseEntity
{


    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 活动ID */
    @ApiModelProperty("活动ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long activityId;

    /** 衣服ID */
    @Excel(name = "衣服ID")
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothItemId;

    /** 指定价格 */
    @Excel(name = "指定价格")
    @ApiModelProperty("指定价格")
    private BigDecimal price;

    /** 洗衣类型ID */
    @Excel(name = "洗衣类型ID")
    @ApiModelProperty("洗衣类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long washModeId;

    /** 删除状态（0=正常,2=删除） */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;

    @ApiModelProperty("最小指定价格")
    private BigDecimal minPrice;
}
