package com.yiqi.activity.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 指定衣服折扣活动明细对象 activity_cloth_item
 *
 * @author xiaohei
 * @date 2023-09-11
 */
@Data
public class ActivityClothItemVO extends BaseEntity
{
    private static final long serialVersionUID=1L;

    @ApiModelProperty("ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 主键ID */
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothId;

    /** 衣服ID */
    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String clothItemName;

//    /** 指定价格 */
//    @Excel(name = "指定价格")
//    @ApiModelProperty("指定价格")
//    private BigDecimal price;

    /** 指定折扣 */
    @Excel(name = "指定折扣")
    @ApiModelProperty("指定折扣")
    private BigDecimal discount;

    /** 洗衣类型ID */
    @Excel(name = "洗衣类型ID")
    @ApiModelProperty("洗衣类型ID")
    private String washModeIds;

    @ApiModelProperty("洗衣类型名称")
    private String washModeName;

    /** 删除状态（0=正常,2=删除） */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
