package com.yiqi.activity.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author xiaohei
 * @date 2023-09-08
 */
@Data
public class ActivityInfoVO extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String title;

    /** 描述 */
    @Excel(name = "描述")
    @ApiModelProperty("描述")
    private String description;

    /** 宣传图片 */
    @Excel(name = "宣传图片")
    @ApiModelProperty("宣传图片")
    private String imgUrl;

    /** 内容 */
    @Excel(name = "内容")
    @ApiModelProperty("内容")
    private String content;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private Date startDate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private Date endDate;

//    /** 适用用户范围（0=全部用户，1=会员用户） */
//    @Excel(name = "适用用户范围", readConverterExp = "0==全部用户，1=会员用户")
//    @ApiModelProperty("适用用户范围（0=全部用户，1=会员用户）")
//    private String userScope;
//
//    /** 支付范围（0=全部,1=现金,2=余额） */
//    @Excel(name = "支付范围", readConverterExp = "0==全部,1=现金,2=余额")
//    @ApiModelProperty("支付范围（0=全部,1=现金,2=余额）")
//    private String payScope;

    /** 活动类型（0=充值多送,1=注册送券,2=全场折扣,3=指定折扣） */
    @Excel(name = "活动类型", readConverterExp = "0==充值多送,1=注册送券,2=全场折扣,3=指定折扣")
    @ApiModelProperty("活动类型（0=充值多送,1=注册送券,2=全场折扣,3=指定折扣）")
    private String activityType;

    /** 状态（0=正常,1=停用） */
    @Excel(name = "状态", readConverterExp = "0==正常,1=停用")
    @ApiModelProperty("状态（0=正常,1=停用）")
    private String status;


}
