package com.yiqi.activity.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.common.core.domain.vo.SelectItemVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author xiaohei
 * @date 2023/9/10
 */
@Data
public class ActivityRechargeVO extends BaseEntity {

    /** 主键ID */
    @ApiModelProperty("主键ID")
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String title;

    /** 描述 */
    @Excel(name = "描述")
    @ApiModelProperty("描述")
    private String description;

    /** 宣传图片 */
    @Excel(name = "宣传图片")
    @ApiModelProperty("宣传图片")
    private String imgUrl;

    /** 内容 */
    @Excel(name = "内容")
    @ApiModelProperty("内容")
    private String content;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private Date startDate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private Date endDate;

    /** 活动类型（0=充值多送,1=注册送券,2=全场折扣,3=指定折扣） */
    @Excel(name = "活动类型", readConverterExp = "0==充值多送,1=注册送券,2=全场折扣,3=指定折扣")
    @ApiModelProperty("活动类型（0=充值多送,1=注册送券,2=全场折扣,3=指定折扣）")
    private String activityType;

    /** 状态（0=正常,1=停用） */
    @Excel(name = "状态", readConverterExp = "0==正常,1=停用")
    @ApiModelProperty("状态（0=正常,1=停用）")
    private String status;

    @ApiModelProperty("已选择的门店ID")
    private List<Long> selectStoreIds = new ArrayList<>();

    @ApiModelProperty("可选择的门店")
    private List<SelectItemVO> storeVOS;
}
