package com.yiqi.activity.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.activity.domain.ActivityApplyOrg;

/**
 * 活动适用组织Service接口
 *
 * @author ruoyi
 * @date 2023-09-10
 */
public interface IActivityApplyOrgService extends IService<ActivityApplyOrg> {
    /**
     * 查询活动适用组织
     *
     * @param id 活动适用组织主键
     * @return 活动适用组织
     */
    public ActivityApplyOrg selectActivityApplyOrgById(Long id);


    /**
     * 根据活动id查询活动适用组织数量
     * @param activityId
     * @return
     */
    public Long getActivityApplyOrgNumByActivityId(Long activityId);

    /**
     * 查询活动适用组织列表
     *
     * @param activityApplyOrg 活动适用组织
     * @return 活动适用组织集合
     */
    public List<ActivityApplyOrg> selectActivityApplyOrgList(ActivityApplyOrg activityApplyOrg);

    /**
     * 新增活动适用组织
     *
     * @param activityApplyOrg 活动适用组织
     * @return 结果
     */
    public int insertActivityApplyOrg(ActivityApplyOrg activityApplyOrg);

    /**
     * 修改活动适用组织
     *
     * @param activityApplyOrg 活动适用组织
     * @return 结果
     */
    public int updateActivityApplyOrg(ActivityApplyOrg activityApplyOrg);

    /**
     * 批量删除活动适用组织
     *
     * @param ids 需要删除的活动适用组织主键集合
     * @return 结果
     */
    public int deleteActivityApplyOrgByIds(Long[] ids);

    /**
     * 删除活动适用组织信息
     *
     * @param id 活动适用组织主键
     * @return 结果
     */
    public int deleteActivityApplyOrgById(Long id);



}
