package com.yiqi.activity.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.activity.domain.ActivityClothItem;
import com.yiqi.activity.domain.vo.ActivityClothItemMinPriceVO;
import com.yiqi.activity.domain.vo.ActivityClothItemVO;

/**
 * 指定衣服折扣活动明细Service接口
 *
 * @author xiaohei
 * @date 2023-09-11
 */
public interface IActivityClothItemService extends IService<ActivityClothItem> {
    /**
     * 查询指定衣服折扣活动明细
     *
     * @param id 指定衣服折扣活动明细主键
     * @return 指定衣服折扣活动明细
     */
    public ActivityClothItem selectActivityClothItemById(Long id);

    /**
     * 查询指定衣服折扣活动明细列表
     *
     * @param activityClothItem 指定衣服折扣活动明细
     * @return 指定衣服折扣活动明细集合
     */
    public List<ActivityClothItemVO> selectActivityClothItemList(ActivityClothItem activityClothItem);

    /**
     * 新增指定衣服折扣活动明细
     *
     * @param activityClothItem 指定衣服折扣活动明细
     * @return 结果
     */
    public int insertActivityClothItem(ActivityClothItem activityClothItem);

    /**
     * 修改指定衣服折扣活动明细
     *
     * @param activityClothItem 指定衣服折扣活动明细
     * @return 结果
     */
    public int updateActivityClothItem(ActivityClothItem activityClothItem);

    /**
     * 批量删除指定衣服折扣活动明细
     *
     * @param ids 需要删除的指定衣服折扣活动明细主键集合
     * @return 结果
     */
    public int deleteActivityClothItemByIds(Long[] ids);

    /**
     * 删除指定衣服折扣活动明细信息
     *
     * @param id 指定衣服折扣活动明细主键
     * @return 结果
     */
    public int deleteActivityClothItemById(Long id);


    public  List<ActivityClothItemMinPriceVO> getMinPriceWith1WashByActivity();

    public  List<ActivityClothItemMinPriceVO> getMinPriceWith1ClothItemByActivity(Long clothId);
}
