package com.yiqi.activity.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.activity.domain.ActivityGroupInfo;
import com.yiqi.activity.domain.ActivityInfo;
import com.yiqi.activity.domain.vo.ActivityGroupInfoQueryVO;

/**
 * 拼团送券活动Service接口
 *
 * @author xiaohei
 * @date 2023-09-12
 */
public interface IActivityGroupInfoService extends IService<ActivityGroupInfo> {
    /**
     * 查询拼团送券活动
     *
     * @param id 拼团送券活动主键
     * @return 拼团送券活动
     */
    public ActivityGroupInfo selectActivityGroupInfoById(Long id);

    /**
     * 查询拼团送券活动列表
     *
     * @param activityInfo 拼团送券活动
     * @return 拼团送券活动集合
     */
    public List<ActivityGroupInfoQueryVO> selectActivityGroupInfoList(ActivityInfo activityInfo);

    /**
     * 新增拼团送券活动
     *
     * @param activityGroupInfo 拼团送券活动
     * @return 结果
     */
    public int insertActivityGroupInfo(ActivityGroupInfo activityGroupInfo);

    /**
     * 修改拼团送券活动
     *
     * @param activityGroupInfo 拼团送券活动
     * @return 结果
     */
    public int updateActivityGroupInfo(ActivityGroupInfo activityGroupInfo);

    /**
     * 批量删除拼团送券活动
     *
     * @param ids 需要删除的拼团送券活动主键集合
     * @return 结果
     */
    public int deleteActivityGroupInfoByIds(Long[] ids);

    /**
     * 删除拼团送券活动信息
     *
     * @param id 拼团送券活动主键
     * @return 结果
     */
    public int deleteActivityGroupInfoById(Long id);



}
