package com.yiqi.app.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

/**
 * 轮播图及启动页广告配置对象 app_banner
 *
 * @author xiaohei
 * @date 2023-08-08
 */
@TableName("app_banner")
@ApiModel("轮播图及启动页广告配置对象")
@Data
public class AppBanner extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** ID */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 图片类型（0=首页轮播图，1=启动页广告，2=首页启动广告） */
    @Excel(name = "图片类型")
    @ApiModelProperty("图片类型")
    private String bannerType;

    @Excel(name = "是否热销")
    @ApiModelProperty("是否热销")
    private String isHot;

    /** 图片地址 */
    @Excel(name = "图片地址")
    @ApiModelProperty("图片地址")
    private String imgUrl;

    /** 点击类型（0=无，1=跳转网址，2=跳转图文，3=跳转页面） */
    @Excel(name = "点击类型")
    @ApiModelProperty("点击类型（0=无，1=跳转网址，2=跳转图文，3=跳转页面）")
    private String clickType;

    @ApiModelProperty("跳转标题")
    private String redirectTitle;

    /** 跳转内容 */
    @Excel(name = "跳转内容")
    @ApiModelProperty("跳转内容")
    private String redirectContent;

    /** 启用状态（0=正常，1=禁用） */
    @Excel(name = "启用状态")
    @ApiModelProperty("启用状态")
    private String status;

}
