package com.yiqi.app.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 优惠券可使用衣物对象 app_coupon_type_apply_cloth
 *
 * @author xiaohei
 * @date 2023-09-20
 */
@ApiModel("优惠券可使用衣物")
@TableName("app_coupon_type_apply_cloth")
@Data
public class AppCouponTypeApplyCloth extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 衣服ID
     */
    @NotNull
    @Excel(name = "衣服ID")
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothItemId;

    /**
     * 优惠券类型ID
     */
    @NotNull
    @Excel(name = "优惠券类型ID")
    @ApiModelProperty("优惠券类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long couponTypeId;

    /**
     * 删除状态（0=正常,2=删除）
     */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
