package com.yiqi.app.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 优惠券类型适用组织对象 app_coupon_type_apply_org
 *
 * @author xiaohei
 * @date 2023-09-08
 */
@ApiModel("优惠券类型适用组织")
@TableName("app_coupon_type_apply_org")
@Data
public class AppCouponTypeApplyOrg extends BaseEntity
{
    private static final long serialVersionUID=1L;

    public AppCouponTypeApplyOrg(Long couponTypeId) {
        this.couponTypeId = couponTypeId;
    }

    public AppCouponTypeApplyOrg() {
    }

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 优惠券类型ID */
    @Excel(name = "优惠券类型ID")
    @ApiModelProperty("优惠券类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long couponTypeId;

    /** 组织ID */
    @Excel(name = "组织ID")
    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /** 来源类型 */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;


}
