package com.yiqi.app.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * APP意见反馈对象 app_feedback
 *
 * @author ruoyi
 * @date 2023-11-08
 */
@ApiModel("APP意见反馈")
@TableName("app_feedback")
@Data
public class AppFeedback extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 反馈类型（0=系统问题，1=平台建议，2=投诉反馈）
     */
    @Excel(name = "反馈类型", readConverterExp = "0==系统问题，1=平台建议，2=投诉反馈")
    @ApiModelProperty("反馈类型（0=系统问题，1=平台建议，2=投诉反馈）")
    private String feedbackType;

    /**
     * 反馈内容
     */
    @Excel(name = "反馈内容")
    @ApiModelProperty("反馈内容")
    private String content;

    /**
     * 回复内容
     */
    @Excel(name = "回复内容")
    @ApiModelProperty("回复内容")
    private String feedbackResult;

    /**
     * 用户ID
     */
    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    /**
     * 反馈状态（0=待处理，1=已处理）
     */
    @Excel(name = "反馈状态", readConverterExp = "0==待处理，1=已处理")
    @ApiModelProperty("反馈状态（0=待处理，1=已处理）")
    private String status;


}
