package com.yiqi.app.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 消息通知对象 app_notify
 *
 * @author xiaohei
 * @date 2023-09-01
 */
@ApiModel("消息通知")
@TableName("app_notify")
@Data
public class AppNotify extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String title;

    /** 通知描述 */
    @Excel(name = "通知描述")
    @ApiModelProperty("通知描述")
    private String content;

    /** 跳转类型（0无,1原生页面,2图文页,3外部网址） */
    @Excel(name = "跳转类型", readConverterExp = "0=无,1原生页面,2图文页,3外部网址")
    @ApiModelProperty("跳转类型（0无,1原生页面,2图文页,3外部网址）")
    private String clickType;

    /** 跳转内容 */
    @Excel(name = "跳转内容")
    @ApiModelProperty("跳转内容")
    private String redirectContent;

    /** 是否已读（Y已读,N未读） */
    @Excel(name = "是否已读", readConverterExp = "Y=已读,N未读")
    @ApiModelProperty("是否已读（Y已读,N未读）")
    private String isRead;

    /** 是否群发（Y是,N否） */
    @ApiModelProperty("是否群发（Y是,N否）")
    private String isAll;

    /** 接收人ID */
    @ApiModelProperty("接收人ID")
    private Long appUserId;

    /** 通知类型（0系统通知,1订单通知） */
    @ApiModelProperty("通知类型（0系统通知,1订单通知）")
    private String notifyType;


}
