package com.yiqi.app.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.data.annotation.Id;

/**
 * 用户对象 app_user
 *
 * @author ruoyi
 * @date 2023-10-03
 */
@ApiModel("用户")
@TableName("app_user")
@Data
public class AppUser extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** ID */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 手机号 */
    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    private String phoneNumber;


    @ApiModelProperty("密码")
    private String password;

    /** 昵称 */
    @Excel(name = "昵称")
    @ApiModelProperty("昵称")
    private String nickName;

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    @ApiModelProperty("真实姓名")
    private String realName;

    /** 性别（0=男，1=女，2=未知） */
    @Excel(name = "性别", readConverterExp = "0==男，1=女，2=未知")
    @ApiModelProperty("性别（0=男，1=女，2=未知）")
    private String sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("生日")
    private Date birthday;

    /**
     * 积分
     */
    @Excel(name = "积分")
    @ApiModelProperty("当前积分")
    private Integer point;

    /** 头像地址 */
    @Excel(name = "头像地址")
    @ApiModelProperty("头像地址")
    private String avatarUrl;

    /** 微信唯一标识 */
    @Excel(name = "微信唯一标识")
    @ApiModelProperty("微信唯一标识")
    private String unionId;

    @ApiModelProperty("微信唯一标识")
    private String wxOpenId;

    /** 支付密码 */
    @Excel(name = "支付密码")
    @ApiModelProperty("支付密码")
    private String payPassword;

    /** 是否使用支付密码（0=正常，1=暂停） */
    @Excel(name = "是否使用支付密码", readConverterExp = "0==正常，1=暂停")
    @ApiModelProperty("是否使用支付密码（0=正常，1=暂停）")
    private String isUsePayPassword;

    /** 状态（0=正常，1=禁用） */
    @Excel(name = "状态", readConverterExp = "0==正常，1=禁用")
    @ApiModelProperty("状态（0=正常，1=禁用）")
    private String status;

    /** 客户等级 */
    @Excel(name = "客户等级")
    @ApiModelProperty("客户等级")
    private Integer level;


}
