package com.yiqi.app.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 用户账单明细对象 app_user_bill_detail
 *
 * @author ruoyi
 * @date 2023-11-02
 */
@ApiModel("用户账单明细")
@TableName("app_user_bill_detail")
@Data
public class AppUserBillDetail extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 账单主表ID */
    @Excel(name = "账单主表ID")
    @ApiModelProperty("账单主表ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long billMstrId;

    /** 用户ID */
    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    /** 组织ID */
    @Excel(name = "组织ID")
    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /** 来源类型 */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private Integer sourceType;

    /** 账单类型（0=支出，1=充值） */
    @Excel(name = "账单类型", readConverterExp = "0=支出,1=充值")
    @ApiModelProperty("账单类型（0=支出,1=充值）")
    private Integer billType;

    /** 主订单编号 */
    @Excel(name = "主订单编号")
    @ApiModelProperty("主订单编号")
    private String mstrOrderNo;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderNo;

    /** 订单类型（0洗衣订单，1商品订单，2生活服务订单，3汽车美容订单，4充值订单） */
    @Excel(name = "订单类型", readConverterExp = "0=洗衣订单,1=商品订单,2=生活服务订单,3=汽车美容订单,4=充值订单")
    @ApiModelProperty("订单类型（0=洗衣订单,1=商品订单,2=生活服务订单,3=汽车美容订单,4=充值订单）")
    private String orderType;

    /** 支付方式（0微信，1支付宝，2现金，3余额） */
    @Excel(name = "支付方式", readConverterExp = "0=微信，1支付宝，2现金，3余额")
    @ApiModelProperty("支付方式（0微信，1支付宝，2现金，3余额）")
    private String payType;

    /** 支付金额 */
    @Excel(name = "支付金额")
    @ApiModelProperty("支付金额")
    private BigDecimal payAmount;

    /** 充值卡ID */
    @Excel(name = "充值卡ID")
    @ApiModelProperty("充值卡ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long rechargeCardId;

    /** 是否退款 */
    @Excel(name = "是否退款")
    @ApiModelProperty("是否退款")
    private String isRefund;


}
