package com.yiqi.app.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 积分日志对象 app_user_point_log
 *
 * @author douya
 * @date 2024-09-04
 */
@ApiModel("积分日志")
@TableName("app_user_point_log")
@Data
public class AppUserPointLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty("$column.columnComment")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 用户ID
     */
    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    /**
     * 积分数
     */
    @Excel(name = "积分数")
    @ApiModelProperty("积分数")
    private Integer point;

    /**
     * 积分收支类型 1：增加 2：减少
     */
    @Excel(name = "积分收支类型 1：增加 2：减少")
    @ApiModelProperty("积分收支类型 1：增加 2：减少")
    private String type;

    /**
     * 关联订单
     */
    @Excel(name = "关联信息")
    @ApiModelProperty("关联信息")
    private String relationId;

    /**
     * 积分来源类型：1充值赠送，2消费赠送，3积分兑换，4系统增加
     */
    @Excel(name = "积分来源类型：1充值赠送，2消费赠送，3积分兑换，4系统增加")
    @ApiModelProperty("积分来源类型：1充值赠送，2消费赠送，3积分兑换，4系统增加")
    private String sourceType;



}
