package com.yiqi.app.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 会员福利金对象 app_user_welfare
 *
 * @author ruoyi
 * @date 2024-08-09
 */
@ApiModel("会员福利金")
@TableName("app_user_welfare")
@Data
public class AppUserWelfare extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 充值用户ID
     */
    @Excel(name = "充值用户ID")
    @ApiModelProperty("充值用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    /**
     * 用户绑定门店
     */
    @Excel(name = "用户绑定门店")
    @ApiModelProperty("用户绑定门店")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeId;

    /**
     * 累积福利金额
     */
    @Excel(name = "累积福利金额")
    @ApiModelProperty("累积福利金额")
    private BigDecimal welfareAmount;

    /**
     * 福利金余额
     */
    @Excel(name = "福利金余额")
    @ApiModelProperty("福利金余额")
    private BigDecimal welfareBalance;

    /**
     * 删除状态（0正常 1删除）
     */
    @ApiModelProperty("删除状态（0正常 1删除）")
    private String delFlag;

    /**
     * 状态（0=无效, 1=使用中）
     */
    @Excel(name = "状态", readConverterExp = "0==无效,,1==使用中")
    @ApiModelProperty("状态（0=无效, 1=使用中）")
    private String status;

    /**
     * 是否支持洗衣使用，（Y 是 N否）
     */
    @Excel(name = "是否支持洗衣使用，", readConverterExp = "Y=,是=,N=否")
    @ApiModelProperty("是否支持洗衣使用，（Y 是 N否）")
    private String isSupportCloth;

    /**
     * 是否支持商品使用，（Y 是 N否）
     */
    @Excel(name = "是否支持商品使用，", readConverterExp = "Y=,是=,N=否")
    @ApiModelProperty("是否支持商品使用，（Y 是 N否）")
    private String isSupportGoods;

    /**
     * 是否支持生活服务使用，（Y 是 N否）
     */
    @Excel(name = "是否支持生活服务使用，", readConverterExp = "Y=,是=,N=否")
    @ApiModelProperty("是否支持生活服务使用，（Y 是 N否）")
    private String isSupportLife;

    /**
     * 是否支持汽车美容使用，（Y 是 N否）
     */
    @Excel(name = "是否支持汽车美容使用，", readConverterExp = "Y=,是=,N=否")
    @ApiModelProperty("是否支持汽车美容使用，（Y 是 N否）")
    private String isSupportCar;


}
