package com.yiqi.app.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * APP版本管理对象 app_version
 *
 * @author xiaohei
 * @date 2023-09-01
 */
@ApiModel("APP版本管理")
@TableName("app_version")
@Data
public class AppVersion extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** ID */
    @ApiModelProperty("ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 平台（Android，IOS） */
    @Excel(name = "平台")
    @ApiModelProperty("平台（Android，IOS）")
    private String platform;

    /** 安装包地址 */
    @Excel(name = "安装包地址")
    @ApiModelProperty("安装包地址")
    private String apkUrl;

    /** 更新说明 */
    @Excel(name = "更新说明")
    @ApiModelProperty("更新说明")
    private String updateRemark;

    /** 是否强制更新（Y是,N否） */
    @Excel(name = "是否强制更新", readConverterExp = "Y=是,N否")
    @ApiModelProperty("是否强制更新（Y是,N否）")
    private String isRequire;

    /** 版本编号 */
    @Excel(name = "版本编号")
    @ApiModelProperty("版本编号")
    private String version;


}
