package com.yiqi.app.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.app.domain.AppCouponType;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 优惠券类型对象 app_coupon_type
 *
 * @author xiaohei
 * @date 2023-09-06
 */
@ApiModel("优惠券类型")
@TableName("app_coupon_type")
@Data
public class AppCouponTypeDTO extends AppCouponType
{
    private static final long serialVersionUID=1L;

    @ApiModelProperty("已选择的门店ID")
    private List<Long> selectStoreIds = new ArrayList<>();

    @ApiModelProperty("已选择的工厂ID")
    private List<Long> selectFactoryIds = new ArrayList<>();

    @ApiModelProperty("最小金额")
    private BigDecimal minAmount;

}
