package com.yiqi.app.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.app.domain.AppDeliveryRelation;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 配送员对象 app_delivery_man
 *
 * @author ruoyi
 * @date 2023-11-07
 */
@ApiModel("配送员")
@Data
public class AppDeliveryManListQueryDTO {
    private static final long serialVersionUID = 1L;

    /** 手机号 */
    @ApiModelProperty("手机号")
    private String phoneNumber;

    /** 真实姓名 */
    @ApiModelProperty("真实姓名")
    private String appUserName;

    @ApiModelProperty("到期时间")
    private Date expireDate;

    /**
     * 客户ID
     */
    @ApiModelProperty("客户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;
}
