package com.yiqi.app.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2023/10/4
 */
@Data
public class AppUserUpdateDTO {

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    @ApiModelProperty("真实姓名")
    @NotEmpty(message = "请先输入姓名")
    private String realName;

    /** 性别（0=男，1=女，2=未知） */
    @Excel(name = "性别", readConverterExp = "0==男，1=女，2=未知")
    @ApiModelProperty("性别（0=男，1=女，2=未知）")
    @NotEmpty(message = "请先输入性别")
    private String sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("生日")
    @NotNull(message = "请先设置生日")
    private Date birthday;

    /** 头像地址 */
    @Excel(name = "头像地址")
    @ApiModelProperty("头像地址")
    private String avatarUrl;
}
