package com.yiqi.app.domain.dto.weapp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 购物车对象 app_goods_market
 *
 * @author ruoyi
 * @date 2023-11-01
 */
@Data
public class WeAppGoodsMarketSaveDTO
{

    /** 商品ID */
    @ApiModelProperty("商品ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "商品ID不能为空")
    private Long goodsId;

    /** 物料ID */
    @ApiModelProperty("物料ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "物料ID不能为空")
    private Long goodsSkuId;


    /** 购买数量 */
    @ApiModelProperty("购买数量")
    @NotNull(message = "购买数量不能为空")
    private Integer buyNum;


}
