package com.yiqi.app.domain.dto.weapp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xiaohei
 * @date 2023/11/22
 */
@Data
@ApiModel("微信登录")
public class WeAppWxLoginDTO {

    @NotEmpty(message = "参数缺少 encryptedData")
    private String encryptedData;

    @NotEmpty(message = "参数缺少 iv")
    private String iv;

    @ApiModelProperty(value = "手机号Code",required = true)
    public String phoneCode;

    @NotEmpty(message = "微信授权code不能为空")
    @ApiModelProperty(value = "微信授权code",required = true)
    public String jsCode;

    @ApiModelProperty("微信platform")
    private String platform;


}
