package com.yiqi.app.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.app.domain.AppCouponItem;
import com.yiqi.app.domain.AppCouponTypeApplyCloth;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 优惠券对象 app_coupon_item
 *
 * @author xiaohei
 * @date 2023-09-19
 */
@Data
public class AppCouponItemVO extends AppCouponItem
{
    private static final long serialVersionUID=1L;

    /** 所属组织ID */
    @Excel(name = "所属组织ID")
    @ApiModelProperty("所属组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @Excel(name = "所属组织")
    @ApiModelProperty("所属组织")
    private String orgName;

    /** 来源类型 */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    @Excel(name = "客户昵称")
    @ApiModelProperty("客户昵称")
    private String appUserNickName;

    @Excel(name = "客户姓名")
    @ApiModelProperty("客户姓名")
    private String appUserName;

    @ApiModelProperty("客户手机号")
    private String appUserPhone;

    /** 核销组织ID */
    @Excel(name = "核销组织ID")
    @ApiModelProperty("核销组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long usedOrgId;

    @Excel(name = "核销组织")
    @ApiModelProperty("核销组织")
    private String usedOrgName;

    /** 核销来源 */
    @Excel(name = "核销来源")
    @ApiModelProperty("核销来源")
    private String usedSourceType;

    private List<AppCouponTypeApplyClothVO> appCouponTypeApplyClothVOS;
}
