package com.yiqi.app.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 配送员对象 app_delivery_man
 *
 * @author ruoyi
 * @date 2023-11-07
 */
@ApiModel("配送员")
@TableName("app_delivery_man")
@Data
public class AppDeliveryManListVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 手机号 */
    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    private String phoneNumber;


    /** 昵称 */
    @Excel(name = "昵称")
    @ApiModelProperty("昵称")
    private String nickName;

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    @ApiModelProperty("真实姓名")
    private String realName;

    /** 客户等级 */
    @Excel(name = "客户等级")
    @ApiModelProperty("客户等级")
    private Integer level;

    /**
     * 客户ID
     */
    @Excel(name = "客户ID")
    @ApiModelProperty("客户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    /**
     * 配送员简介
     */
    @Excel(name = "配送员简介")
    @ApiModelProperty("配送员简介")
    private String description;

    /**
     * 订单数量
     */
    @Excel(name = "订单数量")
    @ApiModelProperty("订单数量")
    private Integer orderCount;

    /** 积分余额 */
    @ApiModelProperty("积分余额")
    private Integer pointBalance;

    /**
     * 绑定门店数量
     */
    @Excel(name = "绑定门店数量")
    @ApiModelProperty("绑定门店数量")
    private Integer relationStoreNum;

    /**
     * 总接单数
     */
    @Excel(name = "总接单数")
    @ApiModelProperty("总接单数")
    private Integer clothOrderTotalNum;
}
