package com.yiqi.app.domain.vo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.app.domain.AppUserAddress;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2023/10/9
 */
@Data
public class AppUserVO extends BaseEntity {
    /** ID */
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("ID")
    private Long id;

    /** 手机号 */
    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    private String phoneNumber;

    /** 昵称 */
    @Excel(name = "昵称")
    @ApiModelProperty("昵称")
    private String nickName;

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    @ApiModelProperty("真实姓名")
    private String realName;

    /** 性别（0=男，1=女，2=未知） */
    @Excel(name = "性别", readConverterExp = "0==男，1=女，2=未知")
    @ApiModelProperty("性别（0=男，1=女，2=未知）")
    private String sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("生日")
    private Date birthday;

    /** 头像地址 */
    @Excel(name = "头像地址")
    @ApiModelProperty("头像地址")
    private String avatarUrl;

    /** 是否使用支付密码（0=正常，1=暂停） */
    @Excel(name = "是否使用支付密码", readConverterExp = "0==正常，1=暂停")
    @ApiModelProperty("是否使用支付密码（0=正常，1=暂停）")
    private String isUsePayPassword;

    /** 客户等级 */
    @Excel(name = "客户等级")
    @ApiModelProperty("客户等级")
    private Integer level;

    /** 状态（0=正常，1=禁用） */
    @Excel(name = "状态", readConverterExp = "0==正常，1=禁用")
    @ApiModelProperty("状态（0=正常，1=禁用）")
    private String status;

    @ApiModelProperty("充值余额")
    private BigDecimal rechargeBalance;

    @ApiModelProperty("赠送余额")
    private BigDecimal giveBalance;

    /** 积分余额 */
    @ApiModelProperty("积分余额")
    private Integer pointBalance;

    @ApiModelProperty("福利金余额")
    private BigDecimal welfareBalance;

    @ApiModelProperty("默认地址")
    private AppUserAddress defaultAddress;
}
