package com.yiqi.app.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2023/10/9
 */
@ApiModel("客户基本信息")
@Data
public class MemberInfoVO {

    @ApiModelProperty("客户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("昵称")
    private String nickName;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("城市")
    private String city;

    @ApiModelProperty("区域")
    private String area;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("门牌号")
    private String addressDetail;

    @ApiModelProperty("联系人姓名")
    private String contactName;

    @ApiModelProperty("联系人手机号")
    private String contactPhone;

    @ApiModelProperty("客户等级")
    private Integer level;

    @ApiModelProperty("头像地址")
    private String avatarUrl;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("生日")
    private Date birthday;

    @ApiModelProperty("性别（0=男，1=女，2=未知）")
    private String sex;

    @ApiModelProperty("充值余额")
    private BigDecimal rechargeBalance;

    @ApiModelProperty("赠送余额")
    private BigDecimal giveBalance;

    /** 积分余额 */
    @ApiModelProperty("积分余额")
    private Integer pointBalance;

    @ApiModelProperty("福利金余额")
    private BigDecimal welfareBalance;
}
