package com.yiqi.app.domain.vo.weapp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 优惠券对象 app_coupon_item
 *
 * @author xiaohei
 * @date 2023-09-19
 */
@ApiModel("我的优惠券")
@Data
public class AppCouponItemListVO extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 订单编码 */
    @Excel(name = "订单编码")
    @ApiModelProperty("订单编码")
    private String orderNo;

    @ApiModelProperty("优惠方式（0=抵扣,1=满减,2=折扣）")
    private String discountWay;

    /** 优惠券类型ID */
    @Excel(name = "优惠券类型ID")
    @ApiModelProperty("优惠券类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long couponTypeId;

    @ApiModelProperty("优惠券类型名称")
    private String couponTypeTitle;

    /** 活动ID */
    @Excel(name = "活动ID")
    @ApiModelProperty("活动ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long activityInfoId;

    /** 所属组织ID */
    @Excel(name = "所属组织ID")
    @ApiModelProperty("所属组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /** 来源类型 */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /** 客户ID */
    @Excel(name = "客户ID")
    @ApiModelProperty("客户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    /** 是否核销 */
    @Excel(name = "是否核销")
    @ApiModelProperty("是否核销")
    private String isUsed;

    /** 核销组织ID */
    @Excel(name = "核销组织ID")
    @ApiModelProperty("核销组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long usedOrgId;

    /** 核销来源 */
    @Excel(name = "核销来源")
    @ApiModelProperty("核销来源")
    private String usedSourceType;

    /** 核销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "核销时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("核销时间")
    private Date usedTime;

    /** 有效期开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "有效期开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("有效期开始时间")
    private Date startDate;

    /** 有效期结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "有效期结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("有效期结束时间")
    private Date endDate;

    /** 是否单件抵扣券 */
    @Excel(name = "是否单件抵扣券")
    @ApiModelProperty("是否单件抵扣券")
    private String isUnique;

    /** 是否可以手动发券 */
    @Excel(name = "是否可以手动发券")
    @ApiModelProperty("是否可以手动发券")
    private String canManual;

    @ApiModelProperty("最小金额")
    private BigDecimal minAmount;

    @Excel(name = "核销码")
    @ApiModelProperty("核销码")
    private String deductNo;

    /** 抵用金额 */
    @Excel(name = "抵用金额")
    @ApiModelProperty("抵用金额")
    private BigDecimal deductAmount;

    /** 核销订单编码 */
    @Excel(name = "核销订单编码")
    @ApiModelProperty("核销订单编码")
    private String deductOrderNo;

    @ApiModelProperty("是否可以抵扣充值")
    private String canDeductRecharge;

    @ApiModelProperty("抵扣充值金额")
    private BigDecimal deductRechargeAmount;

    @ApiModelProperty("优惠券使用范围（0=仅本店可用,1=参与门店可用）")
    private String storeScope;

    /** 删除状态（0=正常,2=删除） */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;

    @ApiModelProperty("是否有效（有效 Y， 无效：N）")
    private String isValid;
}
