package com.yiqi.app.domain.vo.weapp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.core.domain.vo.GoodsInfoQueryVO;
import com.yiqi.core.domain.vo.weapp.WeAppGoodsInfoVO;
import com.yiqi.core.domain.vo.weapp.WeAppGoodsSkuVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 购物车对象 app_goods_market
 *
 * @author ruoyi
 * @date 2023-11-01
 */
@Data
public class WeAppGoodsMarketVO
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 是否选中（N=未选中，Y=选中） */
    @Excel(name = "是否选中", readConverterExp = "N==未选中，Y=选中")
    @ApiModelProperty("是否选中（N=未选中，Y=选中）")
    private String isSelect;

    /** 用户ID */
    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    /** 购买数量 */
    @Excel(name = "购买数量")
    @ApiModelProperty("购买数量")
    private Integer buyNum;

    /** 创建时间 */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("商品信息")
    private GoodsInfoQueryVO goodsInfoVO;

    @ApiModelProperty("物料信息")
    private WeAppGoodsSkuVO goodsSkuVO;
}
