package com.yiqi.app.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppBanner;

/**
 * 轮播图及启动页广告配置Service接口
 *
 * @author xiaohei
 * @date 2023-08-08
 */
public interface IAppBannerService extends IService<AppBanner> {
    /**
     * 查询轮播图及启动页广告配置
     *
     * @param id 轮播图及启动页广告配置主键
     * @return 轮播图及启动页广告配置
     */
    public AppBanner selectAppBannerById(Long id);

    /**
     * 查询轮播图及启动页广告配置列表
     *
     * @param appBanner 轮播图及启动页广告配置
     * @return 轮播图及启动页广告配置集合
     */
    public List<AppBanner> selectAppBannerList(AppBanner appBanner);

    /**
     * 新增轮播图及启动页广告配置
     *
     * @param appBanner 轮播图及启动页广告配置
     * @return 结果
     */
    public int insertAppBanner(AppBanner appBanner);

    /**
     * 修改轮播图及启动页广告配置
     *
     * @param appBanner 轮播图及启动页广告配置
     * @return 结果
     */
    public int updateAppBanner(AppBanner appBanner);

    /**
     * 批量删除轮播图及启动页广告配置
     *
     * @param ids 需要删除的轮播图及启动页广告配置主键集合
     * @return 结果
     */
    public int deleteAppBannerByIds(Long[] ids);

    /**
     * 删除轮播图及启动页广告配置信息
     *
     * @param id 轮播图及启动页广告配置主键
     * @return 结果
     */
    public int deleteAppBannerById(Long id);
}
