package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppCouponTypeApplyOrg;

/**
 * 优惠券类型适用组织Service接口
 *
 * @author xiaohei
 * @date 2023-09-08
 */
public interface IAppCouponTypeApplyOrgService extends IService<AppCouponTypeApplyOrg> {
    /**
     * 查询优惠券类型适用组织
     *
     * @param id 优惠券适用组织主键
     * @return 优惠券适用组织
     */
    public AppCouponTypeApplyOrg selectAppCouponTypeApplyOrgById(Long id);

    /**
     * 查询优惠券类型适用组织列表
     *
     * @param appCouponTypeApplyOrg 优惠券类型适用组织
     * @return 优惠券类型适用组织集合
     */
    public List<AppCouponTypeApplyOrg> selectAppCouponTypeApplyOrgList(AppCouponTypeApplyOrg appCouponTypeApplyOrg);


    /**
     * 查询优惠券类型适用组织列表
     *
     * @param appCouponTypeApplyOrg 优惠券类型适用组织
     * @return 优惠券类型适用组织集合
     */
    public List<AppCouponTypeApplyOrg> selectAppCouponTypeApplyOrgList(Long couponTypeId);


    /**
     * 新增优惠券类型适用组织
     *
     * @param appCouponTypeApplyOrg 优惠券类型适用组织
     * @return 结果
     */
    public int insertAppCouponTypeApplyOrg(AppCouponTypeApplyOrg appCouponTypeApplyOrg);

    /**
     * 修改优惠券类型适用组织
     *
     * @param appCouponTypeApplyOrg 优惠券类型适用组织
     * @return 结果
     */
    public int updateAppCouponTypeApplyOrg(AppCouponTypeApplyOrg appCouponTypeApplyOrg);

    /**
     * 批量删除优惠券类型适用组织
     *
     * @param ids 需要删除的优惠券类型适用组织主键集合
     * @return 结果
     */
    public int deleteAppCouponTypeApplyOrgByIds(Long[] ids);

    /**
     * 删除优惠券类型适用组织信息
     *
     * @param id 优惠券适用组织主键
     * @return 结果
     */
    public int deleteAppCouponTypeApplyOrgById(Long id);



}
