package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppDeliveryMan;
import com.yiqi.app.domain.dto.AppDeliveryManDTO;
import com.yiqi.app.domain.dto.AppDeliveryManListQueryDTO;
import com.yiqi.app.domain.vo.AppDeliveryManListVO;

/**
 * 配送员Service接口
 *
 * @author ruoyi
 * @date 2023-11-07
 */
public interface IAppDeliveryManService extends IService<AppDeliveryMan> {
    /**
     * 查询配送员
     *
     * @param id 配送员主键
     * @return 配送员
     */
    public AppDeliveryManDTO selectAppDeliveryManById(Long id);

    /**
     * 查询配送员列表
     *
     * @param appDeliveryManListQueryDTO 配送员
     * @return 配送员集合
     */
    public List<AppDeliveryManListVO> selectAppDeliveryManList(AppDeliveryManListQueryDTO appDeliveryManListQueryDTO);

    /**
     * 新增配送员
     *
     * @param appDeliveryManDTO 配送员
     * @return 结果
     */
    public int insertAppDeliveryMan(AppDeliveryManDTO appDeliveryManDTO);

    /**
     * 修改配送员
     *
     * @param appDeliveryManDTO 配送员
     * @return 结果
     */
    public int updateAppDeliveryMan(AppDeliveryManDTO appDeliveryManDTO);

    /**
     * 批量删除配送员
     *
     * @param ids 需要删除的配送员主键集合
     * @return 结果
     */
    public int deleteAppDeliveryManByIds(Long[] ids);

    /**
     * 删除配送员信息
     *
     * @param id 配送员主键
     * @return 结果
     */
    public int deleteAppDeliveryManById(Long id);


    /**
     * 修改配送员状态
     *
     * @param appDeliveryMan 配送员
     * @return 结果
     */
    public int updateAppDeliveryManStatus(AppDeliveryMan appDeliveryMan);

    public List<AppDeliveryManListVO>  getDeliveryManListByOrg();

}
