package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppDeliveryRelation;

/**
 * 派送员Service接口
 *
 * @author ruoyi
 * @date 2023-11-07
 */
public interface IAppDeliveryRelationService extends IService<AppDeliveryRelation> {
    /**
     * 查询派送员
     *
     * @param id 派送员主键
     * @return 派送员
     */
    public AppDeliveryRelation selectAppDeliveryRelationById(Long id);

    /**
     * 查询派送员列表
     *
     * @param appDeliveryRelation 派送员
     * @return 派送员集合
     */
    public List<AppDeliveryRelation> selectAppDeliveryRelationList(AppDeliveryRelation appDeliveryRelation);

    /**
     * 新增派送员
     *
     * @param appDeliveryRelation 派送员
     * @return 结果
     */
    public int insertAppDeliveryRelation(AppDeliveryRelation appDeliveryRelation);

    /**
     * 修改派送员
     *
     * @param appDeliveryRelation 派送员
     * @return 结果
     */
    public int updateAppDeliveryRelation(AppDeliveryRelation appDeliveryRelation);

    /**
     * 批量删除派送员
     *
     * @param ids 需要删除的派送员主键集合
     * @return 结果
     */
    public int deleteAppDeliveryRelationByIds(Long[] ids);

    /**
     * 删除派送员信息
     *
     * @param id 派送员主键
     * @return 结果
     */
    public int deleteAppDeliveryRelationById(Long id);



}
