package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppGoodsCollect;
import com.yiqi.common.core.domain.PageVO;
import com.yiqi.core.domain.vo.weapp.WeAppGoodsInfoQueryVO;

/**
 * 商品收藏记录Service接口
 *
 * @author ruoyi
 * @date 2023-11-02
 */
public interface IAppGoodsCollectService extends IService<AppGoodsCollect> {
    /**
     * 查询商品收藏记录
     *
     * @param id 商品收藏记录主键
     * @return 商品收藏记录
     */
    public AppGoodsCollect selectAppGoodsCollectById(Long id);

    /**
     * 查询商品收藏记录列表
     *
     * @return 商品收藏记录集合
     */
    public List<WeAppGoodsInfoQueryVO> selectAppGoodsCollectList(PageVO pageVO);

    /**
     * 新增商品收藏记录
     *
     * @param appGoodsCollect 商品收藏记录
     * @return 结果
     */
    public int insertAppGoodsCollect(AppGoodsCollect appGoodsCollect);

    /**
     * 修改商品收藏记录
     *
     * @param appGoodsCollect 商品收藏记录
     * @return 结果
     */
    public int updateAppGoodsCollect(AppGoodsCollect appGoodsCollect);

    /**
     * 批量删除商品收藏记录
     *
     * @param ids 需要删除的商品收藏记录主键集合
     * @return 结果
     */
    public int deleteAppGoodsCollectByIds(String[] ids);

    /**
     * 删除商品收藏记录信息
     *
     * @param id 商品收藏记录主键
     * @return 结果
     */
    public int deleteAppGoodsCollectById(Long id);



}
