package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppGoodsMarket;
import com.yiqi.app.domain.vo.weapp.WeAppGoodsMarketVO;

/**
 * 购物车Service接口
 *
 * @author ruoyi
 * @date 2023-11-01
 */
public interface IAppGoodsMarketService extends IService<AppGoodsMarket> {
    /**
     * 查询购物车
     *
     * @param id 购物车主键
     * @return 购物车
     */
    public AppGoodsMarket selectAppGoodsMarketById(Long id);

    /**
     * 查询购物车列表
     *
     * @param appGoodsMarket 购物车
     * @return 购物车集合
     */
    public List<WeAppGoodsMarketVO> selectAppGoodsMarketList(AppGoodsMarket appGoodsMarket);

    /**
     * 新增购物车
     *
     * @param appGoodsMarket 购物车
     * @return 结果
     */
    public int insertAppGoodsMarket(AppGoodsMarket appGoodsMarket);

    /**
     * 修改购物车
     *
     * @param appGoodsMarket 购物车
     * @return 结果
     */
    public int updateAppGoodsMarket(AppGoodsMarket appGoodsMarket);

    /**
     * 批量删除购物车
     *
     * @param ids 需要删除的购物车主键集合
     * @return 结果
     */
    public int deleteAppGoodsMarketByIds(Long[] ids);

    /**
     * 删除购物车信息
     *
     * @param id 购物车主键
     * @return 结果
     */
    public int deleteAppGoodsMarketById(Long id);



}
