package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppUserAddress;

/**
 * 客户地址Service接口
 *
 * @author ruoyi
 * @date 2023-10-04
 */
public interface IAppUserAddressService extends IService<AppUserAddress> {
    /**
     * 查询客户地址
     *
     * @param id 客户地址主键
     * @return 客户地址
     */
    public AppUserAddress selectAppUserAddressById(Long id);

    /**
     * 查询客户地址列表
     *
     * @param appUserAddress 客户地址
     * @return 客户地址集合
     */
    public List<AppUserAddress> selectAppUserAddressList(AppUserAddress appUserAddress);

    /**
     * 新增客户地址
     *
     * @param appUserAddress 客户地址
     * @return 结果
     */
    public int insertAppUserAddress(AppUserAddress appUserAddress);

    /**
     * 修改客户地址
     *
     * @param appUserAddress 客户地址
     * @return 结果
     */
    public int updateAppUserAddress(AppUserAddress appUserAddress);

    /**
     * 批量删除客户地址
     *
     * @param ids 需要删除的客户地址主键集合
     * @return 结果
     */
    public int deleteAppUserAddressByIds(Long[] ids);

    /**
     * 删除客户地址信息
     *
     * @param id 客户地址主键
     * @return 结果
     */
    public int deleteAppUserAddressById(Long id);



}
