package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppUserBillDetail;

/**
 * 用户账单明细Service接口
 *
 * @author ruoyi
 * @date 2023-11-02
 */
public interface IAppUserBillDetailService extends IService<AppUserBillDetail> {
    /**
     * 查询用户账单明细
     *
     * @param id 用户账单明细主键
     * @return 用户账单明细
     */
    public AppUserBillDetail selectAppUserBillDetailById(Long id);

    /**
     * 查询用户账单明细列表
     *
     * @param appUserBillDetail 用户账单明细
     * @return 用户账单明细集合
     */
    public List<AppUserBillDetail> selectAppUserBillDetailList(AppUserBillDetail appUserBillDetail);

    /**
     * 新增用户账单明细
     *
     * @param appUserBillDetail 用户账单明细
     * @return 结果
     */
    public int insertAppUserBillDetail(AppUserBillDetail appUserBillDetail);

    /**
     * 修改用户账单明细
     *
     * @param appUserBillDetail 用户账单明细
     * @return 结果
     */
    public int updateAppUserBillDetail(AppUserBillDetail appUserBillDetail);

    /**
     * 批量删除用户账单明细
     *
     * @param ids 需要删除的用户账单明细主键集合
     * @return 结果
     */
    public int deleteAppUserBillDetailByIds(Long[] ids);

    /**
     * 删除用户账单明细信息
     *
     * @param id 用户账单明细主键
     * @return 结果
     */
    public int deleteAppUserBillDetailById(Long id);



}
