package com.yiqi.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppUserWelfare;

import java.util.List;

/**
 * 会员福利金Service接口
 *
 * @author ruoyi
 * @date 2024-08-09
 */
public interface IAppUserWelfareService extends IService<AppUserWelfare> {

    //<editor-folder desc="基础函数">
    /**
     * 查询会员福利金
     *
     * @param id 会员福利金主键
     * @return 会员福利金
     */
    public AppUserWelfare selectAppUserWelfareById(Long id);

    /**
     * 查询会员福利金列表
     *
     * @param appUserWelfare 会员福利金
     * @return 会员福利金集合
     */
    public List<AppUserWelfare> selectAppUserWelfareList(AppUserWelfare appUserWelfare);

    /**
     * 新增会员福利金
     *
     * @param appUserWelfare 会员福利金
     * @return 结果
     */
    public int insertAppUserWelfare(AppUserWelfare appUserWelfare);

    /**
     * 修改会员福利金
     *
     * @param appUserWelfare 会员福利金
     * @return 结果
     */
    public int updateAppUserWelfare(AppUserWelfare appUserWelfare);

    /**
     * 批量删除会员福利金
     *
     * @param ids 需要删除的会员福利金主键集合
     * @return 结果
     */
    public int deleteAppUserWelfareByIds(Long[] ids);

    /**
     * 删除会员福利金信息
     *
     * @param id 会员福利金主键
     * @return 结果
     */
    public int deleteAppUserWelfareById(Long id);


            /**
             * 修改会员福利金状态
             *
             * @param appUserWelfare 会员福利金
             * @return 结果
             */
            public int updateAppUserWelfareStatus(AppUserWelfare appUserWelfare);
    //</editor-folder>
}
