package com.yiqi.common.config;


import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "wx.miniapp")
public class WxMaProperties {
    /**
     * 设置微信小程序的appid
     */
    private String appid;

    /**
     * 设置微信小程序的Secret
     */
    private String secret;

    /**
     * 设置微信公众号的appid
     */
    private String publicAppid;

    /**
     * 设置微信公众号的secret
     */
    private String publicSecret;

    /**
     * 设置微信公众号的token
     */
    private String token;

    /**
     * 设置微信公众号的EncodingAESKey
     */
    private String encodingAESKey;

    /**
     * 使用的对称密钥编号，需要在MP平台密钥管理页面获取
     */
    private String apiAesSn;

    /**
     * Aes密钥
     */
    private String apiAesKey;


    private String apiRsaSn;

    private String apiRsaKeyPath;

    private String apiRsaKey;

}