package com.yiqi.common.utils.wx;

import com.yiqi.common.config.WxMaProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2024/2/1
 */
@Data
public class WxAppApiRSASecretDTO {

    @ApiModelProperty("当前请求API的URL路径，包含URL协议信息，不包括URL参数（URL Query）")
    private String urlPath;

    private String appId;

    @ApiModelProperty("使用的对称密钥编号，需要在MP平台密钥管理页面获取")
    private String sn;

    @ApiModelProperty("密钥")
    private String privateKey;

    public static WxAppApiRSASecretDTO build(String urlPath, WxMaProperties wxMaProperties){
        WxAppApiRSASecretDTO wxAppApiAESSecretDTO = new WxAppApiRSASecretDTO();
        wxAppApiAESSecretDTO.setUrlPath(urlPath);
        wxAppApiAESSecretDTO.setAppId(wxMaProperties.getAppid());
        wxAppApiAESSecretDTO.setSn(wxMaProperties.getApiRsaSn());
        wxAppApiAESSecretDTO.setPrivateKey(wxMaProperties.getApiRsaKey());
        return wxAppApiAESSecretDTO;
    }
}
