package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 衣服颜色对象 manage_cloth_color
 *
 * @author ruoyi
 * @date 2023-08-03
 */
@Data
@ApiModel("衣服颜色")
@TableName("cloth_color")
public class ClothColor extends BaseEntity {

    private static final long serialVersionUID=1L;

    /** 衣服颜色id */
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 衣服颜色名称 */
    @ApiModelProperty("衣服颜色名称")
    private String name;

    /** 颜色代码 */
    @ApiModelProperty("颜色代码")
    private String code;

    @ApiModelProperty("颜色类型（0纯颜色,1图纹）")
    private String colorType;

    /** 图片 */
    @ApiModelProperty("图片")
    private String imgUrl;

    /** 显示顺序 */
    @ApiModelProperty("显示顺序")
    private Integer sort;

    /** 衣服颜色状态（0正常 1停用） */
    @ApiModelProperty("衣服颜色状态（0正常 1停用）")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

}
