package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 衣服工艺对象 cloth_craft
 *
 * @author xiaohei
 * @date 2023-08-20
 */
@ApiModel("衣服工艺")
@TableName("cloth_craft")
@Data
public class ClothCraft extends BaseEntity {

    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 工艺名称 */
    @Excel(name = "工艺名称")
    @ApiModelProperty("工艺名称")
    private String craftName;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    @ApiModelProperty("显示顺序")
    private Integer sort;

    /** 状态（0：正常，1：禁用） */
    @Excel(name = "状态", readConverterExp = "0=正常，1=禁用")
    @ApiModelProperty("状态（0：正常，1：禁用）")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;
}
