package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 自定义衣物对象 cloth_item
 *
 * @author ruoyi
 * @date 2023-08-07
 */
@Data
@ApiModel("衣物")
@TableName("cloth_custom_item")
public class ClothCustomItem extends BaseEntity {

    private static final long serialVersionUID=1L;

    /** 自定义衣物id */
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 衣物名称 */
    @ApiModelProperty("衣物名称")
    private String name;

    /** 显示顺序 */
    @ApiModelProperty("显示顺序")
    private Long sort;

    /** 衣物状态（0正常 1停用） */
    @ApiModelProperty("衣物状态（0正常 1停用）")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;


}
