package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 衣服瑕疵置顶对象 cloth_flaw_top
 *
 * @author ruoyi
 * @date 2023-08-08
 */
@Data
@ApiModel("衣服瑕疵置顶")
@TableName("cloth_flaw_top")
public class ClothFlawTop extends BaseEntity {

    private static final long serialVersionUID=1L;

    /** 衣服瑕疵置顶 */
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 瑕疵id */
    @ApiModelProperty("瑕疵id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flawId;

    /** 目标id（工厂或门店） */
    @ApiModelProperty("目标id（工厂或门店）")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long targetId;

    /** 关联目标类型 （01工厂，02门店） */
    @ApiModelProperty("关联目标类型 （01工厂，02门店）")
    private String sourceType;

}
