package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 挂架管理对象 cloth_hanger
 *
 * @author ruoyi
 * @date 2023-10-05
 */
@ApiModel("挂架管理")
@TableName("cloth_hanger")
@Data
public class ClothHanger extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 组织ID
     */
    @Excel(name = "组织ID")
    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /**
     * 挂架名称
     */
    @Excel(name = "挂架名称")
    @ApiModelProperty("挂架名称")
    private String name;

    /**
     * 首数
     */
    @Excel(name = "首数")
    @ApiModelProperty("首数")
    private Integer firstNum;

    /**
     * 尾数
     */
    @Excel(name = "尾数")
    @ApiModelProperty("尾数")
    private Integer endNum;

    /**
     * 是否长挂架
     */
    @Excel(name = "是否长挂架")
    @ApiModelProperty("是否长挂架")
    private String isLongHanger;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    /**
     * 删除状态（0=正常,2=删除）
     */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
