package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 挂架位置详情对象 cloth_hanger_detail
 *
 * @author ruoyi
 * @date 2023-10-06
 */
@ApiModel("挂架位置详情")
@TableName("cloth_hanger_detail")
@Data
public class ClothHangerDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 挂架ID
     */
    @ApiModelProperty("挂架ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long hangerId;

    /**
     * 组织ID
     */
    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /**
     * 来源类型
     */
    @ApiModelProperty("来源类型")
    private String sourceType;

    /**
     * 位置序号
     */
    @Excel(name = "位置序号")
    @ApiModelProperty("位置序号")
    private String code;

    /**
     * 是否上挂
     */
    @Excel(name = "是否上挂")
    @ApiModelProperty("是否上挂")
    private String isHanger;

    /**
     * 挂衣号
     */
    @Excel(name = "挂衣号")
    @ApiModelProperty("挂衣号")
    private String hangerCode;

    /** 水洗唛 */
    @Excel(name = "水洗唛")
    @ApiModelProperty("水洗唛")
    private String washCode;
}
