package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 洗衣订单衣服挂架位置关系对象 cloth_hanger_order_relation
 *
 * @author ruoyi
 * @date 2023-11-06
 */
@ApiModel("洗衣订单衣服挂架位置关系")
@TableName("cloth_hanger_order_relation")
@Data
public class ClothHangerOrderRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 订单ID
     */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /**
     * 洗衣订单衣服明细id
     */
    @Excel(name = "洗衣订单衣服明细id")
    @ApiModelProperty("洗衣订单衣服明细id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderClothItemId;

    /**
     * 水洗唛
     */
    @Excel(name = "水洗唛")
    @ApiModelProperty("水洗唛")
    private String washCode;

    /**
     * 挂架ID
     */
    @Excel(name = "挂架ID")
    @ApiModelProperty("挂架ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothHangerId;

    /**
     * 挂架位置code
     */
    @Excel(name = "挂架位置code")
    @ApiModelProperty("挂架位置code")
    private String clothHangerCode;


}
