package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 衣服对象 cloth_item
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@ApiModel("衣服")
@TableName("cloth_item")
@Data
public class ClothItem extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 衣服名称id
     */
    @ApiModelProperty("衣服名称id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 衣服名称
     */
    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String name;

    /**
     * 衣服类型id
     */
    @Excel(name = "衣服类型id")
    @ApiModelProperty("衣服类型id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long typeId;


    /** 洗衣方式id */
    @Excel(name = "洗衣方式id")
    @ApiModelProperty("洗衣方式id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long washId;

    /**
     * 单位
     */
    @Excel(name = "单位")
    @ApiModelProperty("单位")
    private String unit;

    /**
     * 是否改变价格（Y是 N否）
     */
    @Excel(name = "是否改变价格", readConverterExp = "Y=是,N=否")
    @ApiModelProperty("是否改变价格（Y是 N否）")
    private String isChangePrice;

    /**
     * 是否按面积计算（Y是 N否）
     */
    @Excel(name = "是否按面积计算", readConverterExp = "Y=是,N=否")
    @ApiModelProperty("是否按面积计算（Y是 N否）")
    private String isCalArea;

    /**
     * 是否特殊产品（Y是 N否）
     */
    @Excel(name = "是否特殊产品", readConverterExp = "Y=是,N=否")
    @ApiModelProperty("是否特殊产品（Y是 N否）")
    private String isSpecial;

    /**
     * 衣服图片
     */
    @Excel(name = "衣服图片")
    @ApiModelProperty("衣服图片")
    private String imgUrl;

    /**
     * 描述
     */
    @Excel(name = "描述")
    @ApiModelProperty("描述")
    private String content;

    /**
     * 显示顺序
     */
    @Excel(name = "显示顺序")
    @ApiModelProperty("显示顺序")
    private Integer sort;

    /**
     * 衣服名称状态（0正常 1停用）
     */
    @Excel(name = "衣服名称状态", readConverterExp = "0=正常,1=停用")
    @ApiModelProperty("衣服名称状态（0正常 1停用）")
    private String status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

}
