package com.yiqi.core.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 衣服价格对象 cloth_price
 *
 * @author xiaohei
 * @date 2023-08-22
 */
@ApiModel("衣服价格")
@TableName("cloth_price")
@Data
public class ClothPrice extends BaseEntity
{
    private static final long serialVersionUID=1L;

    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothId;

    @ApiModelProperty("业务区域编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeAreaId;

    /** 价格 */
    @Excel(name = "价格")
    @ApiModelProperty("价格")
    private BigDecimal price;

    /** 洗衣方式 */
    @Excel(name = "洗衣方式")
    @ApiModelProperty("洗衣方式")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long washModeId;

    /** 衣服类型 */
    @Excel(name = "衣服类型")
    @ApiModelProperty("衣服类型")
    private Integer clothType;

    /** 价格类型（0根据洗衣方式，1根据衣服类型） */
    @Excel(name = "价格类型", readConverterExp = "0=根据洗衣方式，1根据衣服类型")
    @ApiModelProperty("价格类型（0根据洗衣方式，1根据衣服类型）")
    private Integer priceType;


}
