package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 衣服重洗原因对象 cloth_rewash_reason
 *
 * @author ruoyi
 * @date 2023-09-23
 */
@ApiModel("衣服重洗原因")
@TableName("cloth_rewash_reason")
@Data
public class ClothRewashReason extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 重洗原因名称
     */
    @Excel(name = "重洗原因名称")
    @ApiModelProperty("重洗原因名称")
    private String name;

    /**
     * 重洗类型ID
     */
    @Excel(name = "重洗类型ID")
    @ApiModelProperty("重洗类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long rewashTypeId;

    /**
     * 删除状态（0=正常,2=删除）
     */
    @ApiModelProperty("删除状态（0=正常,2=删除）")
    private String delFlag;


}
