package com.yiqi.core.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;

/**
 * 洗衣速度对象 cloth_speed
 *
 * @author xiaohei
 * @date 2023-08-20
 */
@ApiModel("洗衣速度")
@TableName("cloth_speed")
@Data
public class ClothSpeed extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 洗衣快慢名称 */
    @Excel(name = "洗衣快慢名称")
    @ApiModelProperty("洗衣快慢名称")
    @NotEmpty(message = "洗衣快慢名称不能为空")
    private String name;

    /** 价格倍数 */
    @Excel(name = "价格倍数")
    @ApiModelProperty("价格倍数")
    @Min(value = 0)
    private BigDecimal multiple;

    /** 天数 */
    @Excel(name = "天数")
    @ApiModelProperty("天数")
    @Min(value = 1,message = "洗衣天数不能少于1天")
    private Integer dayNum;

    /** 是否默认 */
    @Excel(name = "是否默认")
    @ApiModelProperty("是否默认")
    private String isDefault;

    /** 删除状态（0正常，2删除） */
    @ApiModelProperty("删除状态（0正常,2删除）")
    private String delFlag;

    /** 状态（0正常，1禁用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=禁用")
    @ApiModelProperty("状态（0正常,1禁用）")
    private String status;


}
