package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 衣服质地对象 cloth_texture
 *
 * @author xiaohei
 * @date 2023-08-20
 */
@ApiModel("衣服质地")
@TableName("cloth_texture")
@Data
public class ClothTexture extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** ID */
    @ApiModelProperty("ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 编号 */
    @Excel(name = "编号")
    @ApiModelProperty("编号")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    @ApiModelProperty("名称")
    private String name;

    /** 状态（0正常,1禁用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1禁用")
    @ApiModelProperty("状态（0正常,1禁用）")
    private String status;

    /** 删除状态（0正常,2删除） */
    @ApiModelProperty("删除状态（0正常,2删除）")
    private String delFlag;


}
