package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 衣服种类对象 cloth_type
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("衣服种类")
@TableName("cloth_type")
@Data
public class ClothType extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 衣服种类id */
    @ApiModelProperty("衣服种类id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 衣服种类名称 */
    @Excel(name = "衣服种类名称")
    @ApiModelProperty("衣服种类名称")
    private String name;

    /** 单位 */
    @Excel(name = "单位")
    @ApiModelProperty("单位")
    private String unit;

    /** 图片 */
    @Excel(name = "图片")
    @ApiModelProperty("图片")
    private String picUrl;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    @ApiModelProperty("显示顺序")
    private Integer sort;

    /** 衣服种类状态（0正常 1停用） */
    @Excel(name = "衣服种类状态", readConverterExp = "0=正常,1=停用")
    @ApiModelProperty("衣服种类状态（0正常 1停用）")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;


}
