package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 商品品牌管理对象 goods_brand
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("商品品牌管理")
@TableName("goods_brand")
@Data
public class GoodsBrand extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 品牌编号
     */
    @Excel(name = "品牌编号")
    @ApiModelProperty("品牌编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 品牌名称
     */
    @Excel(name = "品牌名称")
    @ApiModelProperty("品牌名称")
    private String brandName;

    /**
     * 商品类别
     */
    @Excel(name = "商品类别")
    @ApiModelProperty("商品类别")
    private String goodsType;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态0正常 1禁用")
    private String status;

}
