package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 商品类型管理对象 goods_category
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("商品类型管理")
@TableName("goods_category")
@Data
public class GoodsCategory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 类型编号
     */
    @ApiModelProperty("类型编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 分类名称
     */
    @Excel(name = "分类名称")
    @ApiModelProperty("分类名称")
    private String categoryName;

    /**
     * 商品类别
     */
    @Excel(name = "商品类别")
    @ApiModelProperty("商品类别")
    private String goodsType;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态0正常 1禁用")
    private String status;

}
