package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 商品评论对象 goods_comment
 *
 * @author ruoyi
 * @date 2023-12-19
 */
@ApiModel("商品评论")
@TableName("goods_comment")
@Data
public class GoodsComment extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    /**
     * 订单id
     */
    @Excel(name = "订单id")
    @ApiModelProperty("订单id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    @ApiModelProperty("商品类别")
    private String goodsType;


    @ApiModelProperty("商品id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    /**
     * 评分1-5分
     */
    @Excel(name = "评分1-5分")
    @ApiModelProperty("评分1-5分")
    private Integer commentScore;

    /**
     * 评分类型 （0好评，1：差评）
     */
    @Excel(name = "评分类型 ", readConverterExp = "0=好评，1：差评")
    @ApiModelProperty("评分类型 （0好评，1：差评）")
    private String commentType;

    /**
     * 评论文案
     */
    @Excel(name = "评论文案")
    @ApiModelProperty("评论文案")
    private String commentContent;

    /**
     * 评论图片
     */
    @Excel(name = "评论图片")
    @ApiModelProperty("评论图片")
    private String commentImgs;

    /**
     * 评论来源：app
     */
    @Excel(name = "评论来源：app")
    @ApiModelProperty("评论来源：app")
    private String commentSrcType;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

    /**
     * 是否显示
     */
    @Excel(name = "是否显示")
    @ApiModelProperty("是否显示")
    private String isShow;

    /**
     * 是否显示
     */
    @Excel(name = "是否虚拟评论")
    @ApiModelProperty("是否虚拟评论")
    private String isVirtual;
}
