package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 商品评论关联对象 goods_comment_relation
 *
 * @author ruoyi
 * @date 2023-12-19
 */
@ApiModel("商品评论关联")
@TableName("goods_comment_relation")
@Data
public class GoodsCommentRelation {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 评论id
     */
    @Excel(name = "评论id")
    @ApiModelProperty("评论id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsCommentId;

    /**
     * 物料明细id
     */
    @Excel(name = "物料明细id")
    @ApiModelProperty("物料明细id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsSkuId;

    @ApiModelProperty("商品id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    @ApiModelProperty("商品名称")
    private String goodsName;

    /**
     * 订单id
     */
    @Excel(name = "订单id")
    @ApiModelProperty("订单id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    @ApiModelProperty("物料规格")
    private String skuName;

    @ApiModelProperty("购买件数")
    private Integer buyNum;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
