package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 商品评论回复对象 goods_comment_reply
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@ApiModel("商品评论回复")
@TableName("goods_comment_reply")
@Data
public class GoodsCommentReply extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 编号 */
    @ApiModelProperty("编号")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 评论id */
    @Excel(name = "评论id")
    @ApiModelProperty("评论id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsCommentId;

    /** 用户id */
    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    /** 是否显示 */
    @Excel(name = "是否显示")
    @ApiModelProperty("是否显示")
    private String isShow;

    /** 回复文案 */
    @Excel(name = "回复文案")
    @ApiModelProperty("回复文案")
    private String commentContent;

    /** 评论来源：app */
    @Excel(name = "评论来源：app")
    @ApiModelProperty("评论来源：app、 总部：hq")
    private String commentSrcType;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;


}
