package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 商品管理对象 goods
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("商品管理")
@TableName("goods_info")
@Data
public class GoodsInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 商品编号
     */
    @ApiModelProperty("商品编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称")
    @ApiModelProperty("商品名称")
    private String goodsName;

    /**
     * 商品类别
     */
    @Excel(name = "商品类别")
    @ApiModelProperty("商品类别")
    private String goodsType;

    /**
     * 商品分类
     */
    @Excel(name = "商品分类")
    @ApiModelProperty("商品分类")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsCategoryId;

    /**
     * 商品简介
     */
    @ApiModelProperty("商品简介")
    private String goodsSynopsis;

    /**
     * 品牌
     */
    @Excel(name = "品牌")
    @ApiModelProperty("品牌")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long brandId;

    /**
     * 商品图片
     */
    @ApiModelProperty("商品图片")
    private String goodsImg;

    /**
     * 商品图片集合
     */
    @ApiModelProperty("商品图片集合")
    private String goodsImgs;

    /**
     * 商品编号
     */
    @ApiModelProperty("商品编号")
    private String goodsCode;

    /**
     * 是否可以余额支付
     */
    @Excel(name = "是否余额支付")
    @ApiModelProperty("是否余额支付")
    private String isBalancePay;

    /**
     * 是否现金支付
     */
    @Excel(name = "是否现金支付")
    @ApiModelProperty("是否现金支付")
    private String isCashPay;

    /**
     * 现金金额
     */
    @ApiModelProperty("现金金额")
    private BigDecimal cashMoney;

    /**
     * 是否促销
     */
    @ApiModelProperty("是否促销")
    private String isSell;

    /**
     * 排序
     */
    @ApiModelProperty("排序")
    private Integer sort;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态0正常 1禁用")
    private String status;

    /**
     * 是否删除
     */
    @ApiModelProperty("是否删除0存在 2删除")
    private String delFlag;

    /**
     * 普通商品销量
     */
    @ApiModelProperty("普通商品销量")
    private Integer sellNum;

    /**
     * 虚拟商品销量
     */
    @ApiModelProperty("虚拟商品销量")
    private Integer virtualSellNum;

    /**
     * 好评度
     */
    @ApiModelProperty("好评度")
    private BigDecimal goodComment;

}
