package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 物料明细对象 goods_sku
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("物料明细")
@TableName("goods_sku")
@Data
public class GoodsSku extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 商品编号
     */
    @Excel(name = "商品编号")
    @ApiModelProperty("商品编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态0正常 1禁用")
    private String status;

    /**
     * 是否删除
     */
    @ApiModelProperty("是否删除0存在 2删除")
    private String delFlag;

}
