package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 商品规格对象 goods_sku_spec
 *
 * @author ruoyi
 * @date 2023-08-30
 */
@ApiModel("商品规格")
@TableName("goods_sku_spec")
@Data
public class GoodsSkuSpec extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 物料明细id
     */
    @Excel(name = "物料明细id")
    @ApiModelProperty("物料明细id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsSkuId;

    /**
     * 规格名称
     */
    @Excel(name = "规格名称")
    @ApiModelProperty("规格名称")
    private String specName;

    /**
     * 规格内容
     */
    @Excel(name = "规格内容")
    @ApiModelProperty("规格内容")
    private String specValue;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;


}
