package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.common.core.domain.entity.SysUser;
import com.yiqi.common.enums.SourceType;
import com.yiqi.common.enums.SysBoolType;
import com.yiqi.common.utils.SecurityUtils;
import com.yiqi.order.domain.OrderGoods;
import com.yiqi.order.domain.OrderGoodsSku;
import com.yiqi.order.domain.OrderPurchaseGoods;
import com.yiqi.order.domain.OrderPurchaseGoodsSku;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 商品库存变更记录对象 goods_sku_stock_record
 *
 * @author ruoyi
 * @date 2023-11-29
 */
@ApiModel("商品库存变更记录")
@TableName("goods_sku_stock_record")
@Data
public class GoodsSkuStockRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * skuID
     */
    @Excel(name = "skuID")
    @ApiModelProperty("skuID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsSkuId;

    /**
     * 组织ID
     */
    @Excel(name = "组织ID")
    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long OrgId;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String SourceType;

    /**
     * 组织ID
     */
    @Excel(name = "组织ID")
    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long buyOrgId;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String buySourceType;

    /**
     * 增减数量
     */
    @Excel(name = "增减数量")
    @ApiModelProperty("增减数量")
    private Integer num;

    /**
     * 是否增加
     */
    @Excel(name = "是否增加")
    @ApiModelProperty("是否增加")
    private String isAdd;

    /**
     * 卖方组织ID
     */
    @Excel(name = "卖方组织ID")
    @ApiModelProperty("卖方组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long sellOrgId;

    /**
     * 卖方来源类型
     */
    @Excel(name = "卖方来源类型")
    @ApiModelProperty("卖方来源类型")
    private String sellSourceType;

    /**
     * 订单ID
     */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /**
     * 订单编号
     */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderNo;

    /**
     * 商品ID
     */
    @Excel(name = "商品ID")
    @ApiModelProperty("商品ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    /**
     * 商品类型
     */
    @Excel(name = "商品类型")
    @ApiModelProperty("商品类型")
    private String goodsType;

    /**
     * 是否退款
     */
    @Excel(name = "是否退款")
    @ApiModelProperty("是否退款")
    private String isRefund;


}
