package com.yiqi.core.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 商品门店对象 goods_store
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("商品门店")
@TableName("goods_store")
@Data
public class GoodsStore extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /**
     * 门店编号
     */
    @Excel(name = "门店编号")
    @ApiModelProperty("门店编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long targetId;

    /**
     * 商品编号
     */
    @Excel(name = "商品编号")
    @ApiModelProperty("商品编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    /**
     * 是否上架
     */
    @Excel(name = "是否上架")
    @ApiModelProperty("是否上架")
    private String status;


}
