package com.yiqi.core.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 结算管理对象 settlement_manage_bill
 *
 * @author ruoyi
 * @date 2024-02-15
 */
@ApiModel("结算管理")
@TableName("settlement_manage_bill")
@Data
public class SettlementManageBill extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private Date beginTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private Date endTime;

    /** 账单标题 */
    @Excel(name = "账单标题")
    @ApiModelProperty("账单标题")
    private String title;

    /** 门店数量 */
    @Excel(name = "门店数量")
    @ApiModelProperty("门店数量")
    private Integer storeNum;

    /** 原材料备用金 */
    @Excel(name = "原材料备用金")
    @ApiModelProperty("原材料备用金")
    private BigDecimal materialImprestAmount;

    /** 系统维护费 */
    @Excel(name = "系统维护费")
    @ApiModelProperty("系统维护费")
    private BigDecimal systemMaintenanceAmount;

    /** 洗衣费 */
    @Excel(name = "洗衣费")
    @ApiModelProperty("洗衣费")
    private BigDecimal washClothAmount;

    /** 结算费 */
    @Excel(name = "结算费")
    @ApiModelProperty("结算费")
    private BigDecimal settlementAmount;

    /** 状态（0，待处理；1： 已处理） */
    @Excel(name = "状态", readConverterExp = "0=，待处理；1：,已=处理")
    @ApiModelProperty("状态（0，待处理；1： 已处理）")
    private String status;

    /** 是否删除 */
    @ApiModelProperty("是否删除0存在 2删除")
    private String delFlag;
}
