package com.yiqi.core.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 工厂结算详情对象 settlement_manage_factory
 *
 * @author ruoyi
 * @date 2024-02-15
 */
@ApiModel("工厂结算详情")
@TableName("settlement_manage_factory")
@Data
public class SettlementManageFactory
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 账单ID */
    @Excel(name = "账单ID")
    @ApiModelProperty("账单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long billId;

    /** 来源类型 */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /** 组织ID */
    @Excel(name = "组织ID")
    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private Date beginTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private Date endTime;

    /** 账单标题 */
    @Excel(name = "账单标题")
    @ApiModelProperty("账单标题")
    private String title;

    /** 总交易金额 */
    @Excel(name = "总交易金额")
    @ApiModelProperty("总交易金额")
    private BigDecimal totalTransactionAmount;

    /** 总交易件数 */
    @Excel(name = "总交易件数")
    @ApiModelProperty("总交易件数")
    private Integer totalTransactionNum;

    /** 工厂结算金额 */
    @Excel(name = "工厂结算金额")
    @ApiModelProperty("工厂结算金额")
    private BigDecimal factorySettlementAmount;

    /** 材料费 */
    @Excel(name = "材料费")
    @ApiModelProperty("材料费")
    private BigDecimal materialAmount;

    /** 管理费 */
    @Excel(name = "管理费")
    @ApiModelProperty("管理费")
    private BigDecimal manageAmount;

    /** 实际收入 */
    @Excel(name = "实际收入")
    @ApiModelProperty("实际收入")
    private BigDecimal realIncomeAmount;

    /** 状态（0，未清算；1： 已清算 ） */
    @Excel(name = "状态", readConverterExp = "0=，未清算；1：,已清算")
    @ApiModelProperty("状态（0，未清算；1： 已清算）")
    private String status;


    private String remark;
}
