package com.yiqi.core.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel("衣服类型设置价格对象")
@Data
public class ClothPriceAddByClothTypeDTO{

    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "衣服ID不能为空")
    private Long clothId;

    @ApiModelProperty("衣服类型: 字典cloth_type")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "类型不能为空")
    private Integer clothType;

    @ApiModelProperty("业务区域编号")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "业务区域编号不能为空")
    private Long storeAreaId;

    @ApiModelProperty("价格")
    @NotNull(message = "价格不能为空")
    private BigDecimal price;

}
