package com.yiqi.core.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel("洗衣方式复制价格对象")
@Data
public class ClothPriceByWashModeCopyAreaDTO {

    @ApiModelProperty("价格倍数")
    private BigDecimal multiple;

    @ApiModelProperty("复制区域")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "业务区域编号不能为空")
    private Long storeAreaIdFrom;

    @ApiModelProperty("粘贴区域")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "业务区域编号不能为空")
    private Long storeAreaIdTo;
}
