package com.yiqi.core.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("衣服类型查询对象")
@Data
public class ClothPriceQueryByClothTypeDTO implements Serializable {

    @ApiModelProperty("衣服类型: 字典cloth_type")
    @NotBlank(message = "类型不能为空")
    private String clothType;

    @ApiModelProperty("业务区域编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeAreaId;

    @ApiModelProperty("衣服名称")
    private String name;
}
