package com.yiqi.core.domain.dto;

import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("商品添加评论对象")
@Data
public class GoodsCommentAddDTO {

    @ApiModelProperty("商品ID")
    @NotNull(message = "商品ID不能为空")
    private Long goodsId;

    @ApiModelProperty("物料ID")
    @NotNull(message = "商品物料ID不能为空")
    private Long goodsSkuId;

    @ApiModelProperty("评分1-5分")
    private Integer commentScore;

    @ApiModelProperty("评分类型 （0好评，1：差评）")
    private String commentType;

    @ApiModelProperty("评论文案")
    private String commentContent;

    @ApiModelProperty("评论图片")
    private String commentImgs;

    @ApiModelProperty("是否显示")
    private String isShow;

    @ApiModelProperty("是否虚拟评论")
    private String isVirtual;

    @ApiModelProperty("商品类别")
    @NotNull(message = "商品类型不能为空")
    private String goodsType;
}
