package com.yiqi.core.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 商品更新销售数量
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("商品更新销售数量")
@Data
public class GoodsUpdateSalesDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 商品编号
     */
    @ApiModelProperty("商品编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 普通商品销量
     */
    @ApiModelProperty("普通商品销量")
    private Integer sellNum;

    /**
     * 虚拟商品销量
     */
    @ApiModelProperty("虚拟商品销量")
    private Integer virtualSellNum;

    /**
     * 好评度
     */
    @ApiModelProperty("好评度")
    private BigDecimal goodComment;

}
