package com.yiqi.core.domain.dto;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class SettlementStoreSubmitDTO{
    @ApiModelProperty("门店结算Id")
    @NotNull(message = "门店结算Id不能为空")
    private Long settleId;

    @ApiModelProperty("清算收取卡密押金")
    @NotNull(message = "清算卡密押金不能为空")
    private BigDecimal settleGetCardPasswordDeposit;

    @ApiModelProperty("清算结算金额")
    @NotNull(message = "清算结算金额不能为空")
    private BigDecimal settleSettlementAmount;

    @ApiModelProperty("清算原材料备用金（材料费）")
    @NotNull(message = "清算材料费不能为空")
    private BigDecimal settleMaterialImprestAmount;

    @ApiModelProperty("清算福利金额")
    @NotNull(message = "清算福利金额不能为空")
    private BigDecimal settleWelfareDeposit;

    @ApiModelProperty("清算已付押金")
    @NotNull(message = "清算已付押金不能为空")
    private BigDecimal settlePaidDeposit;

    @ApiModelProperty("实际结算金额")
    @NotNull(message = "实际结算金额不能为空")
    private BigDecimal realSettlementAmount;

    @ApiModelProperty("清算备注")
    private String settleRemark;
}
