package com.yiqi.core.domain.dto.weapp;

import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class WeAppGoodsInfoQueryDTO extends PageVO {
    /**
     * 商品类型
     */
    @NotEmpty(message = "商品类型不能为空")
    @ApiModelProperty("商品类型，（0=普通商品，2=生活服务，3=汽车美容）")
    private String goodsType;

    /**
     * 商品分类
     */
    @ApiModelProperty("商品分类ID")
    private Long goodsCategoryId;

    @ApiModelProperty("关键字")
    private String keywords;

    @ApiModelProperty("是否促销,Y:促销商品，N：非促销商品")
    private String isSell;
}
