package com.yiqi.core.domain.dto.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 获取本小程序所创建的门店，不传wx_store_id和out_store_id则返回本小程序所有门店信息
 * @author xiaohei
 * @date 2024/2/1
 */
@Data
public class IntracityExpressOrderInfoRequest {

    @JsonProperty("wx_store_id")
    @ApiModelProperty("微信门店编号")
    private String wx_store_id;

    @JsonProperty("store_order_id")
    @ApiModelProperty("门店订单号")
    private String store_order_id;

    public String toJson() {
        return WxMaGsonBuilder.create().toJson(this);
    }
}
