package com.yiqi.core.domain.dto.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 门店运费流水查询
 * @author xiaohei
 * @date 2024/2/1
 */
@Data
public class IntracityExpressQueryFlowRequest {

    @JsonProperty("wx_store_id")
    @ApiModelProperty("微信门店编号")
    private String wx_store_id;

    @JsonProperty("flow_type")
    @ApiModelProperty("流水类型，1:充值流水， 2:消费流水，3:退款流水")
    private Integer flow_type;

    @JsonProperty("begin_time")
    @ApiModelProperty("开始时间戳，不传默认返回最近90天的数据")
    private Integer begin_time;

    @JsonProperty("end_time")
    @ApiModelProperty("结束时间戳，不传默认返回最近90天的数据")
    private Integer end_time;

    public String toJson() {
        return WxMaGsonBuilder.create().toJson(this);
    }
}
