package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.order.domain.OrderClothAdjunct;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class ClothHangerOrderRelationVO {
    private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
    @ApiModelProperty("订单id")
    private String orderId;

    /**
     * 订单号
     */
    @ApiModelProperty("订单号")
    private String orderNo;

    /**
     * 衣服名称id
     */
    @ApiModelProperty("衣服名称id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothId;

    /**
     * 衣服名称
     */
    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String clothName;

    /** 水洗唛/衣服条码 */
    @Excel(name = "水洗唛/衣服条码")
    @ApiModelProperty("水洗唛/衣服条码")
    private String washCode;

    /**
     * 衣服颜色名称
     */
    @ApiModelProperty("衣服颜色名称")
    private String colorName;

    /**
     * 挂衣号
     */
    @Excel(name = "挂衣号")
    @ApiModelProperty("挂衣号")
    private String hangerCode;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    /**
     * 取衣时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("取衣时间")
    private Date takeClothTime;

    /**
     * 客户姓名
     */
    @ApiModelProperty("客户姓名")
    private String userName;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String phoneNumber;

    /**
     * 附件
     */
    @ApiModelProperty("附件")
    private List<OrderClothAdjunct> orderClothAdjunctList;


}
