package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.core.domain.ClothPrice;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author xiaohei
 * @date 2023/10/4
 */
@Data
public class ClothItemPriceVO {
    @ApiModelProperty("衣服名称id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 衣服类型id
     */
    @Excel(name = "衣服类型id")
    @ApiModelProperty("衣服类型id")
    private Long typeId;

    /** 衣服名称 */
    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String name;

    /** 单位 */
    @Excel(name = "单位")
    @ApiModelProperty("单位")
    private String unit;

    /** 是否改变价格（0 是 1 否） */
    @Excel(name = "是否改变价格", readConverterExp = "0=是,1=否")
    @ApiModelProperty("是否改变价格（0 是 1 否）")
    private String isChangePrice;

    /** 是否按面积计算（0 是 1 否） */
    @Excel(name = "是否按面积计算", readConverterExp = "0=是,1=否")
    @ApiModelProperty("是否按面积计算（0 是 1 否）")
    private String isCalArea;

    /** 是否特殊产品（0 是 1 否） */
    @Excel(name = "是否特殊产品", readConverterExp = "0=是,1=否")
    @ApiModelProperty("是否特殊产品（0 是 1 否）")
    private String isSpecial;

    /** 衣服图片 */
    @Excel(name = "衣服图片")
    @ApiModelProperty("衣服图片")
    private String imgUrl;

    /** 描述 */
    @Excel(name = "描述")
    @ApiModelProperty("描述")
    private String content;

    @ApiModelProperty("价格")
    private BigDecimal price;

}
