package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ClothItemWithPriceQueryVO {

    /** 衣服名称id */
    @ApiModelProperty("衣服名称id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 衣服名称 */
    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String name;

    /** 衣服类型id */
    @ApiModelProperty("衣服类型id")
    private Long typeId;


    /** 洗衣方式id */
    @ApiModelProperty("洗衣方式id")
    private Long washId;

    /** 默认洗衣方式名称 */
    @Excel(name = "默认洗衣方式名称")
    @ApiModelProperty("默认洗衣方式名称")
    private String washName;

    /** 默认价格 */
    @Excel(name = "默认价格")
    @ApiModelProperty("默认价格")
    private BigDecimal defaultPrice;

    /** 单位 */
    @Excel(name = "单位")
    @ApiModelProperty("单位")
    private String unit;

    /** 是否改变价格（0 是 1 否） */
    @Excel(name = "是否改变价格", readConverterExp = "0=是,1=否")
    @ApiModelProperty("是否改变价格（0 是 1 否）")
    private String isChangePrice;

    /** 是否按面积计算（0 是 1 否） */
    @Excel(name = "是否按面积计算", readConverterExp = "0=是,1=否")
    @ApiModelProperty("是否按面积计算（0 是 1 否）")
    private String isCalArea;

    /** 是否特殊产品（0 是 1 否） */
    @Excel(name = "是否特殊产品", readConverterExp = "0=是,1=否")
    @ApiModelProperty("是否特殊产品（0 是 1 否）")
    private String isSpecial;

    @ApiModelProperty("加厚价格")
    private BigDecimal plusPrice;

    @ApiModelProperty("真丝价格")
    private BigDecimal silkPrice;

    @ApiModelProperty("羊绒价格")
    private BigDecimal sheepPrice;

    @ApiModelProperty("儿童价格")
    private BigDecimal childPrice;

}
