package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel("衣服设置价格导出对象")
@Data
public class ClothPriceExportVO {

    @Excel(name = "衣服编号")
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothId;

    @Excel(name = "衣服分类")
    @ApiModelProperty("衣服类型名称")
    private String typeName;

    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String clothName;

    @Excel(name = "区域编号")
    @ApiModelProperty("区域ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long areaId;

    @Excel(name = "区域名称")
    @ApiModelProperty("区域名称")
    private String areaName;

    @Excel(name = "加厚")
    @ApiModelProperty("加厚价格")
    private String thickeningPrice;

    @Excel(name = "羊绒")
    @ApiModelProperty("羊绒价格")
    private String cashmerePrice;

    @Excel(name = "真丝")
    @ApiModelProperty("真丝价格")
    private String silkPrice;

    @Excel(name = "儿童")
    @ApiModelProperty("儿童价格")
    private String childPrice;

    @Excel(name = "干洗")
    @ApiModelProperty("干洗价格")
    private String dryCleaningPrice;

    @Excel(name = "水洗")
    @ApiModelProperty("水洗价格")
    private String washPrice;

    @Excel(name = "织补")
    @ApiModelProperty("织补价格")
    private String darningPrice;

    @Excel(name = "单烫")
    @ApiModelProperty("单烫价格")
    private String permPrice;

    @Excel(name = "保值精洗")
    @ApiModelProperty("保值精洗价格")
    private String fineWashModePrice;

    @Excel(name = "护理")
    @ApiModelProperty("护理价格")
    private String nurseModePrice;

    @Excel(name = "奢护洗")
    @ApiModelProperty("奢护洗价格")
    private String shehuModePrice;
}
