package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel("衣服设置价格导出对象")
@Data
public class ClothPriceImportVO {
    @Excel(name = "衣服编号")
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String name;

    @Excel(name = "加厚")
    @ApiModelProperty("加厚价格")
    private BigDecimal thickeningPrice;

    @Excel(name = "羊绒")
    @ApiModelProperty("羊绒价格")
    private BigDecimal cashmerePrice;

    @Excel(name = "真丝")
    @ApiModelProperty("真丝价格")
    private BigDecimal silkPrice;

    @Excel(name = "儿童")
    @ApiModelProperty("儿童价格")
    private BigDecimal childPrice;

    @Excel(name = "干洗")
    @ApiModelProperty("干洗价格")
    private BigDecimal dryCleaningPrice;

    @Excel(name = "水洗")
    @ApiModelProperty("水洗价格")
    private BigDecimal washPrice;

    @Excel(name = "织补")
    @ApiModelProperty("织补价格")
    private BigDecimal darningPrice;

    @Excel(name = "单烫")
    @ApiModelProperty("单烫价格")
    private BigDecimal permPrice;


    @Excel(name = "保值精洗")
    @ApiModelProperty("保值精洗价格")
    private BigDecimal fineWashModePrice;

    @Excel(name = "护理")
    @ApiModelProperty("护理价格")
    private BigDecimal nurseModePrice;

    @Excel(name = "奢护洗")
    @ApiModelProperty("奢护洗价格")
    private BigDecimal shehuModePrice;

}
