package com.yiqi.core.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 洗衣方式和衣服类别关联对象 cloth_wash_mode_relation
 *
 * @author xiaohei
 * @date 2023-10-11
 */
@ApiModel("洗衣方式和衣服类别关联")
@Data
public class ClothWashModeRelationVO extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 洗衣方式ID */
    @Excel(name = "洗衣方式ID")
    @ApiModelProperty("洗衣方式ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long washModeId;

    /** 衣服类别ID */
    @Excel(name = "衣服类别ID")
    @ApiModelProperty("衣服类别ID")
    private List<Long> clothTypeIdList;


}
