package com.yiqi.core.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.core.domain.GoodsCommentRelation;
import com.yiqi.core.domain.GoodsCommentReply;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 商品评论对象 goods_comment
 *
 * @author ruoyi
 * @date 2023-12-19
 */
@ApiModel("商品评论")
@Data
public class GoodsCommentQueryVO extends BaseEntity{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("编号")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty("订单id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    @ApiModelProperty("商品id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    @ApiModelProperty("商品类别")
    private String goodsType;

    @ApiModelProperty("评分1-5分")
    private Integer commentScore;

    @ApiModelProperty("评分类型 （0好评，1：差评）")
    private String commentType;

    @ApiModelProperty("评论文案")
    private String commentContent;

    @ApiModelProperty("评论图片")
    private String commentImgs;

    @ApiModelProperty("评论来源：app")
    private String commentSrcType;

    @ApiModelProperty("是否显示")
    private String isShow;

    @ApiModelProperty("是否虚拟评论")
    private String isVirtual;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("城市")
    private String city;

    @ApiModelProperty("区域")
    private String area;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("门牌号")
    private String addressDetail;

    @ApiModelProperty("联系人姓名")
    private String contactName;

    @ApiModelProperty("联系人手机号")
    private String contactPhone;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("昵称")
    private String nickName;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("评论关联物料集合")
    List<GoodsCommentRelation> skuList;
}
