package com.yiqi.core.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.core.domain.GoodsCommentReply;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 商品评论对象 goods_comment
 *
 * @author ruoyi
 * @date 2023-12-19
 */
@ApiModel("商品评论")
@Data
public class GoodsCommentReplyQueryVO extends BaseEntity{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id(总部回复为空)")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty("评论id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsCommentId;

    @ApiModelProperty("评论文案")
    private String commentContent;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("昵称")
    private String nickName;

    @ApiModelProperty("真实姓名")
    private String realName;
    @ApiModelProperty("评论来源：app、 总部：hq")
    private String commentSrcType;
}
