package com.yiqi.core.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.common.core.domain.model.LoginUser;
import com.yiqi.core.domain.GoodsSkuSpec;
import com.yiqi.core.domain.GoodsSkuStore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 物料明细对象 goods_sku
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@ApiModel("物料明细")
@Data
public class GoodsSkuAddVO extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 商品编号
     */
    @Excel(name = "商品编号")
    @ApiModelProperty("商品编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    @ApiModelProperty("规格信息")
    private List<GoodsSkuSpec> specVoList;

    @ApiModelProperty("物料门店信息")
    private GoodsSkuStore goodsSkuStore;
    /**
     * 零售价
     */
    @Excel(name = "零售价")
    @ApiModelProperty("零售价")
    private BigDecimal salePrice;

    /**
     * 批发价
     */
    @Excel(name = "批发价")
    @ApiModelProperty("批发价")
    private BigDecimal wholesalePrice;

    /**
     * 进货价
     */
    @Excel(name = "进货价")
    @ApiModelProperty("进货价")
    private BigDecimal purchasePrice;

    /**
     * 库存
     */
    @Excel(name = "库存")
    @ApiModelProperty("库存")
    private Integer stock;

    /**
     * 状态
     */
    @Excel(name = "状态")
    @ApiModelProperty("状态0正常 1禁用")
    private String status;

    /**
     * 是否删除
     */
    @ApiModelProperty("是否删除0存在 2删除")
    private String delFlag;

    private LoginUser loginUser;

}
