package com.yiqi.core.domain.vo.weapp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.core.domain.GoodsCommentRelation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel("app商品评论信息对象")
@Data
public class WeAppGoodsCommentVO {

    @ApiModelProperty("客户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty("客户昵称")
    private String nickName;

    @ApiModelProperty("订单id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    @ApiModelProperty("评分1-5分")
    private Integer commentScore;

    @ApiModelProperty("评分类型 （0好评，1：差评）")
    private String commentType;

    @ApiModelProperty("评论文案")
    private String commentContent;

    @ApiModelProperty("评论图片")
    private String commentImgs;

    @ApiModelProperty("评论时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("总件数")
    private Integer totalBuyNum;

    @ApiModelProperty("商品订单物料")
    private List<GoodsCommentRelation> skuVOS;

}
