package com.yiqi.core.domain.vo.weapp;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.core.domain.GoodsSkuStore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
public class WeAppGoodsInfoVO {
    /**
     * 商品编号
     */
    @ApiModelProperty("商品编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称")
    @ApiModelProperty("商品名称")
    private String goodsName;

    /**
     * 商品类别
     */
    @Excel(name = "商品类别")
    @ApiModelProperty("商品类别")
    private String goodsType;

    /**
     * 商品分类
     */
    @Excel(name = "商品分类")
    @ApiModelProperty("商品分类")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsCategoryId;

    /**
     * 商品简介
     */
    @ApiModelProperty("商品简介")
    private String goodsSynopsis;

    /**
     * 品牌
     */
    @Excel(name = "品牌")
    @ApiModelProperty("品牌")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long brandId;

    /**
     * 商品图片
     */
    @ApiModelProperty("商品图片")
    private String goodsImg;

    /**
     * 商品图片集合
     */
    @ApiModelProperty("商品图片集合")
    private String goodsImgs;

    /**
     * 商品编号
     */
    @ApiModelProperty("商品编号")
    private String goodsCode;

    /**
     * 是否可以余额支付
     */
    @Excel(name = "是否余额支付")
    @ApiModelProperty("是否余额支付")
    private String isBalancePay;

    /**
     * 是否现金支付
     */
    @Excel(name = "是否现金支付")
    @ApiModelProperty("是否现金支付")
    private String isCashPay;

    /**
     * 现金金额
     */
    @ApiModelProperty("现金金额")
    private BigDecimal cashMoney;

    /**
     * 是否促销
     */
    @ApiModelProperty("是否促销")
    private String isSell;

    /**
     * 普通商品销量
     */
    @ApiModelProperty("普通商品销量")
    private Integer sellNum;

    /**
     * 好评度
     */
    @ApiModelProperty("好评度")
    private BigDecimal goodComment;

    /**
     * 最低價格
     */
    @ApiModelProperty("最低价格")
    private BigDecimal minSalePrice;

    /**
     * 最高價格
     */
    @ApiModelProperty("最高价格")
    private BigDecimal maxSalePrice;

    @ApiModelProperty("是否收藏（Y=是,N=否）")
    private String isCollect;

    private List<WeAppGoodsSkuVO> weAppGoodsSkuVOS = new ArrayList<>();

}
