package com.yiqi.core.domain.vo.wx;

import cn.binarywang.wx.miniapp.json.WxMaGsonBuilder;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2024/2/1
 */
@Data
public class IntracityExpressPreAddOrderResult extends IntracityExpressBaseResult{

    @JsonProperty("service_trans_id")
    @ApiModelProperty("运力公司Id")
    private String service_trans_id;

    @ApiModelProperty("配送距离,单位：米")
    private Integer distance;

    @JsonProperty("est_fee")
    @ApiModelProperty("预估配送费,单位：分")
    private Integer est_fee;

    @JsonProperty("expected_finished_time")
    @ApiModelProperty("商品预计送达时间，时间戳类型，是否返回取决于运力公司，支持该字段的运力公司：SFTC")
    private Integer expected_finished_time;

    @JsonProperty("promise_delivery_time")
    @ApiModelProperty("配送时长（单位：分钟），从下单到完成配送所需时间，是否返回取决于运力公司，支持该字段的运力公司：SFTC")
    private Integer promise_delivery_time;

    public static IntracityExpressPreAddOrderResult fromJson(String json) {
        return WxMaGsonBuilder.create().fromJson(json, IntracityExpressPreAddOrderResult.class);
    }
}
