package com.yiqi.core.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothCustomItem;
import com.yiqi.core.domain.vo.ClothHangerOrderRelationVO;

/**
 * 自定义衣物Service接口
 *
 * @author ruoyi
 * @date 2023-08-07
 */
public interface IClothCustomItemService extends IService<ClothCustomItem> {
    /**
     * 查询自定义衣物
     *
     * @param id 自定义衣物主键
     * @return 自定义衣物
     */
    public ClothCustomItem selectClothItemById(Long id);

    /**
     * 查询自定义衣物列表
     *
     * @param clothCustomItem 自定义衣物
     * @return 自定义衣物集合
     */
    public List<ClothCustomItem> selectClothItemList(ClothCustomItem clothCustomItem);

    /**
     * 新增自定义衣物
     *
     * @param clothCustomItem 自定义衣物
     * @return 结果
     */
    public int insertClothItem(ClothCustomItem clothCustomItem);

    /**
     * 修改自定义衣物
     *
     * @param clothCustomItem 自定义衣物
     * @return 结果
     */
    public int updateClothItem(ClothCustomItem clothCustomItem);

    /**
     * 批量删除自定义衣物
     *
     * @param ids 需要删除的自定义衣物主键集合
     * @return 结果
     */
    public int deleteClothItemByIds(Long[] ids);

    /**
     * 删除自定义衣物信息
     *
     * @param id 自定义衣物主键
     * @return 结果
     */
    public int deleteClothItemById(Long id);

    /**
     * 修改自定义衣物状态
     *
     * @param clothCustomItem 自定义衣物
     * @return 结果
     */
    public int updateItemStatus(ClothCustomItem clothCustomItem);

}
