package com.yiqi.core.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothFlaw;
import com.yiqi.core.domain.ClothFlawTop;
import com.yiqi.core.domain.dto.ClothFlawTopDTO;
import com.yiqi.core.domain.vo.ClothFlawTopVo;

/**
 * 衣服瑕疵置顶Service接口
 *
 * @author ruoyi
 * @date 2023-08-08
 */
public interface IClothFlawTopService extends IService<ClothFlawTop> {
    /**
     * 查询衣服瑕疵置顶
     *
     * @param id 衣服瑕疵置顶主键
     * @return 衣服瑕疵置顶
     */
    public ClothFlawTop selectClothFlawTopById(Long id);

    /**
     * 查询衣服瑕疵置顶列表
     *
     * @param clothFlawTop 衣服瑕疵置顶
     * @return 衣服瑕疵置顶集合
     */
    public List<ClothFlawTopVo> selectClothFlawTopList(ClothFlawTop clothFlawTop);

    /**
     * 修改衣服瑕疵置顶
     *
     * @param clothFlawTop 衣服瑕疵置顶
     * @return 结果
     */
    public int updateClothFlawTop(ClothFlawTopDTO clothFlawTopDTO);

}
