package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothHangerOrderRelation;
import com.yiqi.order.domain.OrderClothItem;

/**
 * 洗衣订单衣服挂架位置关系Service接口
 *
 * @author ruoyi
 * @date 2023-11-06
 */
public interface IClothHangerOrderRelationService extends IService<ClothHangerOrderRelation> {
    /**
     * 查询洗衣订单衣服挂架位置关系
     *
     * @param id 洗衣订单衣服挂架位置关系主键
     * @return 洗衣订单衣服挂架位置关系
     */
    public ClothHangerOrderRelation selectClothHangerOrderRelationById(Long id);

    /**
     * 查询洗衣订单衣服挂架位置关系列表
     *
     * @param clothHangerOrderRelation 洗衣订单衣服挂架位置关系
     * @return 洗衣订单衣服挂架位置关系集合
     */
    public List<ClothHangerOrderRelation> selectClothHangerOrderRelationList(ClothHangerOrderRelation clothHangerOrderRelation);

    /**
     * 新增洗衣订单衣服挂架位置关系
     *
     * @param clothHangerOrderRelation 洗衣订单衣服挂架位置关系
     * @return 结果
     */
    public int insertClothHangerOrderRelation(ClothHangerOrderRelation clothHangerOrderRelation);

    /**
     * 修改洗衣订单衣服挂架位置关系
     *
     * @param clothHangerOrderRelation 洗衣订单衣服挂架位置关系
     * @return 结果
     */
    public int updateClothHangerOrderRelation(ClothHangerOrderRelation clothHangerOrderRelation);

    /**
     * 批量删除洗衣订单衣服挂架位置关系
     *
     * @param ids 需要删除的洗衣订单衣服挂架位置关系主键集合
     * @return 结果
     */
    public int deleteClothHangerOrderRelationByIds(Long[] ids);

    /**
     * 删除洗衣订单衣服挂架位置关系信息
     *
     * @param id 洗衣订单衣服挂架位置关系主键
     * @return 结果
     */
    public int deleteClothHangerOrderRelationById(Long id);


    public void buildClothHangerOrderRelation(OrderClothItem orderClothItem, Long hangerId, String hangerCode);
}
