package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothRewashReason;
import com.yiqi.core.domain.vo.ClothRewashReasonVO;

/**
 * 衣服重洗原因Service接口
 *
 * @author ruoyi
 * @date 2023-09-23
 */
public interface IClothRewashReasonService extends IService<ClothRewashReason> {
    /**
     * 查询衣服重洗原因
     *
     * @param id 衣服重洗原因主键
     * @return 衣服重洗原因
     */
    public ClothRewashReasonVO selectClothRewashReasonById(Long id);

    /**
     * 查询衣服重洗原因列表
     *
     * @param clothRewashReasonVO 衣服重洗原因
     * @return 衣服重洗原因集合
     */
    public List<ClothRewashReasonVO> selectClothRewashReasonList(ClothRewashReasonVO clothRewashReasonVO);

    /**
     * 新增衣服重洗原因
     *
     * @param clothRewashReasonVO 衣服重洗原因
     * @return 结果
     */
    public int insertClothRewashReason(ClothRewashReasonVO clothRewashReasonVO);

    /**
     * 修改衣服重洗原因
     *
     * @param clothRewashReasonVO 衣服重洗原因
     * @return 结果
     */
    public int updateClothRewashReason(ClothRewashReasonVO clothRewashReasonVO);

    /**
     * 批量删除衣服重洗原因
     *
     * @param ids 需要删除的衣服重洗原因主键集合
     * @return 结果
     */
    public int deleteClothRewashReasonByIds(Long[] ids);

    /**
     * 删除衣服重洗原因信息
     *
     * @param id 衣服重洗原因主键
     * @return 结果
     */
    public int deleteClothRewashReasonById(Long id);



}
