package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothRewashReasonType;

/**
 * 衣服重洗原因类别Service接口
 *
 * @author ruoyi
 * @date 2023-09-23
 */
public interface IClothRewashReasonTypeService extends IService<ClothRewashReasonType> {
    /**
     * 查询衣服重洗原因类别
     *
     * @param id 衣服重洗原因类别主键
     * @return 衣服重洗原因类别
     */
    public ClothRewashReasonType selectClothRewashReasonTypeById(Long id);

    /**
     * 查询衣服重洗原因类别列表
     *
     * @param clothRewashReasonType 衣服重洗原因类别
     * @return 衣服重洗原因类别集合
     */
    public List<ClothRewashReasonType> selectClothRewashReasonTypeList(ClothRewashReasonType clothRewashReasonType);

    /**
     * 新增衣服重洗原因类别
     *
     * @param clothRewashReasonType 衣服重洗原因类别
     * @return 结果
     */
    public int insertClothRewashReasonType(ClothRewashReasonType clothRewashReasonType);

    /**
     * 修改衣服重洗原因类别
     *
     * @param clothRewashReasonType 衣服重洗原因类别
     * @return 结果
     */
    public int updateClothRewashReasonType(ClothRewashReasonType clothRewashReasonType);

    /**
     * 批量删除衣服重洗原因类别
     *
     * @param ids 需要删除的衣服重洗原因类别主键集合
     * @return 结果
     */
    public int deleteClothRewashReasonTypeByIds(Long[] ids);

    /**
     * 删除衣服重洗原因类别信息
     *
     * @param id 衣服重洗原因类别主键
     * @return 结果
     */
    public int deleteClothRewashReasonTypeById(Long id);



}
