package com.yiqi.core.service;

import java.util.List;
import java.util.Set;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothWashModeRelation;
import com.yiqi.core.domain.vo.ClothPriceVO;
import com.yiqi.core.domain.vo.ClothWashModeRelationVO;

/**
 * 洗衣方式和衣服类别关联Service接口
 *
 * @author xiaohei
 * @date 2023-10-11
 */
public interface IClothWashModeRelationService extends IService<ClothWashModeRelation> {

    public List<ClothPriceVO> selectWashModePriceByClothId(Long clothId);
    /**
     * 查询洗衣方式和衣服类别关联
     *
     * @param washModeId 洗衣方式和衣服类别关联主键
     * @return 洗衣方式和衣服类别关联
     */
    public Set<String> selectClothWashModeRelationById(Long washModeId);

    /**
     * 查询洗衣方式和衣服类别关联列表
     *
     * @param clothWashModeRelation 洗衣方式和衣服类别关联
     * @return 洗衣方式和衣服类别关联集合
     */
    public List<ClothWashModeRelation> selectClothWashModeRelationList(ClothWashModeRelation clothWashModeRelation);

    /**
     * 新增洗衣方式和衣服类别关联
     *
     * @param clothWashModeRelation 洗衣方式和衣服类别关联
     * @return 结果
     */
    public int insertClothWashModeRelation(ClothWashModeRelation clothWashModeRelation);

    /**
     * 修改洗衣方式和衣服类别关联
     *
     * @param clothWashModeRelation 洗衣方式和衣服类别关联
     * @return 结果
     */
    public int updateClothWashModeRelation(ClothWashModeRelation clothWashModeRelation);

    /**
     * 批量删除洗衣方式和衣服类别关联
     *
     * @param ids 需要删除的洗衣方式和衣服类别关联主键集合
     * @return 结果
     */
    public int deleteClothWashModeRelationByIds(Long[] ids);

    /**
     * 删除洗衣方式和衣服类别关联信息
     *
     * @param id 洗衣方式和衣服类别关联主键
     * @return 结果
     */
    public int deleteClothWashModeRelationById(Long id);



}
