package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothWashProblem;

/**
 * 洗衣问题Service接口
 *
 * @author xiaohei
 * @date 2023-11-16
 */
public interface IClothWashProblemService extends IService<ClothWashProblem> {

    //<editor-folder desc="基础函数">
    /**
     * 查询洗衣问题
     *
     * @param id 洗衣问题主键
     * @return 洗衣问题
     */
    public ClothWashProblem selectClothWashProblemById(Long id);

    /**
     * 查询洗衣问题列表
     *
     * @param clothWashProblem 洗衣问题
     * @return 洗衣问题集合
     */
    public List<ClothWashProblem> selectClothWashProblemList(ClothWashProblem clothWashProblem);

    /**
     * 新增洗衣问题
     *
     * @param clothWashProblem 洗衣问题
     * @return 结果
     */
    public int insertClothWashProblem(ClothWashProblem clothWashProblem);

    /**
     * 修改洗衣问题
     *
     * @param clothWashProblem 洗衣问题
     * @return 结果
     */
    public int updateClothWashProblem(ClothWashProblem clothWashProblem);

    /**
     * 批量删除洗衣问题
     *
     * @param ids 需要删除的洗衣问题主键集合
     * @return 结果
     */
    public int deleteClothWashProblemByIds(Long[] ids);

    /**
     * 删除洗衣问题信息
     *
     * @param id 洗衣问题主键
     * @return 结果
     */
    public int deleteClothWashProblemById(Long id);


    //</editor-folder>
}
