package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.GoodsComment;
import com.yiqi.core.domain.dto.GoodsCommentQueryDTO;
import com.yiqi.core.domain.dto.weapp.WeAppGoodsCommentQueryDTO;
import com.yiqi.core.domain.dto.weapp.WeAppGoodsInfoQueryDTO;
import com.yiqi.core.domain.vo.GoodsCommentQueryVO;
import com.yiqi.core.domain.vo.weapp.WeAppGoodsCommentQueryVO;
import com.yiqi.core.domain.vo.weapp.WeAppGoodsInfoQueryVO;

/**
 * 商品评论Service接口
 *
 * @author ruoyi
 * @date 2023-12-19
 */
public interface IGoodsCommentService extends IService<GoodsComment> {

    //<editor-folder desc="基础函数">
    /**
     * 查询商品评论
     *
     * @param id 商品评论主键
     * @return 商品评论
     */
    public GoodsComment selectGoodsCommentById(Long id);

    /**
     * 查询商品评论列表
     *
     * @param goodsCommentQueryDTO 商品评论
     * @return 商品评论集合
     */
    public List<GoodsCommentQueryVO> selectGoodsCommentList(GoodsCommentQueryDTO goodsCommentQueryDTO);


    /**
     * 查询商品评论列表总数
     *
     * @param goodsCommentQueryDTO 商品评论
     * @return 商品评论集合
     */
    public Integer countNumberByGoodsCommentList(GoodsCommentQueryDTO goodsCommentQueryDTO);

    /**
     * 新增商品评论
     *
     * @param goodsComment 商品评论
     * @return 结果
     */
    public int insertGoodsComment(GoodsComment goodsComment,  Long goodsId,  Long goodsSkuId);

    //</editor-folder>

    //<editor-folder desc="app接口">

    /**
     * 通过商品ID，查询评论
     * @param weAppGoodsCommentQueryDTO
     * @return
     */
    public WeAppGoodsCommentQueryVO findPage(WeAppGoodsCommentQueryDTO weAppGoodsCommentQueryDTO);

    //</editor-folder>
    //<editor-folder desc="pc接口">

}
