package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.GoodsSkuStockRecord;
import com.yiqi.core.domain.vo.GoodsSkuStockRecordVO;

/**
 * 商品库存变更记录Service接口
 *
 * @author ruoyi
 * @date 2023-11-29
 */
public interface IGoodsSkuStockRecordService extends IService<GoodsSkuStockRecord> {

    //<editor-folder desc="基础函数">
    /**
     * 查询商品库存变更记录
     *
     * @param id 商品库存变更记录主键
     * @return 商品库存变更记录
     */
    public GoodsSkuStockRecord selectGoodsSkuStockRecordById(Long id);

    /**
     * 查询商品库存变更记录列表
     *
     * @param goodsSkuStockRecord 商品库存变更记录
     * @return 商品库存变更记录集合
     */
    public List<GoodsSkuStockRecordVO> selectGoodsSkuStockRecordList(GoodsSkuStockRecord goodsSkuStockRecord);

    /**
     * 新增商品库存变更记录
     *
     * @param goodsSkuStockRecord 商品库存变更记录
     * @return 结果
     */
    public int insertGoodsSkuStockRecord(GoodsSkuStockRecord goodsSkuStockRecord);

    /**
     * 修改商品库存变更记录
     *
     * @param goodsSkuStockRecord 商品库存变更记录
     * @return 结果
     */
    public int updateGoodsSkuStockRecord(GoodsSkuStockRecord goodsSkuStockRecord);

    /**
     * 批量删除商品库存变更记录
     *
     * @param ids 需要删除的商品库存变更记录主键集合
     * @return 结果
     */
    public int deleteGoodsSkuStockRecordByIds(Long[] ids);

    /**
     * 删除商品库存变更记录信息
     *
     * @param id 商品库存变更记录主键
     * @return 结果
     */
    public int deleteGoodsSkuStockRecordById(Long id);


    //</editor-folder>
}
