package com.yiqi.order.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 客户取衣订单地址对象 order_cloth_address
 *
 * @author douya
 * @date 2024-08-15
 */
@ApiModel("客户取衣订单地址")
@TableName("order_cloth_address")
@Data
public class OrderClothAddress extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 用户ID
     */
    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    /**
     * 订单编号
     */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderSn;

    /**
     * 省
     */
    @Excel(name = "省")
    @ApiModelProperty("省")
    private String province;

    /**
     * 城市
     */
    @Excel(name = "城市")
    @ApiModelProperty("城市")
    private String city;

    /**
     * 区域
     */
    @Excel(name = "区域")
    @ApiModelProperty("区域")
    private String area;

    /**
     * 地址
     */
    @Excel(name = "地址")
    @ApiModelProperty("地址")
    private String address;

    /**
     * 门牌号
     */
    @Excel(name = "门牌号")
    @ApiModelProperty("门牌号")
    private String addressDetail;

    /**
     * 经度
     */
    @Excel(name = "经度")
    @ApiModelProperty("经度")
    private BigDecimal longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    @ApiModelProperty("纬度")
    private BigDecimal latitude;

    /**
     * 联系人姓名
     */
    @Excel(name = "联系人姓名")
    @ApiModelProperty("联系人姓名")
    private String contactName;

    /**
     * 联系人手机号
     */
    @Excel(name = "联系人手机号")
    @ApiModelProperty("联系人手机号")
    private String contactPhone;


}
