package com.yiqi.order.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 订单衣服附件对象 order_cloth_adjunct
 *
 * @author xiaohei
 * @date 2023-10-06
 */
@ApiModel("订单衣服附件")
@TableName("order_cloth_adjunct")
@Data
public class OrderClothAdjunct extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 附件编号
     */
    @Excel(name = "附件编号")
    @ApiModelProperty("附件编号")
    private String adjunctNo;


    /**
     * 附件ID
     */
    @Excel(name = "附件ID")
    @ApiModelProperty("附件ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long adjunctId;

    /**
     * 附件名称
     */
    @Excel(name = "附件名称")
    @ApiModelProperty("附件名称")
    private String adjunctName;

    /**
     * 订单ID
     */
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /**
     * 订单衣服ID
     */
    @Excel(name = "订单衣服ID")
    @ApiModelProperty("订单衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderClothId;

    @Excel(name = "洗衣状态", readConverterExp = "0=待入厂，1=已入厂，2=已检查，3=已出厂，4=已上挂，5=已取衣，6=已到店、待送衣，7=送衣中，8=已送达、待评价，9=已完成，100=重洗，101=删除入厂，102=撤单")
    @ApiModelProperty("洗衣状态（0=待入厂，1=已入厂，2=已检查，3=已出厂，4=已上挂，5=已取衣，6=已到店、待送衣，7=送衣中，8=已送达、待评价，9=已完成，100=重洗，101=删除入厂，102=撤单）")
    private String flowStatus;

    @ApiModelProperty("工厂ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long factoryId;

    @ApiModelProperty("门店ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("入厂时间")
    private Date inFactoryTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("检查时间")
    private Date checkClothTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("出厂时间")
    private Date outFactoryTime;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("入厂人员id")
    private Long inFactoryById;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("出厂人员id")
    private Long outFactoryById;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("检查人员id")
    private Long checkClothById;

    @ApiModelProperty("入厂人员")
    private String inFactoryBy;

    @ApiModelProperty("出厂人员")
    private String outFactoryBy;

    @ApiModelProperty("检查人员")
    private String checkClothBy;

    /**
     * 附件数量
     */
    @Excel(name = "附件数量")
    @ApiModelProperty("附件数量")
    private Integer num;


}
