package com.yiqi.order.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 洗衣订单衣服颜色对象 order_cloth_color
 *
 * @author ruoyi
 * @date 2023-10-06
 */
@ApiModel("洗衣订单衣服颜色")
@TableName("order_cloth_color")
@Data
public class OrderClothColor extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 订单ID */
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 衣服订单ID */
    @ApiModelProperty("衣服订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderClothId;

    /** 颜色ID */
    @Excel(name = "颜色ID")
    @ApiModelProperty("颜色ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothColorId;

    /** 颜色编号 */
    @Excel(name = "颜色编号")
    @ApiModelProperty("颜色编号")
    private String clothColorCode;

    /** 颜色名称 */
    @Excel(name = "颜色名称")
    @ApiModelProperty("颜色名称")
    private String clothColorName;

    @ApiModelProperty("颜色类型（0纯颜色,1图纹）")
    private String clothColorType;

    /** 图片 */
    @ApiModelProperty("图片")
    private String imgUrl;


}
