package com.yiqi.order.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 洗衣订单衣服工艺对象 order_cloth_craft
 *
 * @author xiaohei
 * @date 2023-10-06
 */
@ApiModel("洗衣订单衣服工艺")
@TableName("order_cloth_craft")
@Data
public class OrderClothCraft extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 订单衣服ID */
    @Excel(name = "订单衣服ID")
    @ApiModelProperty("订单衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderClothId;

    /** 工艺ID */
    @Excel(name = "工艺ID")
    @ApiModelProperty("工艺ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothCraftId;

    /** 工艺名称 */
    @Excel(name = "工艺名称")
    @ApiModelProperty("工艺名称")
    private String clothCraftName;

    /** 加价价格 */
    @Excel(name = "加价价格")
    @ApiModelProperty("加价价格")
    private BigDecimal price;


}
