package com.yiqi.order.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 洗衣订单衣服瑕疵对象 order_cloth_flaw
 *
 * @author ruoyi
 * @date 2023-10-06
 */
@ApiModel("洗衣订单衣服瑕疵")
@TableName("order_cloth_flaw")
@Data
public class OrderClothFlaw extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 订单衣服ID */
    @Excel(name = "订单衣服ID")
    @ApiModelProperty("订单衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderClothId;

    /** 衣服瑕疵类型ID */
    @Excel(name = "衣服瑕疵类型ID")
    @ApiModelProperty("衣服瑕疵类型ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothFlawTypeId;

    /** 衣服瑕疵类型名称 */
    @Excel(name = "衣服瑕疵类型名称")
    @ApiModelProperty("衣服瑕疵类型名称")
    private String clothFlawTypeName;

    /** 衣服瑕疵ID */
    @Excel(name = "衣服瑕疵ID")
    @ApiModelProperty("衣服瑕疵ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothFlawId;

    /** 衣服瑕疵名称 */
    @Excel(name = "衣服瑕疵名称")
    @ApiModelProperty("衣服瑕疵名称")
    private String clothFlawName;


}
