package com.yiqi.order.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 洗衣订单衣服优惠情况对象 order_cloth_item_coupon_relation
 *
 * @author xiaohei
 * @date 2023-11-07
 */
@ApiModel("洗衣订单衣服优惠情况")
@TableName("order_cloth_item_coupon_relation")
@Data
public class OrderClothItemCouponRelation extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 优惠券ID */
    @Excel(name = "优惠券ID")
    @ApiModelProperty("优惠券ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long couponItemId;

    /** 订单ID */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderNo;

    /** 洗衣订单衣服关联ID */
    @Excel(name = "洗衣订单衣服关联ID")
    @ApiModelProperty("洗衣订单衣服关联ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderClothItemId;

    /** 衣服ID */
    @Excel(name = "衣服ID")
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothId;

    /** 优惠前价格 */
    @Excel(name = "优惠前价格")
    @ApiModelProperty("优惠前价格")
    private BigDecimal originalPrice;

    /** 优惠后价格 */
    @Excel(name = "优惠后价格")
    @ApiModelProperty("优惠后价格")
    private BigDecimal finalPrice;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    @ApiModelProperty("优惠金额")
    private BigDecimal discountPrice;


}
