package com.yiqi.order.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 洗衣订单衣服流程日志对象 order_cloth_item_flow_record
 *
 * @author xiaohei
 * @date 2023-12-05
 */
@ApiModel("洗衣订单衣服流程日志")
@TableName("order_cloth_item_flow_record")
@Data
public class OrderClothItemFlowRecord extends BaseEntity
{

    public OrderClothItemFlowRecord() {
    }



    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderNo;

    /** 订单衣服ID */
    @Excel(name = "订单衣服ID")
    @ApiModelProperty("订单衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderClothItemId;

    /** 衣服ID */
    @Excel(name = "衣服ID")
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothId;

    /** 水洗唛 */
    @Excel(name = "水洗唛")
    @ApiModelProperty("水洗唛")
    private String washCode;

    /** 流程状态 */
    @Excel(name = "流程状态")
    @ApiModelProperty("流程状态")
    private String flowStatus;

    /** 流程名称 */
    @Excel(name = "流程名称")
    @ApiModelProperty("流程名称")
    private String flowStatusName;
}
