package com.yiqi.order.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 洗衣订单状态变更记录对象 order_cloth_status_record
 *
 * @author ruoyi
 * @date 2024-01-23
 */
@ApiModel("洗衣订单状态变更记录")
@TableName("order_cloth_status_record")
@Data
public class OrderClothStatusRecord extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty("$column.columnComment")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderNo;

    /** 订单状态 */
    @Excel(name = "订单状态")
    @ApiModelProperty("订单状态")
    private String orderStatus;

    /** 订单状态名称 */
    @Excel(name = "订单状态名称")
    @ApiModelProperty("订单状态名称")
    private String orderStatusName;

    /** 拍照记录 */
    @Excel(name = "拍照记录")
    @ApiModelProperty("拍照记录")
    private String pics;

    /** 配送员用户ID（配送员操作时有） */
    @Excel(name = "配送员用户ID", readConverterExp = "配=送员操作时有")
    @ApiModelProperty("配送员用户ID（配送员操作时有）")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long deliveryAppUserId;


}
