package com.yiqi.order.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 洗衣订单衣服类型对象 order_cloth_type
 *
 * @author xiaohei
 * @date 2023-10-20
 */
@ApiModel("洗衣订单衣服类型")
@TableName("order_cloth_type")
@Data
public class OrderClothType extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 订单衣服ID */
    @Excel(name = "订单衣服ID")
    @ApiModelProperty("订单衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderClothId;

    /** 衣服类型编号 */
    @Excel(name = "衣服类型编号")
    @ApiModelProperty("衣服类型编号")
    private String clothTypeCode;

    /** 衣服类型名称 */
    @Excel(name = "衣服类型名称")
    @ApiModelProperty("衣服类型名称")
    private String clothTypeName;

    /** 衣服类型价格 */
    @Excel(name = "衣服类型价格")
    @ApiModelProperty("衣服类型价格")
    private BigDecimal clothTypePrice;


}
