package com.yiqi.order.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 商品订单商品信息对象 order_goods_item
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@ApiModel("商品订单商品信息")
@TableName("order_goods_item")
@Data
public class OrderGoodsItem extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderNo;

    /** 商品ID */
    @Excel(name = "商品ID")
    @ApiModelProperty("商品ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    @ApiModelProperty("商品名称")
    private String goodsName;

    /** 商品图片 */
    @Excel(name = "商品图片")
    @ApiModelProperty("商品图片")
    private String goodsImg;

    /** 商品分类ID */
    @Excel(name = "商品分类ID")
    @ApiModelProperty("商品分类ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsCategoryId;

    /** 商品分类名称 */
    @Excel(name = "商品分类名称")
    @ApiModelProperty("商品分类名称")
    private String goodsCategoryName;


}
