package com.yiqi.order.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 商品订单物料明细对象 order_goods_sku
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@ApiModel("商品订单物料明细")
@TableName("order_goods_sku")
@Data
public class OrderGoodsSku extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private String orderNo;

    /** 商品订单商品明细ID */
    @Excel(name = "商品订单商品明细ID")
    @ApiModelProperty("商品订单商品明细ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderGoodsItemId;

    /** 购买数量 */
    @Excel(name = "购买数量")
    @ApiModelProperty("购买数量")
    private Integer buyNum;

    /** 单价 */
    @Excel(name = "单价")
    @ApiModelProperty("单价")
    private BigDecimal marketPrice;

    /** 规格内容 */
    @Excel(name = "规格内容")
    @ApiModelProperty("规格内容")
    private String skuName;

    /** 物料ID */
    @Excel(name = "物料ID")
    @ApiModelProperty("物料ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long skuId;

    /** 商品ID */
    @Excel(name = "商品ID")
    @ApiModelProperty("商品ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;


}
