package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@ApiModel("活动订单对象参数")
@Data
public class ActivityOrderDTO {

    @ApiModelProperty("支付方式0:微信，1：支付宝")
    private String payType;

    @ApiModelProperty("活动id")
    private Long activityId;

    @ApiModelProperty("客户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    @ApiModelProperty("下单渠道（APP=APP，WXAPP=小程序）")
    private String orderSource;

    @ApiModelProperty("来源类型")
    private String sourceType;

    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty("付款平台(APP=APP、WEAPP=小程序)")
    private String platform;
}
