package com.yiqi.order.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2024/1/2
 */
@Data
public class AlipayNotifyDTO {

    @ApiModelProperty("商户订单号")
    private String out_trade_no;

    @ApiModelProperty("支付宝订单号")
    private String trade_no;

    @ApiModelProperty("商家业务号。商家业务 ID，主要是退款通知中返回退款申请的流水号。")
    private String out_biz_no;

    @ApiModelProperty("卖家支付宝用户号。")
    private String seller_id;

    @ApiModelProperty("卖家支付宝账号。")
    private String seller_email;

    @ApiModelProperty("订单金额。本次交易支付的订单金额，单位为人民币（元）。支持小数点后两位。")
    private BigDecimal total_amount;

    @ApiModelProperty("实收金额。商家在交易中实际收到的款项，单位为人民币（元）。支持小数点后两位。")
    private BigDecimal receipt_amount;

    @ApiModelProperty("总退款金额。退款通知中，返回总退款金额，单位为元，支持小数点后两位。")
    private BigDecimal refund_fee;

    @ApiModelProperty("实际退款金额。商家实际退款给用户的金额，单位为元，支持小数点后两位。")
    private BigDecimal send_back_fee;

    @ApiModelProperty("订单标题。商品的标题/交易标题/订单标题/订单关键字等，是请求时对应的参数，原样通知回来")
    private String subject;

    @ApiModelProperty("交易创建时间。该笔交易创建的时间。格式 为 yyyy-MM-dd HH:mm:ss。")
    private Date gmt_create;

    @ApiModelProperty("交易 付款时间。该笔交易的买家付款时间。格式为 yyyy-MM-dd HH:mm:ss。")
    private Date gmt_payment;
}
