package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GoodsOrderRefundQueryDTO {

    @ApiModelProperty("订单状态（0待支付，1支付待确认，2已支付、待配送，3配送中，4已到货，5确认收货，-1取消订单）")
    private String orderStatus;

    @ApiModelProperty("退单状态（0=正常，1=退款申请中，2=退款同意，3=退款拒绝，4=退款取消）")
    private String refundStatus;

    @ApiModelProperty("商品类别")
    private String goodsType;

    @ApiModelProperty("来源类型")
    private String sourceType;

    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty("商品订单类型")
    private String goodsOrderType;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty(value = "导出最大数量")
    private int pageSizeExport ;
}
