package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.enums.ClothOrderType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2023/10/6
 */
@Data
public class OrderClothAppointmentDTO {

    @ApiModelProperty("订单类型（0=普通订单，1=云洗订单，2=第三方订单）,默认0")
    private String orderType = ClothOrderType.normal.getCode();

    @NotNull
    @ApiModelProperty("地址ID")
    private Long addressId;

    @NotNull
    @ApiModelProperty("组织ID")
    private Long orgId;

    @NotNull
    @ApiModelProperty("来源类型")
    private String sourceType;

    @NotNull
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    @ApiModelProperty("预约时间")
    private Date appointmentTime;

    @NotNull
    @ApiModelProperty("预约数量")
    private Integer appointmentCount;

    @ApiModelProperty("备注")
    private String remark;

    @Pattern(regexp = "^(Y|N|)$",message = "是否拆装输入格式不正确")
    @ApiModelProperty("是否拆装")
    private String isDismountingAndAssembling;

    @ApiModelProperty("大件项目类型")
    private String largeItemType;

    /** 是否大件 */
    @Pattern(regexp = "^(Y|N|)$",message = "是否大件输入格式不正确")
    @ApiModelProperty("是否大件")
    private String isLargeItem;
}
