package com.yiqi.order.domain.dto;

import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author xiaohei
 * @date 2023/10/6
 */
@Data
public class OrderClothItemDTO {

    /** 衣服ID */
    @Excel(name = "衣服ID")
    @ApiModelProperty("衣服ID")
    private Long clothItemId;

    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String clothItemName;

    @ApiModelProperty("衣服品牌ID")
    private Long clothBrandId;

    @ApiModelProperty("衣服品牌名称")
    private String clothBrandName;

    /** 洗衣速度ID */
    @Excel(name = "洗衣速度ID")
    @ApiModelProperty("洗衣速度ID")
    private Long clothSpeedId;

    /** 衣服数量 */
    @Excel(name = "衣服数量")
    @ApiModelProperty("衣服数量")
    private Long clothNum;

    /** 洗衣方式ID */
    @Excel(name = "洗衣方式ID")
    @ApiModelProperty("洗衣方式ID")
    private Long clothWashModeId;

    /** 照片 */
    @Excel(name = "照片")
    @ApiModelProperty("照片")
    private String pics;

    /** 挂架ID */
    @Excel(name = "挂架ID")
    @ApiModelProperty("挂架ID")
    private Long clothHangerId;

    /** 是否保值 */
    @Excel(name = "是否保值")
    @ApiModelProperty("是否保值")
    private String isHedging;

    /**
     * 单价
     */
    @ApiModelProperty("单价")
    private BigDecimal defaultPrice;

    /**
     * 优惠抵扣金额
     */
    @ApiModelProperty("优惠抵扣金额")
    private BigDecimal deductPrice;

    /** 保值价格 */
    @Excel(name = "保值价格")
    @ApiModelProperty("保值价格")
    private BigDecimal hedgingPrice;


    @ApiModelProperty("是否自定义单价")
    private String isCustomPrice;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("衣服瑕疵")
    List<OrderClothFlawDTO> orderClothFlawDTOS;

    @ApiModelProperty("衣服颜色")
    List<OrderClothColorDTO> orderClothColorDTOS;

    @ApiModelProperty("衣服工艺")
    List<OrderClothCraftDTO> orderClothCraftDTOS;

    @ApiModelProperty("衣服类型")
    List<OrderClothTypeDTO> orderClothTypeDTOS;

    @ApiModelProperty("衣服附件")
    List<OrderClothAdjunctDTO> orderClothAdjunctDTOS;
}
