package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2023/12/19
 */
@Data
public class OrderClothItemFactoryQueryDTO implements Serializable {

    @ApiModelProperty("衣服类型 1：普通衣服 2：衣服附件")
    private String clothType;

    @ApiModelProperty("衣服状态，（1=入厂，2=检查，3=出厂）")
    private String flowStatus;

    @ApiModelProperty("衣服条码")
    private String washCode;

    @ApiModelProperty("衣服名称")
    private String clothName;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("创建开始时间 (yyyy-MM-dd)")
    private Date beginTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("创建结束时间 (yyyy-MM-dd)")
    private Date endTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("入厂开始时间 (yyyy-MM-dd)")
    private Date beginInFactoryTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("入厂结束时间 (yyyy-MM-dd)")
    private Date endInFactoryTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("出厂开始时间 (yyyy-MM-dd)")
    private Date beginOutFactoryTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("出厂结束时间 (yyyy-MM-dd)")
    private Date endOutFactoryTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("检查开始时间 (yyyy-MM-dd)")
    private Date beginCheckClothTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("检查结束时间 (yyyy-MM-dd)")
    private Date endCheckClothTime;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("入厂人员id")
    private Long inFactoryById;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("出厂人员id")
    private Long outFactoryById;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("检查人员id")
    private Long checkClothById;

    @ApiModelProperty("组织ID")
    private Long orgId;

    @ApiModelProperty("组织类型")
    private String sourceType;
}
