package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;

@Data
public class OrderClothItemQueryDTO extends PageVO {

    @ApiModelProperty("衣服状态（0=清洗中,1=上挂,2=已完成,3=超时,4=未取,5=超时3天,6=超时5天）")
    private String flowStatus;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("开始时间")
    private Date beginCreateTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("结束时间")
    private Date endCreateTime;

    @ApiModelProperty("客户姓名")
    private String appUserName;

    @ApiModelProperty("客户手机号")
    private String appUserPhoneNumber;

    @ApiModelProperty("衣服条码")
    private String washCode;

    @ApiModelProperty("衣服名称")
    private String clothName;

    @ApiModelProperty("取衣开始时间")
    private Date beginTakeClothTime;

    @ApiModelProperty("取衣结束时间")
    private Date endTakeClothTime;

    @ApiModelProperty("挂衣号")
    private String hangerCode;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("来源类型（总部搜索）")
    private String sourceType;

    @ApiModelProperty("组织ID（总部搜索）")
    private Long orgId;
}
