package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class OrderClothPayDTO {

    @ApiModelProperty("客户ID")
    private Long appUserId;

    @NotEmpty(message = "请先设置支付方式")
    @ApiModelProperty("支付方式（0=微信，1=支付宝，2=现金，3=余额）")
    private String payType;

    @ApiModelProperty("付款码，微信或支付宝支付必传")
    private String authCode;

    @ApiModelProperty("订单编号，预约单时需要")
    @NotNull(message = "订单编号必传")
    private String orderNo;

    @ApiModelProperty("订单金额")
    @NotNull(message = "订单金额必传")
    private BigDecimal payAmount;

}
