package com.yiqi.order.domain.dto;

import com.yiqi.common.core.domain.PageVO;
import com.yiqi.common.enums.ClothOrderType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author xiaohei
 * @date 2023/12/11
 */
@Data
public class OrderClothQueryDTO extends PageVO {

    @ApiModelProperty("订单类型（0=普通订单，1=云洗订单，2=第三方订单）,默认0")
    private String orderType = ClothOrderType.normal.getCode();

    @ApiModelProperty("是否分配工厂")
    private String isSelectOrg;

    @ApiModelProperty("订单状态")
    private String orderStatus;

    @ApiModelProperty("订单来源")
    private String orderSource;

    @ApiModelProperty("订单条码")
    private String orderNo;

    @ApiModelProperty("会员手机")
    private String appUserPhoneNumber;

    @ApiModelProperty("开始日期")
    private Date beginCreateTime;

    @ApiModelProperty("结束日期")
    private Date endCreateTime;

    @ApiModelProperty("会员条码")
    private String userId;

    @ApiModelProperty("来源类型（总部搜索）")
    private String sourceType;

    @ApiModelProperty("组织ID（总部搜索）")
    private Long orgId;

}
