package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author BKGin
 * @Email libra14xu@gmail.com
 * @Date 2024-09-07
 */
@Data
public class OrderDeliveryRequestDTO implements Serializable {

    private Long storeId;
    private String orderSn;
    private String mobile;

    /**
     * 订单类型 {@link com.yiqi.common.enums.ClothOrderDeliveryType}
      */
    private String clothOrderType;
    /**
     * 配送订单状态 {@link com.yiqi.common.enums.OrderDeliveryStatusEnum}
     */
    private String deliveryStatus;


    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startDate;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDate;

}
