package com.yiqi.order.domain.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;
import java.util.List;

/**
 * 商品订单对象 order_goods
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@ApiModel("零售商品订单")
@Data
public class OrderGoodsInsertDTO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("客户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    @ApiModelProperty("客户地址id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserAddressId;

    @ApiModelProperty("是否抵扣")
    private Boolean isDeduct;

    @ApiModelProperty("支付方式（0=微信，1=支付宝，2=现金,3=余额）")
    @Pattern(regexp = "^(2|0|1|3)$",message = "支付方式不正确")
    private String payType;

    @ApiModelProperty("零售商品明细")
    private List<OrderRetailGoodsSkusDTO> retailGoodsVOList;

    @ApiModelProperty("下单渠道（APP=APP，WXAPP=小程序）")
    private String orderSource;

    @ApiModelProperty("订单总价")
    private BigDecimal totalPrice;

    @ApiModelProperty("抵扣金额")
    private BigDecimal deductAmount;

}
