package com.yiqi.order.domain.dto;

import com.yiqi.common.annotation.Excel;
import com.yiqi.order.domain.vo.OrderPurchaseGoodsVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


/**
 * 进货明细
 *
 * @author zjw
 * @date 2023-10-06
 */
@Data
public class OrderPurchaseGoodsAddDTO {
    /**
     * 进货明细
     */
    private List<OrderPurchaseGoodsVO> purchaseGoodsVOList;

    /**
     * 进货总价
     */
    @Excel(name = "进货总价")
    @ApiModelProperty("进货总价")
    private BigDecimal costTotalPrice;

    /**
     * 商品类别
     */
    @Excel(name = "商品类别")
    @ApiModelProperty("商品类别")
    private String goodsType;

    @ApiModelProperty("是否使用余额")
    private Boolean isUserBalance;
}
