package com.yiqi.order.domain.dto;

import com.yiqi.common.annotation.Excel;
import com.yiqi.order.domain.vo.OrderPurchaseGoodsVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


/**
 * 进货订单列表查询
 *
 * @author zjw
 * @date 2023-10-06
 */
@ApiModel("进货订单列表查询")
@Data
public class OrderPurchaseGoodsQueryDTO {

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("上级来源类型")
    private String parentSourceType;

    @ApiModelProperty("上级组织ID")
    private Long parentOrgId;

    @ApiModelProperty("商品类别")
    private String goodsType;

    @ApiModelProperty("来源类型")
    private String sourceType;

    @ApiModelProperty("组织ID")
    private Long orgId;

    @ApiModelProperty("支付状态（0待支付，1待接单，2待配送，3配送中，4已到货，5确认收货，-1取消订单）")
    private String orderStatus;

    @ApiModelProperty("支付方式（0=微信，1=支付宝，2=现金）")
    private String payType;
}
