package com.yiqi.order.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;


@ApiModel("分段支付充值订单参数")
@Data
public class OrderRechargeMorePayDTO {
    @ApiModelProperty("订单编号")
    @NotNull(message = "订单编号不能为空")
    private String orderNo;

    @ApiModelProperty("支付金额")
    private BigDecimal thisPayAmount;

    @ApiModelProperty("支付方式（0=微信，1=支付宝，2=现金，3=充值卡）")
    private String payType;

    @ApiModelProperty("用户付款码")
    private String authCode;
}
