package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@ApiModel("充值订单列表查询对象")
@Data
public class OrderRechargeQueryDTO {

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("门店ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty("来源类型")
    private String sourceType;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("门店名称")
    private String storeName;

    @ApiModelProperty(value = "活动订单创建时间From")
    private String createTimeFrom;

    @ApiModelProperty(value = "活动订单创建时间To")
    private String createTimeTo;

    @ApiModelProperty(value = "活动订单支付时间开始")
    private String beginPayTime;

    @ApiModelProperty(value = "活动订单支付时间结束")
    private String endPayTime;

    @ApiModelProperty("订单状态（0=待付款，1=待确认，2=已付款，3=已退款,100=已取消）")
    private String orderStatus;

    @ApiModelProperty(value = "导出最大数量")
    private int pageSizeExport ;
}
