package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel("充值订单退单列表查询对象")
@Data
public class OrderRechargeRefundQueryDTO {

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty("来源类型")
    private String sourceType;

    @ApiModelProperty("工厂名称")
    private String factoryName;

    @ApiModelProperty("门店名称")
    private String storeName;

    @ApiModelProperty(value = "活动订单创建时间From")
    private String createTimeFrom;

    @ApiModelProperty(value = "活动订单创建时间To")
    private String createTimeTo;

    @ApiModelProperty(value = "活动订单退款时间begin")
    private String beginRefundTime;

    @ApiModelProperty(value = "活动订单退款时间end")
    private String endRefundTime;

    @ApiModelProperty(value = "导出最大数量")
    private int pageSizeExport ;
}
