package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2024/1/22
 */
@Data
public class OrderThirdDeliveryTestUpdateStatusDTO {

    @NotEmpty
    @ApiModelProperty("商户id,需填test_biz_id")
    private String bizId;

    @NotEmpty
    @ApiModelProperty("快递公司id,需填TEST")
    private String deliveryId;

    @NotEmpty
    @ApiModelProperty("订单编号")
    private String orderId;

    @NotEmpty
    @ApiModelProperty("运单号")
    private String waybillId;

    @NotNull
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("轨迹变化 Unix 时间戳")
    private Date actionTime;

    @NotNull
    @ApiModelProperty("轨迹变化类型，见ThirdDeliveryActionType")
    private Integer actionType;

}
