package com.yiqi.order.domain.dto;

import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class PayInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 储值卡实际支付金额
     */
    @Excel(name = "储值卡实际支付金额")
    @ApiModelProperty("储值卡实际支付金额")
    private BigDecimal truePayAmount;

    /**
     * 赠送金额支付金额
     */
    @Excel(name = "赠送金额支付金额")
    @ApiModelProperty("赠送金额支付金额")
    private BigDecimal givePayAmount;


    /**
     * 福利金支付金额
     */
    @Excel(name = "福利金支付金额")
    @ApiModelProperty("福利金支付金额")
    private BigDecimal welfarePayAmount;


    /**
     * 现金支付金额
     */
    @Excel(name = "现金支付金额")
    @ApiModelProperty("现金支付金额")
    private BigDecimal cashPayAmount;

    /**
     * 微信支付金额
     */
    @Excel(name = "微信支付金额")
    @ApiModelProperty("微信支付金额")
    private BigDecimal wxPayAmount;

    /**
     * 支付宝支付金额
     */
    @Excel(name = "支付宝支付金额")
    @ApiModelProperty("支付宝支付金额")
    private BigDecimal aliPayAmount;
}
