package com.yiqi.order.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2024/1/2
 */
@Data
public class PayOrderDTO {

    private Long storeId;
    
    @ApiModelProperty("支付方式（0=微信，1=支付宝）")
    private String payType;

    @ApiModelProperty("原订单编号")
    private String orderNo;

    @ApiModelProperty("支付金额")
    private BigDecimal payAmount;

    @ApiModelProperty("订单标题")
    private String subjectTitle;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("超时时间")
    private Date expireTime;

    @ApiModelProperty("付款平台（APP=APP、WEAPP=小程序）")
    private String platform = "APP";

    @ApiModelProperty("用户id 微信:openid  支付宝：userId")
    private String userId;
}
