package com.yiqi.order.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2024/1/3
 */
@Data
public class RefundBaseDTO {
    @ApiModelProperty("退款请求号。 标识一次退款请求，需要保证在交易号下唯一，如需部分退款，则此参数必传。 注：针对同一次退款请求，" +
            "如果调用接口失败或异常了，重试时需要保证退款请求号不能变更，防止该笔交易重复退款。支付宝会保证同样的退款请求号多次请求只会退一次。" +
            "必选条件部分退款时必选")
    private String outRequestNo;

    @ApiModelProperty("退款原因说明。 商家自定义，将在会在商户和用户的pc退款账单详情中展示")
    private String refundReason;

    public RefundBaseDTO() {
    }

    public RefundBaseDTO(String outRequestNo) {
        this.outRequestNo = outRequestNo;
    }
}
