package com.yiqi.order.domain.dto.weapp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.order.domain.dto.OrderRetailGoodsSkusDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * 商品订单对象 order_goods
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@ApiModel("生活服务/汽车美容商品订单")
@Data
public class AppGoodsOrderLifeServiceDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("是否抵扣")
    @NotNull(message = "是否抵扣不能为空")
    private Boolean isDeduct;

    @ApiModelProperty("支付方式（3=余额）")
    @Pattern(regexp = "^(0|1|3)$",message = "支付方式不正确")
    private String payType;

    @ApiModelProperty("付款平台(APP=APP、WEAPP=小程序)")
    @NotEmpty(message = "付款平台不能为空")
    private String platform;

    @ApiModelProperty("零售商品物料明细")
    @NotNull(message = "物料商品不能为空")
    private OrderRetailGoodsSkusDTO orderRetailGoodsSkusDTO;

    @ApiModelProperty("预约时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date appointmentTime;
}
