package com.yiqi.order.domain.dto.weapp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

/**
 * 商品订单对象-重新支付 order_goods
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@ApiModel("零售商品订单-重新支付")
@Data
public class AppGoodsOrderRePayDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("订单ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    @ApiModelProperty("付款平台(APP=APP、WEAPP=小程序)")
    @NotEmpty(message = "付款平台不能为空")
    private String platform;
}
