package com.yiqi.order.domain.dto.weapp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class OrderClothAppQueryDTO extends PageVO {


    @ApiModelProperty("开始检索日期，yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date startDate;

    @ApiModelProperty("结束检索日期，yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date endDate;

    /**
     * 订单状态（0=预约待取，1=已取货、待门店定价，2=已定价、待支付，3=支付确认中，4=已支付、待工厂取货，5=工厂已取货、洗衣中，6=洗衣完成、待送店
     * ，7=已到店、待送衣或待自取，8=送衣中，9=待评价，10=已完成，100=已取消）
     * 订单分类查询（0=待上门，1=已上门、带门店定价，2=待付款，3=服务中，4=待配送，5=配送中，6=待取衣（到店自取），8=待评价，9=已完成，100=已取消）
     */
    @ApiModelProperty("订单分类查询（0=待上门，1=已上门、带门店定价，2=待付款，3=服务中，4=待配送，5=配送中，6=待取衣（到店自取），7=待评价，8=已完成，100=已取消）")
    private String orderStatus;

}
