package com.yiqi.order.domain.dto.weapp;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.order.domain.dto.OrderRetailGoodsSkusDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@ApiModel("App活动订单下单参数")
@Data
public class WeAppActivityOrderDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("支付方式0:微信，1：支付宝")
    @Pattern(regexp = "^(0|1)$",message = "支付方式不正确")
    private String payType;

    @ApiModelProperty("活动id")
    @NotNull(message = "活动id不能为空")
    private Long activityId;

    @ApiModelProperty("付款平台(APP=APP、WEAPP=小程序)")
    @NotEmpty(message = "付款平台不能为空")
    private String platform;

    @ApiModelProperty("门店id")
    @NotNull(message = "门店id不能为空")
    private Long storeId;
}
