package com.yiqi.order.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class FactoryStatisticsDetailQueryVO {

    @ApiModelProperty("门店ID")
    private Long orgId;

    @ApiModelProperty("门店名称")
    private String storeName;

    @ApiModelProperty("衣服条码")
    private String washCode;

    @ApiModelProperty("衣服名称")
    private String clothItemName;

    @ApiModelProperty("洗衣速度名称")
    private String clothSpeedName;

    @ApiModelProperty("颜色名称")
    private String clothColorName;

    @ApiModelProperty("洗衣状态")
    private String flowStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("入厂时间")
    private Date inFactoryTime;

    @ApiModelProperty("衣服总价")
    private BigDecimal totalPrice;

    @ApiModelProperty("结算费率")
    private BigDecimal statementRate;

    @ApiModelProperty("结算金额")
    private BigDecimal totalStatementPrice;
}
