package com.yiqi.order.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class OrderClothFactoryClothItemVO {
    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("水洗唛")
    private String washCode;

    @ApiModelProperty("衣服名称")
    private String clothItemName;

    @ApiModelProperty("入场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date inFactoryTime;

    @ApiModelProperty("流程状态")
    private String flowStatus;

    @ApiModelProperty("流程名称")
    private String flowStatusName;

    @ApiModelProperty("洗衣速度ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothSpeedId;

    @ApiModelProperty("洗衣速度名称")
    private String clothSpeedName;

    @ApiModelProperty("衣服总价")
    private BigDecimal totalPrice;

    //        //工厂结算费率
    //        sysSettlementRate.setFactoryRate(new BigDecimal(configService.selectConfigByKey(SysConfigKey.StoreSettlementFactoryRate.getCode())));
    @ApiModelProperty("结算费率")
    private BigDecimal statementRate;

    @ApiModelProperty("结算金额")
    private BigDecimal totalStatementPrice;
}
