package com.yiqi.order.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 洗衣订单衣服流程日志对象 order_cloth_item_flow_record
 *
 * @author xiaohei
 * @date 2023-12-05
 */
@Data
public class OrderClothItemFlowRecordVO extends BaseEntity
{



    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 水洗唛 */
    @Excel(name = "水洗唛")
    @ApiModelProperty("水洗唛")
    private String washCode;

    /** 流程状态 */
    @Excel(name = "流程状态")
    @ApiModelProperty("流程状态")
    private String flowStatus;

    /** 流程名称 */
    @Excel(name = "流程名称")
    @ApiModelProperty("流程名称")
    private String flowStatusName;

    @ApiModelProperty("操作人")
    private String operateName;

    @ApiModelProperty("操作人组织")
    private String operateOrgName;
}
