package com.yiqi.order.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import com.yiqi.order.domain.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 洗衣订单衣服明细对象 order_cloth_item
 *
 * @author ruoyi
 * @date 2023-10-06
 */
@Data
public class OrderClothItemToHangerVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 订单ID
     */
    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orderId;

    @ApiModelProperty("订单编号")
    private String orderNo;


    /**
     * 衣服ID
     */
    @Excel(name = "衣服ID")
    @ApiModelProperty("衣服ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothItemId;

    /**
     * 衣服名称
     */
    @Excel(name = "衣服名称")
    @ApiModelProperty("衣服名称")
    private String clothItemName;

    @ApiModelProperty("衣服品牌ID")
    private Long clothBrandId;

    @ApiModelProperty("衣服品牌名称")
    private String clothBrandName;


    /**
     * 水洗唛
     */
    @Excel(name = "水洗唛")
    @ApiModelProperty("水洗唛")
    private String washCode;

    /**
     * 挂架ID
     */
    @Excel(name = "挂架ID")
    @ApiModelProperty("挂架ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clothHangerId;

    /**
     * 挂架位置code
     */
    @Excel(name = "挂架位置code")
    @ApiModelProperty("挂架位置code")
    private String clothHangerCode;

    /**
     * 挂架位置code名称
     */
    @Excel(name = "挂架位置code名称")
    @ApiModelProperty("挂架位置code名称")
    private String clothHangerCodeName;


    @ApiModelProperty("洗衣状态")
    private String flowStatus;

    @ApiModelProperty("衣服瑕疵")
    String orderClothFlawsName;

    @ApiModelProperty("衣服颜色")
    String orderClothColorsName;

    @ApiModelProperty("衣服工艺")
    String orderClothCraftsName;

    @ApiModelProperty("衣服类型")
    String orderClothTypesName;

    @ApiModelProperty("衣服附件")
    String orderClothAdjunctsName;

}
