package com.yiqi.order.domain.vo;

import cn.binarywang.wx.miniapp.bean.express.WxMaExpressPath;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author xiaohei
 * @date 2024/1/22
 */
@Data
public class OrderDeliveryPathVO {

    @ApiModelProperty("快递公司 ID")
    private String deliveryId;

    @ApiModelProperty("运单 ID")
    private String waybillId;

    @ApiModelProperty("轨迹节点数量")
    private Integer pathItemNum;

    @ApiModelProperty("轨迹节点列表")
    private List<PathItem> pathItemList = new ArrayList<>();


    @Data
    public static class PathItem {
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        @ApiModelProperty("轨迹节点 Unix 时间戳")
        private Date actionTime;

        @ApiModelProperty("轨迹节点类型")
        private Integer actionType;

        @ApiModelProperty("轨迹节点详情")
        private String actionMsg;
    }
}
