package com.yiqi.order.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 订单财务支付宝/微信返回对象
 */
@Data
public class OrderFinancialOnlinePayQueryVO {
    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("订单类型（0洗衣订单，1商品订单，2生活服务订单，3汽车美容订单，4充值订单）")
    private String orderType;

    @ApiModelProperty("支付方式（0微信，1支付宝）")
    private String payType;

    @ApiModelProperty("账单类型（0=支出，1=充值）")
    private String billType;

    @ApiModelProperty("支付总金额")
    private BigDecimal payTotalAmount;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
}
