package com.yiqi.order.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 订单财务日报对象
 */
@Data
public class OrderFinancialQueryVO {

    @ApiModelProperty("今日/本月订单金额")
    private BigDecimal todayOrderAmount = BigDecimal.ZERO;
    @ApiModelProperty("今日/本月充值金额")
    private BigDecimal todayChargeAmount = BigDecimal.ZERO;
    @ApiModelProperty("今日/本月券消费")
    private BigDecimal todayCouponAmount = BigDecimal.ZERO;
    @ApiModelProperty("今日/本月现金消费")
    private BigDecimal todayCashAmount = BigDecimal.ZERO;
    @ApiModelProperty("今日/本月会员卡消费")
    private BigDecimal todayCardAmount = BigDecimal.ZERO;
    @ApiModelProperty("今日/本月支付宝/微信消费")
    private BigDecimal todayOnlinePayAmount = BigDecimal.ZERO;
    @ApiModelProperty("今日/本月收衣件数")
    private Integer todayOrderClothCount = 0;
    @ApiModelProperty("今日/本月商品件数")
    private Integer todayOrderGoodsCount = 0;

    @ApiModelProperty("商品列表总数")
    private Integer goodsTotal;
    @ApiModelProperty("洗衣列表总数")
    private Integer clothTotal;

    @ApiModelProperty("洗衣列表明细")
    private List<OrderClothFinancialVO> orderClothFinancialVOList =  new ArrayList<>();

    @ApiModelProperty("商品列表明细")
    private List<OrderGoodsFinancialVO> goodsOrderFinancialVOList =  new ArrayList<>();
}
