package com.yiqi.order.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class OrderGoodsFinancialVO {
    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("客户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;

    @ApiModelProperty("客户手机号")
    private String phoneNumber;

    @ApiModelProperty("客户姓名")
    private String userName;

    @ApiModelProperty("门店员工ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long employeeId;

    @ApiModelProperty("门店员工姓名")
    private String employeeName;

    @ApiModelProperty("订单总金额")
    private BigDecimal totalPrice;

    @ApiModelProperty("商品数量")
    private Integer orderGoodsCount;

    @ApiModelProperty("支付金额")
    private BigDecimal payAmount;

    @ApiModelProperty("优惠券优惠金额")
    private BigDecimal couponAmount;

    @ApiModelProperty("是否付款")
    private String hasPay;

    @ApiModelProperty("支付方式（0=微信，1=支付宝，2=现金，3=余额）")
    private String payType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("支付时间")
    private Date payTime;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("下单渠道（APP=APP，WXAPP=小程序，OFFLINE=线下门店）")
    private String orderSource;

    @ApiModelProperty("订单状态")
    private String orderStatus;
}
