package com.yiqi.order.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("订单物料信息")
public class OrderGoodsSkuInfoVO {

    @ApiModelProperty("物料ID")
    private Long skuId;

    @ApiModelProperty("商品ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsId;

    @ApiModelProperty("商品图片")
    private String goodsImg;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("商品分类ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long goodsCategoryId;

    @ApiModelProperty("商品分类名称")
    private String goodsCategoryName;

    @ApiModelProperty("规格内容")
    private String skuName;

    @ApiModelProperty("单价")
    private BigDecimal marketPrice;

    @ApiModelProperty("购买数量")
    private Integer buyNum;
}
