package com.yiqi.order.domain.vo.weapp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.order.domain.OrderDelivery;
import com.yiqi.system.domain.SysOrg;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2023/12/17
 */
@Data
public class WeAppOrderClothAppointmentVO {

    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("订单状态")
    private String orderStatus;

    /** 是否拆装 */
    @Excel(name = "是否拆装")
    @ApiModelProperty("是否拆装")
    private String isDisassemblyAndAssembly;

    /** 是否大件 */
    @Excel(name = "是否大件")
    @ApiModelProperty("是否大件")
    private String isLargeItem;

    /** 预约时间（yyyy-MM-dd HH:mm） */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("预约时间")
    private Date appointmentTime;

    /** 预约件数 */
    @ApiModelProperty("预约件数")
    private Integer appointmentCount;

    @ApiModelProperty("收衣配送信息")
    private OrderDelivery collectClothDeliverInfo;

    @ApiModelProperty("送回配送信息")
    private OrderDelivery takeClothDeliverInfo;

    @ApiModelProperty("组织信息")
    private SysOrg sysOrg;
}
