package com.yiqi.order.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderClothAddress;

/**
 * 客户取衣订单地址Service接口
 *
 * @author douya
 * @date 2024-08-15
 */
public interface IOrderClothAddressService extends IService<OrderClothAddress> {

    //<editor-folder desc="基础函数">
    /**
     * 查询客户取衣订单地址
     *
     * @param id 客户取衣订单地址主键
     * @return 客户取衣订单地址
     */
    public OrderClothAddress selectOrderClothAddressById(Long id);


    /**
     * 根据订单编号查询订单地址
     * @param orderSn
     * @return
     */
    public OrderClothAddress getByorderSn(String orderSn);

    /**
     * 查询客户取衣订单地址列表
     *
     * @param orderClothAddress 客户取衣订单地址
     * @return 客户取衣订单地址集合
     */
    public List<OrderClothAddress> selectOrderClothAddressList(OrderClothAddress orderClothAddress);

    /**
     * 新增客户取衣订单地址
     *
     * @param orderClothAddress 客户取衣订单地址
     * @return 结果
     */
    public int insertOrderClothAddress(OrderClothAddress orderClothAddress);

    /**
     * 修改客户取衣订单地址
     *
     * @param orderClothAddress 客户取衣订单地址
     * @return 结果
     */
    public int updateOrderClothAddress(OrderClothAddress orderClothAddress);

    /**
     * 批量删除客户取衣订单地址
     *
     * @param ids 需要删除的客户取衣订单地址主键集合
     * @return 结果
     */
    public int deleteOrderClothAddressByIds(Long[] ids);

    /**
     * 删除客户取衣订单地址信息
     *
     * @param id 客户取衣订单地址主键
     * @return 结果
     */
    public int deleteOrderClothAddressById(Long id);


    //</editor-folder>
}
