package com.yiqi.order.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderClothAdjunct;
import com.yiqi.order.domain.dto.OrderClothItemOutFactoryDTO;
import com.yiqi.order.domain.dto.OrderClothItemOutFactoryQueryDTO;

/**
 * 订单衣服附件Service接口
 *
 * @author xiaohei
 * @date 2023-10-06
 */
public interface IOrderClothAdjunctService extends IService<OrderClothAdjunct> {
    /**
     * 查询订单衣服附件
     *
     * @param id 订单衣服附件主键
     * @return 订单衣服附件
     */
    public OrderClothAdjunct selectOrderClothAdjunctById(Long id);

    /**
     * 查询订单衣服附件列表
     *
     * @param orderClothAdjunct 订单衣服附件
     * @return 订单衣服附件集合
     */
    public List<OrderClothAdjunct> selectOrderClothAdjunctList(OrderClothAdjunct orderClothAdjunct);

    /**
     * 新增订单衣服附件
     *
     * @param orderClothAdjunct 订单衣服附件
     * @return 结果
     */
    public int insertOrderClothAdjunct(OrderClothAdjunct orderClothAdjunct);

    /**
     * 修改订单衣服附件
     *
     * @param orderClothAdjunct 订单衣服附件
     * @return 结果
     */
    public int updateOrderClothAdjunct(OrderClothAdjunct orderClothAdjunct);

    /**
     * 批量删除订单衣服附件
     *
     * @param ids 需要删除的订单衣服附件主键集合
     * @return 结果
     */
    public int deleteOrderClothAdjunctByIds(Long[] ids);

    /**
     * 删除订单衣服附件信息
     *
     * @param id 订单衣服附件主键
     * @return 结果
     */
    public int deleteOrderClothAdjunctById(Long id);

    /**
     * 根据附件编号查询
     * @param adjunctNo
     * @return
     */
    OrderClothAdjunct selectOrderClothAdjunctByAdjunctNo(String adjunctNo);

    /**
     * 根据订单衣服查询
     * @param orderClothItemOutFactoryQueryDTO
     * @return
     */
    List<OrderClothAdjunct> queryWaitFactoryOrderClothAdjunctList(OrderClothItemOutFactoryQueryDTO orderClothItemOutFactoryQueryDTO);

    void outFactory(OrderClothItemOutFactoryDTO orderClothItemOutFactoryDTO);
}
