package com.yiqi.order.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderClothRefund;

/**
 * 洗衣退款订单Service接口
 *
 * @author douya
 * @date 2024-08-13
 */
public interface IOrderClothRefundService extends IService<OrderClothRefund> {

    //<editor-folder desc="基础函数">

    /**
     * 查询洗衣退款订单
     *
     * @param id 洗衣退款订单主键
     * @return 洗衣退款订单
     */
    public OrderClothRefund selectOrderClothRefundById(Long id);

    /**
     * 查询洗衣退款订单列表
     *
     * @param orderClothRefund 洗衣退款订单
     * @return 洗衣退款订单集合
     */
    public List<OrderClothRefund> selectOrderClothRefundList(OrderClothRefund orderClothRefund);

    /**
     * 新增洗衣退款订单
     *
     * @param orderClothRefund 洗衣退款订单
     * @return 结果
     */
    public int insertOrderClothRefund(OrderClothRefund orderClothRefund);

    /**
     * 修改洗衣退款订单
     *
     * @param orderClothRefund 洗衣退款订单
     * @return 结果
     */
    public int updateOrderClothRefund(OrderClothRefund orderClothRefund);

    /**
     * 批量删除洗衣退款订单
     *
     * @param ids 需要删除的洗衣退款订单主键集合
     * @return 结果
     */
    public int deleteOrderClothRefundByIds(Long[] ids);

    /**
     * 删除洗衣退款订单信息
     *
     * @param id 洗衣退款订单主键
     * @return 结果
     */
    public int deleteOrderClothRefundById(Long id);

    /**
     * 根据退款单号查询退款订单
     * @param refundNo
     * @return
     */
    OrderClothRefund getOrderClothRefundByRefundNo(String refundNo);

    //</editor-folder>
}
