package com.yiqi.order.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderCloth;
import com.yiqi.order.domain.OrderClothStatusRecord;
import com.yiqi.order.domain.dto.weapp.AppOrderClothDeliveryChangeStatusDTO;

/**
 * 洗衣订单状态变更记录Service接口
 *
 * @author ruoyi
 * @date 2024-01-23
 */
public interface IOrderClothStatusRecordService extends IService<OrderClothStatusRecord> {

    public void addRecord(AppOrderClothDeliveryChangeStatusDTO appOrderClothDeliveryChangeStatusDTO,String orderNo,String orderStatus,Long deliveryAppUserId) throws Exception;


    //<editor-folder desc="基础函数">
    /**
     * 查询洗衣订单状态变更记录
     *
     * @param id 洗衣订单状态变更记录主键
     * @return 洗衣订单状态变更记录
     */
    public OrderClothStatusRecord selectOrderClothStatusRecordById(Long id);

    /**
     * 查询洗衣订单状态变更记录列表
     *
     * @param orderClothStatusRecord 洗衣订单状态变更记录
     * @return 洗衣订单状态变更记录集合
     */
    public List<OrderClothStatusRecord> selectOrderClothStatusRecordList(OrderClothStatusRecord orderClothStatusRecord);

    /**
     * 新增洗衣订单状态变更记录
     *
     * @param orderClothStatusRecord 洗衣订单状态变更记录
     * @return 结果
     */
    public int insertOrderClothStatusRecord(OrderClothStatusRecord orderClothStatusRecord);

    /**
     * 修改洗衣订单状态变更记录
     *
     * @param orderClothStatusRecord 洗衣订单状态变更记录
     * @return 结果
     */
    public int updateOrderClothStatusRecord(OrderClothStatusRecord orderClothStatusRecord);

    /**
     * 批量删除洗衣订单状态变更记录
     *
     * @param ids 需要删除的洗衣订单状态变更记录主键集合
     * @return 结果
     */
    public int deleteOrderClothStatusRecordByIds(Long[] ids);

    /**
     * 删除洗衣订单状态变更记录信息
     *
     * @param id 洗衣订单状态变更记录主键
     * @return 结果
     */
    public int deleteOrderClothStatusRecordById(Long id);


    //</editor-folder>
}
