package com.yiqi.order.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderClothType;

/**
 * 洗衣订单衣服类型Service接口
 *
 * @author xiaohei
 * @date 2023-10-06
 */
public interface IOrderClothTypeService extends IService<OrderClothType> {
    /**
     * 查询洗衣订单衣服类型
     *
     * @param id 洗衣订单衣服类型主键
     * @return 洗衣订单衣服类型
     */
    public OrderClothType selectOrderClothTypeById(Long id);

    /**
     * 查询洗衣订单衣服类型列表
     *
     * @param orderClothType 洗衣订单衣服类型
     * @return 洗衣订单衣服类型集合
     */
    public List<OrderClothType> selectOrderClothTypeList(OrderClothType orderClothType);

    /**
     * 新增洗衣订单衣服类型
     *
     * @param orderClothType 洗衣订单衣服类型
     * @return 结果
     */
    public int insertOrderClothType(OrderClothType orderClothType);

    /**
     * 修改洗衣订单衣服类型
     *
     * @param orderClothType 洗衣订单衣服类型
     * @return 结果
     */
    public int updateOrderClothType(OrderClothType orderClothType);

    /**
     * 批量删除洗衣订单衣服类型
     *
     * @param ids 需要删除的洗衣订单衣服类型主键集合
     * @return 结果
     */
    public int deleteOrderClothTypeByIds(Long[] ids);

    /**
     * 删除洗衣订单衣服类型信息
     *
     * @param id 洗衣订单衣服类型主键
     * @return 结果
     */
    public int deleteOrderClothTypeById(Long id);



}
