package com.yiqi.order.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderDelivery;
import com.yiqi.order.domain.dto.OrderDeliveryRequestDTO;
import com.yiqi.order.domain.vo.OrderDeliveryVO;

/**
 * 订单配送Service接口
 *
 * @author ruoyi
 * @date 2024-09-07
 */
public interface IOrderDeliveryService extends IService<OrderDelivery> {

    /**
     * 查询订单配送
     * @param orderId
     * @return
     */
    OrderDelivery selectOrderDeliveryByOrderId(Long orderId, String clothOrderType);

    /**
     * 查询订单配送列表
     *
     * @param requestDTO 订单配送
     * @return 订单配送集合
     */
    List<OrderDeliveryVO> selectOrderDeliveryList(OrderDeliveryRequestDTO requestDTO);

}
