package com.yiqi.order.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderPurchaseGoodsSku;

/**
 * 商品订单物料明细Service接口
 *
 * @author ruoyi
 * @date 2023-10-20
 */
public interface IOrderPurchaseGoodsSkuService extends IService<OrderPurchaseGoodsSku> {
    /**
     * 查询商品订单物料明细
     *
     * @param id 商品订单物料明细主键
     * @return 商品订单物料明细
     */
    public OrderPurchaseGoodsSku selectOrderPurchaseGoodsSkuById(Long id);

    /**
     * 查询商品订单物料明细列表
     *
     * @param orderPurchaseGoodsSku 商品订单物料明细
     * @return 商品订单物料明细集合
     */
    public List<OrderPurchaseGoodsSku> selectOrderPurchaseGoodsSkuList(OrderPurchaseGoodsSku orderPurchaseGoodsSku);

    /**
     * 新增商品订单物料明细
     *
     * @param orderPurchaseGoodsSku 商品订单物料明细
     * @return 结果
     */
    public int insertOrderPurchaseGoodsSku(OrderPurchaseGoodsSku orderPurchaseGoodsSku);

    /**
     * 修改商品订单物料明细
     *
     * @param orderPurchaseGoodsSku 商品订单物料明细
     * @return 结果
     */
    public int updateOrderPurchaseGoodsSku(OrderPurchaseGoodsSku orderPurchaseGoodsSku);

    /**
     * 批量删除商品订单物料明细
     *
     * @param ids 需要删除的商品订单物料明细主键集合
     * @return 结果
     */
    public int deleteOrderPurchaseGoodsSkuByIds(Long[] ids);

    /**
     * 删除商品订单物料明细信息
     *
     * @param id 商品订单物料明细主键
     * @return 结果
     */
    public int deleteOrderPurchaseGoodsSkuById(Long id);



}
