package com.yiqi.order.service;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.order.domain.OrderRechargeInstalment;

/**
 * 充值订单分段支付记录Service接口
 *
 * @author ruoyi
 * @date 2023-10-30
 */
public interface IOrderRechargeInstalmentService extends IService<OrderRechargeInstalment> {

    /**
     * 查询充值订单分段支付记录,已支付金额总和
     *
     * @param orderNo 充值订单分段支付订单编号
     * @return 充值订单分段支付记录
     */
    public BigDecimal getTotalPayAmount(String orderNo);


    /**
     * 查询充值订单分段支付记录
     *
     * @param id 充值订单分段支付记录主键
     * @return 充值订单分段支付记录
     */
    public OrderRechargeInstalment selectOrderRechargeInstalmentById(Long id);

    /**
     * 查询充值订单分段支付记录列表
     *
     * @param orderRechargeInstalment 充值订单分段支付记录
     * @return 充值订单分段支付记录集合
     */
    public List<OrderRechargeInstalment> selectOrderRechargeInstalmentList(OrderRechargeInstalment orderRechargeInstalment);

    /**
     * 新增充值订单分段支付记录
     *
     * @param orderRechargeInstalment 充值订单分段支付记录
     * @return 结果
     */
    public int insertOrderRechargeInstalment(OrderRechargeInstalment orderRechargeInstalment);

    /**
     * 修改充值订单分段支付记录
     *
     * @param orderRechargeInstalment 充值订单分段支付记录
     * @return 结果
     */
    public int updateOrderRechargeInstalment(OrderRechargeInstalment orderRechargeInstalment);

    /**
     * 批量删除充值订单分段支付记录
     *
     * @param ids 需要删除的充值订单分段支付记录主键集合
     * @return 结果
     */
    public int deleteOrderRechargeInstalmentByIds(Long[] ids);

    /**
     * 删除充值订单分段支付记录信息
     *
     * @param id 充值订单分段支付记录主键
     * @return 结果
     */
    public int deleteOrderRechargeInstalmentById(Long id);


}
