package com.yiqi.recharge.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 充值批次记录对象 recharge_card_batch_record
 *
 * @author xiaohei
 * @date 2024-01-06
 */
@ApiModel("充值批次记录")
@TableName("recharge_card_batch_record")
@Data
public class RechargeCardBatchRecord extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 批次号 */
    @Excel(name = "批次号")
    @ApiModelProperty("批次号")
    private String batchNo;

    /** 批次名称 */
    @Excel(name = "批次名称")
    @ApiModelProperty("批次名称")
    private String batchName;

    /** 最近一次设置的到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "最近一次设置的到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("最近一次设置的到期时间")
    private Date lastExpireTime;

    /** 最近一次设置的使用优先级，按照降序优先使用 */
    @Excel(name = "最近一次设置的使用优先级，按照降序优先使用")
    @ApiModelProperty("最近一次设置的使用优先级，按照降序优先使用")
    private Integer lastUseLevel;

    @ApiModelProperty("客户星级：1、2、3、4、5星")
    private Integer starLevel;

    /** 批次名称 */
    @Excel(name = "是否直充")
    @ApiModelProperty("是否直充（Y是，N否）")
    private String isDirectRecharge;

}
