package com.yiqi.recharge.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 充值规则管理对象 recharge_type
 *
 * @author xiaohei
 * @date 2023-08-28
 */
@ApiModel("充值规则管理")
@TableName("recharge_type")
@Data
public class RechargeType extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String title;

    /** 充值金额 */
    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    /** 赠送金额 */
    @Excel(name = "赠送金额")
    @ApiModelProperty("赠送金额")
    private BigDecimal giveAmount;

    /** 赠送积分 */
    @Excel(name = "赠送积分")
    @ApiModelProperty("赠送积分")
    private Integer givePointAmount;

    /** 有效期（月） */
    @Excel(name = "有效期", readConverterExp = "月=")
    @ApiModelProperty("有效期（月）")
    private Integer expireMonth;

    /** 状态（0正常，1禁用） */
    @Excel(name = "状态", readConverterExp = "0=正常，1禁用")
    @ApiModelProperty("状态（0正常，1禁用）")
    private String status;

    /** 删除状态（0正常,2删除） */
    @ApiModelProperty("删除状态（0正常,2删除）")
    private String delFlag;


}
