package com.yiqi.recharge.domain.dto;

import com.yiqi.common.annotation.Excel;
import com.yiqi.common.enums.OrderType;
import com.yiqi.common.enums.SysBoolType;
import com.yiqi.common.utils.SecurityUtils;
import com.yiqi.order.domain.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author xiaohei
 * @date 2023/11/12
 */
@Data
public class BillMstrOrderDTO {

    /**
     * 订单类型,详见枚举OrderType
     */
    private String orderType;

    /**
     * 订单编号
     */
    private String orderNo;


    /** 账单标题 */
    @Excel(name = "充值卡号")
    @ApiModelProperty("充值卡号")
    private String rechargeCardNo;

    /** 支付总金额 */
    @Excel(name = "支付总金额")
    @ApiModelProperty("支付总金额")
    private BigDecimal payTotalAmount;

    /**
     * 充值余额支付金额
     */
    @Excel(name = "充值余额支付金额")
    @ApiModelProperty("充值余额支付金额")
    private BigDecimal rechargePayAmount;

    /**
     * 赠送余额支付金额
     */
    @Excel(name = "赠送余额支付金额")
    @ApiModelProperty("赠送余额支付金额")
    private BigDecimal givePayAmount;


    @ApiModelProperty("福利金余额支付金额")
    private BigDecimal welfarePayAmount;

    /**
     * 积分
     */
    private Integer pointAmount;

    /**
     * 客户ID
     */
    private Long appUserId;


    private Long storeId;

    /**
     * 备注
     */
    private String remark;
}
