package com.yiqi.recharge.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author xiaohei
 * @date 2024/1/8
 */
@Data
public class RechargeBatchCardDetailListQueryDTO extends PageVO {

    @NotEmpty(message = "请设置批次号")
    @ApiModelProperty("批次号")
    private String batchNo;

    @ApiModelProperty("充值卡id")
    private List<Long> rechargeCardIds;

    @ApiModelProperty("充值卡号")
    private String cardNo;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("消费组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty("消费组织类型")
    private String sourceType;
}
