package com.yiqi.recharge.domain.dto;

import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;

@ApiModel("单独新增普通用户导入参数")
@Data
public class RechargeBatchCommonCardAddDTO {

    @NotNull(message = "充值金额不能为空")
    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    @ApiModelProperty("赠送金额")
    private BigDecimal giveAmount;

    @ApiModelProperty("福利金额")
    private BigDecimal welfareAmount;

    @ApiModelProperty("赠送积分")
    private Integer givePointAmount;

    @ApiModelProperty("门店编号")
    private Long storeOrgId;
}
