package com.yiqi.recharge.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;

@ApiModel("单独新增直充用户导入参数")
@Data
public class RechargeBatchDirectCardAddDTO {

    @NotEmpty(message = "请设置批次号")
    @ApiModelProperty("批次号")
    private String batchNo;

    @ApiModelProperty("客户手机号")
    @NotEmpty(message = "客户手机号不能为空")
    @Pattern(regexp = "^1(3|4|5|7|8|9)\\d{9}$",message = "手机号格式不正确")
    private String appUserPhoneNumber;

    @NotNull(message = "充值金额不能为空")
    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    @ApiModelProperty("门店编号")
    private Long storeOrgId;
}
