package com.yiqi.recharge.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;

@ApiModel("直充用户导入参数")
@Data
public class RechargeBatchImportDTO {
    @Excel(name = "姓名")
    @ApiModelProperty("客户姓名")
    private String userName;

    @Excel(name = "手机号")
    @ApiModelProperty("客户手机号")
    @NotEmpty(message = "客户手机号不能为空")
    @Pattern(regexp = "^1(3|4|5|7|8|9)\\d{9}$",message = "手机号格式不正确")
    private String appUserPhoneNumber;

    /** 充值金额 */
    @NotNull(message = "充值金额不能为空")
    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    @Excel(name = "门店编号")
    @ApiModelProperty("门店编号")
    @NotEmpty(message = "门店编号不能为空")
    private String storeCode;
}
