package com.yiqi.recharge.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xiaohei
 * @date 2024/1/8
 */
@Data
public class RechargeBatchUseRecordListQueryDTO extends PageVO {

    @NotEmpty(message = "请设置批次号")
    @ApiModelProperty("批次号")
    private String batchNo;

    @ApiModelProperty("充值卡id")
    private Long rechargeCardId;

    @ApiModelProperty("充值卡号")
    private String cardNo;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("使用状态（0未使用,1已使用）")
    private String rechargeStatus;

    @ApiModelProperty("下单开始时间")
    private String beginCreateTime;

    @ApiModelProperty("下单结束时间")
    private String endCreateTime;

    @ApiModelProperty("客户名称")
    private String appUserName;

    @ApiModelProperty("消费组织ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty("消费组织类型")
    private String sourceType;

    @ApiModelProperty("手机号")
    private String phoneNumber;
}
