package com.yiqi.recharge.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.core.domain.PageVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author xiaohei
 * @date 2024/1/8
 */
@Data
public class RechargeCardBatchRecordQueryDTO extends PageVO {

    @ApiModelProperty("批次号")
    private String batchNo;

    /** 批次名称 */
    @ApiModelProperty("批次名称")
    private String batchName;

    /** 最近一次设置的到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("最近一次设置的到期时间")
    private Date beginLastExpireTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("最近一次设置的到期时间")
    private Date endLastExpireTime;

    /** 最近一次设置的使用优先级，按照降序优先使用 */
    @ApiModelProperty("使用优先级")
    private Integer lastUseLevel;
}
