package com.yiqi.recharge.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.*;
import java.util.Date;

@Data
public class RechargeCardMultiInsertDTO {

    @NotNull
    @ApiModelProperty("充值卡版本ID")
    private Long versionId;

    @Min(value = 1,message = "创建数量最少为1")
    @Max(value = 10000,message = "创建数量最大为10000")
    @NotNull(message = "创建数量不能为空")
    @ApiModelProperty("创建数量")
    private Integer createNum;

    @NotBlank(message = "批次名称不能为空")
    @ApiModelProperty("批次名称")
    private String batchName;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("过去时间")
    private Date expireTime;
    @ApiModelProperty("优先级 0是默认 1是优先")
    private Integer level;
    @ApiModelProperty("客户星级1、2、3、4、5星")
    private Integer starLevel;
    @ApiModelProperty("是否支持洗衣使用 Y是，N否")
    private String isSupportCloth;
    @ApiModelProperty("是否支持商品使用 Y是，N否")
    private String isSupportGoods;
    @ApiModelProperty("是否支持生活服务使用 Y是，N否")
    private String isSupportLife;
    @ApiModelProperty("是否支持汽车美容使用 Y是，N否")
    private String isSupportCar;
}
