package com.yiqi.recharge.domain.dto;

import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;

@Data
public class RechargePasswordImportDTO {

    /** 卡号 */
    @Pattern(regexp = "-?[1-9]\\d*",message = "卡号只能为数字")
    @NotEmpty(message = "卡号不能为空")
    @Excel(name = "卡号")
    @ApiModelProperty("卡号")
    private String cardNo;

    @NotEmpty(message = "卡密不能为空")
    @Excel(name = "卡密")
    @ApiModelProperty("卡密")
    private String password;

    /** 充值金额 */
    @NotNull(message = "充值金额不能为空")
    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    /** 赠送金额 */
    @Excel(name = "赠送金额",defaultValue = "0")
    @ApiModelProperty("赠送金额")
    private BigDecimal giveAmount;

    /** 赠送积分 */
    @Excel(name = "赠送积分",defaultValue = "0")
    @ApiModelProperty("赠送积分")
    private Integer givePointAmount;

    @Excel(name = "门店编号")
    @ApiModelProperty("门店编号")
    private String storeCode;
}
