package com.yiqi.recharge.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author xiaohei
 * @date 2024/1/8
 */
@Data
public class UpdateRechargeBatchExpireTimeDTO {

    @NotEmpty(message = "请设置批次号")
    @ApiModelProperty("批次号")
    private String batchNo;

    @NotNull(message = "请设置到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("到期时间")
    private Date expireTime;


    @ApiModelProperty("客户星级")
    private Integer starLevel;

    @NotNull(message = "请设置是否支持洗衣使用")
    @ApiModelProperty("是否支持洗衣使用 Y是，N否")
    private String isSupportCloth;
    @NotNull(message = "请设置是否支持商品使用")
    @ApiModelProperty("是否支持商品使用 Y是，N否")
    private String isSupportGoods;
    @NotNull(message = "请设置是否支持生活服务使用")
    @ApiModelProperty("是否支持生活服务使用 Y是，N否")
    private String isSupportLife;
    @NotNull(message = "请设置是否支持汽车美容使用")
    @ApiModelProperty("是否支持汽车美容使用 Y是，N否")
    private String isSupportCar;
}
