package com.yiqi.recharge.domain.dto.weapp;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class WeAppCardRechargeDTO {

    @ApiModelProperty("卡号")
    @NotEmpty(message = "请输入充值卡卡号")
    private String cardNo;

    /** 卡密 */
    @ApiModelProperty("卡密")
    @NotEmpty(message = "请输入充值卡密码")
    private String password;

    /**
     * 下单渠道（APP=APP，WXAPP=小程序）
     */
    @Excel(name = "下单渠道", readConverterExp = "APP=APP，WXAPP=小程序")
    @ApiModelProperty("下单渠道（APP=APP，WXAPP=小程序, OFFLINE=线下门店）")
    private String orderSource;

    /**
     * 客户ID
     */
    @Excel(name = "客户ID")
    @ApiModelProperty("客户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;
}
