package com.yiqi.recharge.domain.dto.weapp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class WeAppRechargeDTO {

    @NotNull(message = "充值套餐ID不能为空")
    @ApiModelProperty("充值套餐ID")
    private Long rechargeTypeId;

    @NotEmpty(message = "支付方式不能为空")
    @ApiModelProperty("支付方式，0：微信，1：支付宝")
    private String payType;

    @NotNull(message = "门店ID不能为空")
    @ApiModelProperty("门店ID")
    private Long orgId;

    @ApiModelProperty("付款平台(APP=APP、WEAPP=小程序)")
    @NotEmpty(message = "付款平台不能为空")
    private String platform;
}
