package com.yiqi.recharge.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class RechargeBalanceCountVO {

    @ApiModelProperty("用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty("用户姓名")
    private String userName;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("充值余额")
    private BigDecimal rechargeBalance;

    @ApiModelProperty("赠送余额")
    private BigDecimal giveBalance;

    @ApiModelProperty("福利金余额")
    private BigDecimal welfareBalance;

    @ApiModelProperty("积分余额")
    private Integer pointBalance;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("会员总数")
    private Integer userCount;

    @ApiModelProperty("会员现金余额")
    private BigDecimal rechargeBalanceTotal;

    @ApiModelProperty("会员总余额")
    private BigDecimal balanceTotal;
}
