package com.yiqi.recharge.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@ApiModel("充值批次记录信息")
@Data
public class RechargeCardBatchRecordInfoVO {

    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("批次号")
    private String batchNo;

    @ApiModelProperty("批次名称")
    private String batchName;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "最近一次设置的到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("最近一次设置的到期时间")
    private Date lastExpireTime;

    @ApiModelProperty("最近一次设置的使用优先级，按照降序优先使用")
    private Integer lastUseLevel;

    @ApiModelProperty("客户星级：1、2、3、4、5星")
    private Integer starLevel;

    @ApiModelProperty("是否支持洗衣使用 Y是，N否")
    private String isSupportCloth;
    @ApiModelProperty("是否支持商品使用 Y是，N否")
    private String isSupportGoods;
    @ApiModelProperty("是否支持生活服务使用 Y是，N否")
    private String isSupportLife;
    @ApiModelProperty("是否支持汽车美容使用 Y是，N否")
    private String isSupportCar;

    @ApiModelProperty("是否直充（Y是，N否）")
    private String isDirectRecharge;
}
