package com.yiqi.recharge.domain.vo.weapp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class WeAppCardsInfoVO {

    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("充值门店")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long rechargeStoreId;

    @ApiModelProperty("充值门店名称")
    private String rechargeStoreName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("到期时间")
    private Date expireTime;

    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    @ApiModelProperty("充值余额")
    private BigDecimal rechargeBalance;

    @ApiModelProperty("赠送余额")
    private BigDecimal giveBalance;

    @ApiModelProperty("福利金余额")
    private BigDecimal welfareBalance;

    @ApiModelProperty("积分余额")
    private Integer pointBalance;
}
