package com.yiqi.recharge.domain.vo.weapp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.app.domain.AppUserBillMstr;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class WeAppCardsUseRecordsVO {

    @ApiModelProperty("充值门店")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long rechargeStoreId;

    @ApiModelProperty("充值门店名称")
    private String rechargeStoreName;

    @ApiModelProperty("充值卡Sn")
    private String rechargeCardSn;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("到期时间")
    private Date expireTime;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("赠送余额激活时间")
    private Date giveActiveTime;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("充值时间")
    private Date rechargeTime;

    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    @ApiModelProperty("赠送金额")
    private BigDecimal giveAmount;

    @ApiModelProperty("福利金额")
    private BigDecimal welfareAmount;

    @ApiModelProperty("充值余额")
    private BigDecimal rechargeBalance;

    @ApiModelProperty("赠送余额")
    private BigDecimal giveBalance;

    @ApiModelProperty("福利金余额")
    private BigDecimal welfareBalance;

    @ApiModelProperty("积分余额")
    private Integer pointBalance;

    @ApiModelProperty("消费明细")
    private List<AppUserBillMstr> userBillMstrList;
}
