package com.yiqi.recharge.domain.vo.weapp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 密码充值卡管理对象 recharge_password_card
 *
 * @author xiaohei
 * @date 2023-08-29
 */
@ApiModel("密码充值卡管理")
@Data
public class WeAppRechargePasswordCardQueryVO extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 卡号 */
    @Excel(name = "卡号")
    @ApiModelProperty("卡号")
    private String cardNo;

    /** 卡密 */
    @ApiModelProperty("卡密")
    private String password;

    /** 充值金额 */
    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal rechargeAmount;

    /** 赠送金额 */
    @Excel(name = "赠送金额")
    @ApiModelProperty("赠送金额")
    private BigDecimal giveAmount;

    /** 赠送积分 */
    @Excel(name = "赠送积分")
    @ApiModelProperty("赠送积分")
    private Integer givePointAmount;

    /** 充值余额 */
    @ApiModelProperty("充值余额")
    private BigDecimal rechargeBalance;

    /** 赠送余额 */
    @ApiModelProperty("赠送余额")
    private BigDecimal giveBalance;

    /** 积分余额 */
    @ApiModelProperty("积分余额")
    private Integer pointBalance;

    /** 充值时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "充值时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("充值时间")
    private Date rechargeTime;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("到期时间")
    private Date expireTime;

    /** 充值订单编号 */
    @ApiModelProperty("充值订单编号")
    private String orderNo;

    @ApiModelProperty("充值卡门店名称")
    private String rechargeStoreName;

}
