package com.yiqi.settlement.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 门店结算费率配置对象 settlement_store_rate
 *
 * @author ruoyi
 * @date 2024-09-03
 */
@ApiModel("门店结算费率配置")
@TableName("settlement_store_rate")
@Data
public class SettlementStoreRate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 门店ID
     */
    @Excel(name = "门店ID")
    @ApiModelProperty("门店ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long storeId;

    /**
     * 工厂结算费率
     */
    @Excel(name = "工厂结算费率")
    @ApiModelProperty("工厂结算费率")
    private BigDecimal factoryRate;

    /**
     * 材料费率
     */
    @Excel(name = "材料费率")
    @ApiModelProperty("材料费率")
    private BigDecimal materialRate;

    /**
     * 会员卡押金费率
     */
    @Excel(name = "会员卡押金费率")
    @ApiModelProperty("会员卡押金费率")
    private BigDecimal cardDepositRate;

    /**
     * 福利押金费率
     */
    @Excel(name = "福利押金费率")
    @ApiModelProperty("福利押金费率")
    private BigDecimal welfareDepositRate;

    /**
     * 卡密押金费率
     */
    @Excel(name = "卡密押金费率")
    @ApiModelProperty("卡密押金费率")
    private BigDecimal passwordDepositRate;

    /**
     * 异店消费费率
     */
    @Excel(name = "异店消费费率")
    @ApiModelProperty("异店消费费率")
    private BigDecimal otherConsumeRate;

    /**
     * 支付宝支付费率
     */
    @Excel(name = "支付宝支付费率")
    @ApiModelProperty("支付宝支付费率")
    private BigDecimal aliPayRate;

    /**
     * 微信支付费率
     */
    @Excel(name = "微信支付费率")
    @ApiModelProperty("微信支付费率")
    private BigDecimal wxPayRate;

    /**
     * 系统管理费率
     */
    @Excel(name = "系统管理费率")
    @ApiModelProperty("系统管理费率")
    private BigDecimal managementRate;

    /**
     * 洗衣费率
     */
    @Excel(name = "洗衣费率")
    @ApiModelProperty("洗衣费率")
    private BigDecimal washRate;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private Date startDate;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private Date endDate;


}
