package com.yiqi.settlement.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author BKGin
 * @Email libra14xu@gmail.com
 * @Date 2024-09-03
 */
@Data
public class SettlementFactoryRateListVO implements Serializable {

    private Long id;
    private Long factoryId;

    /**
     * 工厂名称
     */
    @Excel(name = "工厂名称")
    @ApiModelProperty("工厂名称")
    private String factoryName;

    /**
     * 材料费率
     */
    @Excel(name = "材料费率")
    @ApiModelProperty("材料费率")
    private BigDecimal materialRate;

    /**
     * 系统管理费率
     */
    @Excel(name = "系统管理费率")
    @ApiModelProperty("系统管理费率")
    private BigDecimal managementRate;

    /**
     * 押金费率
     */
    @Excel(name = "押金费率")
    @ApiModelProperty("押金费率")
    private BigDecimal depositRate;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private Date startDate;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private Date endDate;

}
