package com.yiqi.settlement.service;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.settlement.domain.SettlementFactoryRate;
import com.yiqi.settlement.domain.dto.SettlementFactoryRateQueryDTO;
import com.yiqi.settlement.domain.vo.SettlementFactoryRateListVO;

/**
 * 门店结算费率配置Service接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
public interface ISettlementFactoryRateService extends IService<SettlementFactoryRate> {

    /**
     * 查询工厂结算费率配置列表
     * @param queryDTO
     * @return
     */
    List<SettlementFactoryRateListVO> queryList(SettlementFactoryRateQueryDTO queryDTO);

    /**
     * 根据工厂ID查询工厂结算费率配置
     * @param factoryId
     * @return
     */
    SettlementFactoryRate getByFactoryId(Long factoryId, Date date);
}
