package com.yiqi.settlement.service;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.settlement.domain.SettlementFactoryRate;
import com.yiqi.settlement.domain.SettlementStoreRate;
import com.yiqi.settlement.domain.dto.SettlementStoreRateQueryDTO;
import com.yiqi.settlement.domain.vo.SettlementStoreRateListVO;

/**
 * 门店结算费率配置Service接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
public interface ISettlementStoreRateService extends IService<SettlementStoreRate> {

    /**
     * 查询门店结算费率配置列表
     *
     * @param queryDTO 门店结算费率配置
     * @return 门店结算费率配置集合
     */
    List<SettlementStoreRateListVO> queryList(SettlementStoreRateQueryDTO queryDTO);


    /**
     * 查询门店结算费率配置
     * @param storeId
     * @return
     */
    SettlementStoreRate getByStoreId(Long storeId, Date date);
}
