package com.yiqi.system.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yiqi.common.core.domain.BaseEntity;

/**
 * 工厂 基本信息对象 yiqi_manage_factory
 *
 * @author ruoyi
 * @date 2023-07-20
 */
@Data
@ApiModel("工厂 基本信息")
@TableName("manage_factory")
public class ManageFactory extends BaseEntity{

private static final long serialVersionUID=1L;

    /** 工厂id */
    @TableId(type = IdType.AUTO)
    private Long id;

    private Long bindAreaId;

    /** 工厂名称 */
    private String factoryName;

    /** 负责人名称 */
    private String applyName;

    /** 负责人-身份证号码 */
    private String applyIdCard;

    /** 负责人-联系方式 */
    private String applyPhone;

    /** 地址 */
    private String address;

    /** 详细地址 */
    private String detailAddress;

    /** 经度 */
    private BigDecimal orgLon;

    /** 纬度 */
    private BigDecimal orgLat;

    /** 所属省份 */
    private String province;

    /** 所属省份id */
    private Integer provinceId;

    /** 所属城市 */
    private String city;

    /** 所属城市id */
    private Integer cityId;

    /** 所属地区 */
    private String area;

    /** 所属地区id */
    private Integer areaId;

    /** 工厂简介 */
    private String content;

    /** 营业执照图片 */
    private String businessLicensePic;

    /** 工厂照片 */
    private String factoryPic;

    /** 帐号状态（0正常 1停用） */
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 余额 */
    @Excel(name = "余额")
    @ApiModelProperty("余额")
    private BigDecimal balance;
}
