package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 意见反馈对象 sys_feedback
 *
 * @author xiaohei
 * @date 2023-11-02
 */
@ApiModel("意见反馈")
@TableName("sys_feedback")
@Data
public class SysFeedback extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 反馈类型（0=功能异常,1=产品改进,2=投诉建议） */
    @Excel(name = "反馈类型", readConverterExp = "0==功能异常,1=产品改进,2=投诉建议")
    @ApiModelProperty("反馈类型（0=功能异常,1=产品改进,2=投诉建议）")
    private String feedbackType;

    /** 反馈内容 */
    @Excel(name = "反馈内容")
    @ApiModelProperty("反馈内容")
    private String feedbackContent;

    /** 处理结果 */
    @Excel(name = "处理结果")
    @ApiModelProperty("处理结果")
    private String feedbackResult;

    /** 反馈状态（0=未处理,1=已处理） */
    @Excel(name = "反馈状态", readConverterExp = "0==未处理,1=已处理")
    @ApiModelProperty("反馈状态（0=未处理,1=已处理）")
    private String status;

    /** 用户ID */
    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long appUserId;


}
