package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.annotation.Excel;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 公告组织关联表
 *
 * @author zjw
 * @date 2023-10-24
 */
@ApiModel("公告组织关联表")
@TableName("sys_notice_org_relation")
@Data
public class SysNoticeOrgRelation extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 编号
     */
    @ApiModelProperty("编号")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 公告ID
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    @TableField("notice_id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long noticeId;

    /**
     * 来源类型
     */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    @TableField("source_type")
    private String sourceType;

    /**
     * 组织ID
     */
    @Excel(name = "组织ID")
    @ApiModelProperty("组织ID")
    @TableField("org_id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

}
