package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * 打印机设置对象 sys_org_print_setting
 *
 * @author ruoyi
 * @date 2023-12-25
 */
@ApiModel("打印机设置")
@TableName("sys_org_print_setting")
@Data
public class SysOrgPrintSetting extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 打印类型 */
    @Excel(name = "打印类型")
    @ApiModelProperty("打印类型")
    private String printType;

    /** 组织id */
    @Excel(name = "组织id")
    @ApiModelProperty("组织id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /** 来源类型 */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /** 打印机名称 */
    @Excel(name = "打印机名称")
    @ApiModelProperty("打印机名称")
    private String printName;


}
