package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiqi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2024/3/5
 */
@ApiModel("登录信息持久化存储")
@TableName("sys_session_record")
@Data
public class SysSessionRecord extends BaseEntity {

    @TableId(type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("平台类型")
    private String platformType;

    @ApiModelProperty("登录端类型（WeApp-android=Android微信小程序,WeApp-ios=IOS微信小程序,WeApp-windows=windows微信小程序,WeApp-mac=mac微信小程序,WeApp-devtools=微信开发者工具,APP=app）")
    private String sessionPlatformType;

    @ApiModelProperty("用户ID")
    private Long appUserId;

    private String token;

    @ApiModelProperty("微信唯一标识")
    private String unionId;
}
