package com.yiqi.system.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 结算费率对象 sys_settlement_rate
 *
 * @author ruoyi
 * @date 2023-10-17
 */
@ApiModel("结算费率")
@TableName("sys_settlement_rate")
@Data
public class SysSettlementRate extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 来源类型 */
    @Excel(name = "来源类型")
    @ApiModelProperty("来源类型")
    private String sourceType;

    /** 组织ID */
    @Excel(name = "组织ID")
    @ApiModelProperty("组织ID")
    private Long orgId;

    /** 工厂结算费率 */
    @Excel(name = "工厂结算费率")
    @ApiModelProperty("工厂结算费率")
    private BigDecimal factoryRate;

    /** 材料费率 */
    @Excel(name = "材料费率")
    @ApiModelProperty("材料费率")
    private BigDecimal materialRate;

    /** 管理费率 */
    @Excel(name = "管理费率")
    @ApiModelProperty("管理费率")
    private BigDecimal manageRate;

    /** 押金费率 */
    @Excel(name = "押金费率")
    @ApiModelProperty("押金费率")
    private BigDecimal depositRate;

    /** 异店消费费率 */
    @Excel(name = "异店消费费率")
    @ApiModelProperty("异店消费费率")
    private BigDecimal otherStoreRate;

    /** 支付费率 */
    @Excel(name = "支付费率")
    @ApiModelProperty("支付费率")
    private BigDecimal aliPayRate;

    /** 支付费率 */
    @Excel(name = "支付费率")
    @ApiModelProperty("支付费率")
    private BigDecimal wxPayRate;
}
