package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 短信对象 sys_sms
 *
 * @author ruoyi
 * @date 2023-10-04
 */
@ApiModel("短信")
@TableName("sys_sms")
@Data
public class SysSms
{
    private static final long serialVersionUID=1L;

    /**  */
    @ApiModelProperty("")
    private Long id;

    /** 手机号 */
    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    private String phone;

    /** 验证码 */
    @Excel(name = "验证码")
    @ApiModelProperty("验证码")
    private String code;

    /** 0:注册，1：修改密码 */
    @Excel(name = "验证码类型",readConverterExp = "0=注册,1=修改密码,2=修改支付密码")
    @ApiModelProperty("验证码类型（0=注册,1=修改密码,2=修改支付密码）")
    private String smsType;

    @ApiModelProperty("是否使用")
    private String isUsed;

    @ApiModelProperty("校验失败次数")
    private Integer checkErrorNum;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


}
