package com.yiqi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yiqi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.yiqi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 门店区域对象 sys_store_area
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@ApiModel("门店区域")
@TableName("sys_store_area")
@Data
public class SysStoreArea extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 门店区域名称 */
    @Excel(name = "门店区域名称")
    @ApiModelProperty("门店区域名称")
    private String name;

    /** 门店区域编号 */
    @Excel(name = "门店区域编号")
    @ApiModelProperty("门店区域编号")
    private String code;

    /** 排序，赠序排列 */
    @Excel(name = "排序，赠序排列")
    @ApiModelProperty("排序，赠序排列")
    private Long sort;

    /** 状态（0=正常，1=禁用） */
    @Excel(name = "状态", readConverterExp = "0==正常，1=禁用")
    @ApiModelProperty("状态（0=正常，1=禁用）")
    private String status;


}
