package com.yiqi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.system.domain.ManageFactory;
import com.yiqi.system.domain.SysSettlementRate;
import com.yiqi.system.domain.SysStore;

/**
 * 结算费率Service接口
 *
 * @author ruoyi
 * @date 2023-10-17
 */
public interface ISysSettlementRateService extends IService<SysSettlementRate> {
    /**
     * 查询结算费率
     *
     * @param id 结算费率主键
     * @return 结算费率
     */
    public SysSettlementRate selectSysSettlementRateById(Long id);

    /**
     * 查询结算费率列表
     *
     * @param sysSettlementRate 结算费率
     * @return 结算费率集合
     */
    public List<SysSettlementRate> selectSysSettlementRateList(SysSettlementRate sysSettlementRate);

    /**
     * 新增结算费率
     *
     * @param sysSettlementRate 结算费率
     * @return 结果
     */
    public int insertSysSettlementRate(SysSettlementRate sysSettlementRate);

    /**
     * 修改结算费率
     *
     * @param sysSettlementRate 结算费率
     * @return 结果
     */
    public int updateSysSettlementRate(SysSettlementRate sysSettlementRate);

    /**
     * 批量删除结算费率
     *
     * @param ids 需要删除的结算费率主键集合
     * @return 结果
     */
    public int deleteSysSettlementRateByIds(Long[] ids);

    /**
     * 删除结算费率信息
     *
     * @param id 结算费率主键
     * @return 结果
     */
    public int deleteSysSettlementRateById(Long id);


    /**
     * 批量新增工厂和费率关系
     *
     * @param manageFactory 工厂实例
     * @return 结果
     */
    public int insertFactoryRate(ManageFactory manageFactory);

    /**
     * 批量新增门店和费率关系
     *
     * @param sysStore 门店实例
     * @return 结果
     */
    public int insertStoreRate(SysStore sysStore);

    public void insertAllRate();
}
