package com.yiqi.activity.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.activity.domain.ActivityApplyOrg;

/**
 * 活动适用组织Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-10
 */
@Mapper
public interface ActivityApplyOrgMapper extends BaseMapper<ActivityApplyOrg> {
    /**
     * 查询活动适用组织
     *
     * @param id 活动适用组织主键
     * @return 活动适用组织
     */
    public ActivityApplyOrg selectActivityApplyOrgById(Long id);

    /**
     * 查询活动适用组织列表
     *
     * @param activityApplyOrg 活动适用组织
     * @return 活动适用组织集合
     */
    public List<ActivityApplyOrg> selectActivityApplyOrgList(ActivityApplyOrg activityApplyOrg);

    /**
     * 新增活动适用组织
     *
     * @param activityApplyOrg 活动适用组织
     * @return 结果
     */
    public int insertActivityApplyOrg(ActivityApplyOrg activityApplyOrg);

    /**
     * 修改活动适用组织
     *
     * @param activityApplyOrg 活动适用组织
     * @return 结果
     */
    public int updateActivityApplyOrg(ActivityApplyOrg activityApplyOrg);

    /**
     * 删除活动适用组织
     *
     * @param id 活动适用组织主键
     * @return 结果
     */
    public int deleteActivityApplyOrgById(Long id);

    /**
     * 批量删除活动适用组织
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteActivityApplyOrgByIds(Long[] ids);
}
