package com.yiqi.activity.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.activity.domain.ActivityInfo;
import com.yiqi.activity.domain.vo.ActivityDiscountInfoQueryVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.activity.domain.ActivityDiscountInfo;

/**
 * 全场折扣活动Mapper接口
 *
 * @author xiaohei
 * @date 2023-09-11
 */
@Mapper
public interface ActivityDiscountInfoMapper extends BaseMapper<ActivityDiscountInfo> {
    /**
     * 查询全场折扣活动
     *
     * @param id 全场折扣活动主键
     * @return 全场折扣活动
     */
    public ActivityDiscountInfo selectActivityDiscountInfoById(Long id);

    /**
     * 查询全场折扣活动列表
     *
     * @param activityInfo 全场折扣活动
     * @return 全场折扣活动集合
     */
    public List<ActivityDiscountInfoQueryVO> selectActivityDiscountInfoList(ActivityInfo activityInfo);

    /**
     * 新增全场折扣活动
     *
     * @param activityDiscountInfo 全场折扣活动
     * @return 结果
     */
    public int insertActivityDiscountInfo(ActivityDiscountInfo activityDiscountInfo);

    /**
     * 修改全场折扣活动
     *
     * @param activityDiscountInfo 全场折扣活动
     * @return 结果
     */
    public int updateActivityDiscountInfo(ActivityDiscountInfo activityDiscountInfo);

    /**
     * 删除全场折扣活动
     *
     * @param id 全场折扣活动主键
     * @return 结果
     */
    public int deleteActivityDiscountInfoById(Long id);

    /**
     * 批量删除全场折扣活动
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteActivityDiscountInfoByIds(Long[] ids);

    /**
     * 根据门店id查询门店折扣活动
     * @param storeId
     * @return
     */
    List<ActivityDiscountInfoQueryVO> getDiscountListByStoreId(Long storeId);
}
