package com.yiqi.activity.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.activity.domain.ActivityInfo;
import com.yiqi.activity.domain.vo.ActivityGroupInfoQueryVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.activity.domain.ActivityGroupInfo;

/**
 * 拼团送券活动Mapper接口
 *
 * @author xiaohei
 * @date 2023-09-12
 */
@Mapper
public interface ActivityGroupInfoMapper extends BaseMapper<ActivityGroupInfo> {
    /**
     * 查询拼团送券活动
     *
     * @param id 拼团送券活动主键
     * @return 拼团送券活动
     */
    public ActivityGroupInfo selectActivityGroupInfoById(Long id);

    /**
     * 查询拼团送券活动列表
     *
     * @param activityInfo 拼团送券活动
     * @return 拼团送券活动集合
     */
    public List<ActivityGroupInfoQueryVO> selectActivityGroupInfoList(ActivityInfo activityInfo);

    /**
     * 新增拼团送券活动
     *
     * @param activityGroupInfo 拼团送券活动
     * @return 结果
     */
    public int insertActivityGroupInfo(ActivityGroupInfo activityGroupInfo);

    /**
     * 修改拼团送券活动
     *
     * @param activityGroupInfo 拼团送券活动
     * @return 结果
     */
    public int updateActivityGroupInfo(ActivityGroupInfo activityGroupInfo);

    /**
     * 删除拼团送券活动
     *
     * @param id 拼团送券活动主键
     * @return 结果
     */
    public int deleteActivityGroupInfoById(Long id);

    /**
     * 批量删除拼团送券活动
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteActivityGroupInfoByIds(Long[] ids);
}
