package com.yiqi.activity.mapper;

import java.math.BigDecimal;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.activity.domain.vo.ActivityRechargeItemVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.activity.domain.ActivityRechargeItem;
import org.apache.ibatis.annotations.Param;

/**
 * 充值多送活动Mapper接口
 *
 * @author xiaohei
 * @date 2023-09-10
 */
@Mapper
public interface ActivityRechargeItemMapper extends BaseMapper<ActivityRechargeItem> {
    /**
     * 查询充值多送活动
     *
     * @param id 充值多送活动主键
     * @return 充值多送活动
     */
    public ActivityRechargeItem selectActivityRechargeItemById(Long id);

    /**
     * 查询充值多送活动列表
     *
     * @param activityRechargeItem 充值多送活动
     * @return 充值多送活动集合
     */
    public List<ActivityRechargeItemVO> selectActivityRechargeItemList(ActivityRechargeItem activityRechargeItem);

    /**
     * 新增充值多送活动
     *
     * @param activityRechargeItem 充值多送活动
     * @return 结果
     */
    public int insertActivityRechargeItem(ActivityRechargeItem activityRechargeItem);

    /**
     * 修改充值多送活动
     *
     * @param activityRechargeItem 充值多送活动
     * @return 结果
     */
    public int updateActivityRechargeItem(ActivityRechargeItem activityRechargeItem);

    /**
     * 删除充值多送活动
     *
     * @param id 充值多送活动主键
     * @return 结果
     */
    public int deleteActivityRechargeItemById(Long id);

    /**
     * 批量删除充值多送活动
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteActivityRechargeItemByIds(Long[] ids);

    public ActivityRechargeItem getGiveAmountByActivity(@Param("rechargeTypeId")Long rechargeTypeId,
                                              @Param("storeId") Long storeId,
                                              @Param("nowTime") String nowTime);

    List<ActivityRechargeItemVO> getRechargeActivityItemInfo(@Param("activityId") Long activityId);
}
