package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.app.domain.vo.AppCouponTypeApplyClothVO;
import com.yiqi.core.domain.ClothItem;
import com.yiqi.core.domain.dto.ClothItemDTO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppCouponTypeApplyCloth;

/**
 * 优惠券可使用衣物Mapper接口
 *
 * @author xiaohei
 * @date 2023-09-20
 */
@Mapper
public interface AppCouponTypeApplyClothMapper extends BaseMapper<AppCouponTypeApplyCloth> {
    /**
     * 查询优惠券可使用衣物
     *
     * @param id 优惠券可使用衣物主键
     * @return 优惠券可使用衣物
     */
    public AppCouponTypeApplyCloth selectAppCouponTypeApplyClothById(Long id);

    /**
     * 查询优惠券可使用衣物列表
     *
     * @param clothItemDTO 优惠券可使用衣物
     * @return 优惠券可使用衣物集合
     */
    public List<AppCouponTypeApplyClothVO> selectAppCouponTypeApplyClothList(ClothItemDTO clothItemDTO);

    /**
     * 新增优惠券可使用衣物
     *
     * @param appCouponTypeApplyCloth 优惠券可使用衣物
     * @return 结果
     */
    public int insertAppCouponTypeApplyCloth(AppCouponTypeApplyCloth appCouponTypeApplyCloth);

    /**
     * 修改优惠券可使用衣物
     *
     * @param appCouponTypeApplyCloth 优惠券可使用衣物
     * @return 结果
     */
    public int updateAppCouponTypeApplyCloth(AppCouponTypeApplyCloth appCouponTypeApplyCloth);

    /**
     * 删除优惠券可使用衣物
     *
     * @param id 优惠券可使用衣物主键
     * @return 结果
     */
    public int deleteAppCouponTypeApplyClothById(Long id);

    /**
     * 批量删除优惠券可使用衣物
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppCouponTypeApplyClothByIds(Long[] ids);
}
