package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppCouponType;

/**
 * 优惠券类型Mapper接口
 *
 * @author xiaohei
 * @date 2023-09-06
 */
@Mapper
public interface AppCouponTypeMapper extends BaseMapper<AppCouponType> {
    /**
     * 查询优惠券类型
     *
     * @param id 优惠券类型主键
     * @return 优惠券类型
     */
    public AppCouponType selectAppCouponTypeById(Long id);

    /**
     * 查询优惠券类型列表
     *
     * @param appCouponType 优惠券类型
     * @return 优惠券类型集合
     */
    public List<AppCouponType> selectAppCouponTypeList(AppCouponType appCouponType);

    /**
     * 新增优惠券类型
     *
     * @param appCouponType 优惠券类型
     * @return 结果
     */
    public int insertAppCouponType(AppCouponType appCouponType);

    /**
     * 修改优惠券类型
     *
     * @param appCouponType 优惠券类型
     * @return 结果
     */
    public int updateAppCouponType(AppCouponType appCouponType);

    /**
     * 删除优惠券类型
     *
     * @param id 优惠券类型主键
     * @return 结果
     */
    public int deleteAppCouponTypeById(Long id);

    /**
     * 批量删除优惠券类型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppCouponTypeByIds(Long[] ids);
}
