package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.app.domain.dto.AppDeliveryManListQueryDTO;
import com.yiqi.app.domain.vo.AppDeliveryManListVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppDeliveryMan;
import org.apache.ibatis.annotations.Param;

/**
 * 配送员Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-07
 */
@Mapper
public interface AppDeliveryManMapper extends BaseMapper<AppDeliveryMan> {
    /**
     * 查询配送员
     *
     * @param id 配送员主键
     * @return 配送员
     */
    public AppDeliveryMan selectAppDeliveryManById(Long id);

    /**
     * 查询配送员列表
     *
     * @param appDeliveryManListQueryDTO 配送员
     * @return 配送员集合
     */
    public List<AppDeliveryManListVO> selectAppDeliveryManList(AppDeliveryManListQueryDTO appDeliveryManListQueryDTO);

    /**
     * 新增配送员
     *
     * @param appDeliveryMan 配送员
     * @return 结果
     */
    public int insertAppDeliveryMan(AppDeliveryMan appDeliveryMan);

    /**
     * 修改配送员
     *
     * @param appDeliveryMan 配送员
     * @return 结果
     */
    public int updateAppDeliveryMan(AppDeliveryMan appDeliveryMan);

    /**
     * 删除配送员
     *
     * @param id 配送员主键
     * @return 结果
     */
    public int deleteAppDeliveryManById(Long id);

    /**
     * 批量删除配送员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppDeliveryManByIds(Long[] ids);

    public List<AppDeliveryManListVO>  getDeliveryManListByOrg(@Param("orgId") Long orgId, @Param("sourceType") String sourceType);
}
