package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppFeedback;

/**
 * APP意见反馈Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-08
 */
@Mapper
public interface AppFeedbackMapper extends BaseMapper<AppFeedback> {
    /**
     * 查询APP意见反馈
     *
     * @param id APP意见反馈主键
     * @return APP意见反馈
     */
    public AppFeedback selectAppFeedbackById(Long id);

    /**
     * 查询APP意见反馈列表
     *
     * @param appFeedback APP意见反馈
     * @return APP意见反馈集合
     */
    public List<AppFeedback> selectAppFeedbackList(AppFeedback appFeedback);

    /**
     * 新增APP意见反馈
     *
     * @param appFeedback APP意见反馈
     * @return 结果
     */
    public int insertAppFeedback(AppFeedback appFeedback);

    /**
     * 修改APP意见反馈
     *
     * @param appFeedback APP意见反馈
     * @return 结果
     */
    public int updateAppFeedback(AppFeedback appFeedback);

    /**
     * 删除APP意见反馈
     *
     * @param id APP意见反馈主键
     * @return 结果
     */
    public int deleteAppFeedbackById(Long id);

    /**
     * 批量删除APP意见反馈
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppFeedbackByIds(Long[] ids);
}
