package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.common.core.domain.PageVO;
import com.yiqi.core.domain.vo.weapp.WeAppGoodsInfoQueryVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppGoodsCollect;
import org.apache.ibatis.annotations.Param;

/**
 * 商品收藏记录Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-02
 */
@Mapper
public interface AppGoodsCollectMapper extends BaseMapper<AppGoodsCollect> {
    /**
     * 查询商品收藏记录
     *
     * @param id 商品收藏记录主键
     * @return 商品收藏记录
     */
    public AppGoodsCollect selectAppGoodsCollectById(Long id);

    /**
     * 查询商品收藏记录列表
     *
     * @return 商品收藏记录集合
     */
    public List<WeAppGoodsInfoQueryVO> selectAppGoodsCollectList(@Param("pageVO") PageVO pageVO,@Param("appUserId") long appUserId);

    /**
     * 新增商品收藏记录
     *
     * @param appGoodsCollect 商品收藏记录
     * @return 结果
     */
    public int insertAppGoodsCollect(AppGoodsCollect appGoodsCollect);

    /**
     * 修改商品收藏记录
     *
     * @param appGoodsCollect 商品收藏记录
     * @return 结果
     */
    public int updateAppGoodsCollect(AppGoodsCollect appGoodsCollect);

    /**
     * 删除商品收藏记录
     *
     * @param id 商品收藏记录主键
     * @return 结果
     */
    public int deleteAppGoodsCollectById(Long id);

    /**
     * 批量删除商品收藏记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppGoodsCollectByIds(@Param("ids") String[] ids, @Param("appUserId") long appUserId);
}
