package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.app.domain.vo.weapp.WeAppGoodsMarketVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppGoodsMarket;

/**
 * 购物车Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-01
 */
@Mapper
public interface AppGoodsMarketMapper extends BaseMapper<AppGoodsMarket> {
    /**
     * 查询购物车
     *
     * @param id 购物车主键
     * @return 购物车
     */
    public AppGoodsMarket selectAppGoodsMarketById(Long id);

    /**
     * 查询购物车列表
     *
     * @param appGoodsMarket 购物车
     * @return 购物车集合
     */
    public List<WeAppGoodsMarketVO> selectAppGoodsMarketList(AppGoodsMarket appGoodsMarket);

    /**
     * 新增购物车
     *
     * @param appGoodsMarket 购物车
     * @return 结果
     */
    public int insertAppGoodsMarket(AppGoodsMarket appGoodsMarket);

    /**
     * 修改购物车
     *
     * @param appGoodsMarket 购物车
     * @return 结果
     */
    public int updateAppGoodsMarket(AppGoodsMarket appGoodsMarket);

    /**
     * 删除购物车
     *
     * @param id 购物车主键
     * @return 结果
     */
    public int deleteAppGoodsMarketById(Long id);

    /**
     * 批量删除购物车
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppGoodsMarketByIds(Long[] ids);
}
