package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppUserAddress;

/**
 * 客户地址Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-04
 */
@Mapper
public interface AppUserAddressMapper extends BaseMapper<AppUserAddress> {
    /**
     * 查询客户地址
     *
     * @param id 客户地址主键
     * @return 客户地址
     */
    public AppUserAddress selectAppUserAddressById(Long id);

    /**
     * 查询客户地址列表
     *
     * @param appUserAddress 客户地址
     * @return 客户地址集合
     */
    public List<AppUserAddress> selectAppUserAddressList(AppUserAddress appUserAddress);

    /**
     * 新增客户地址
     *
     * @param appUserAddress 客户地址
     * @return 结果
     */
    public int insertAppUserAddress(AppUserAddress appUserAddress);

    /**
     * 修改客户地址
     *
     * @param appUserAddress 客户地址
     * @return 结果
     */
    public int updateAppUserAddress(AppUserAddress appUserAddress);

    /**
     * 删除客户地址
     *
     * @param id 客户地址主键
     * @return 结果
     */
    public int deleteAppUserAddressById(Long id);

    /**
     * 批量删除客户地址
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUserAddressByIds(Long[] ids);
}
