package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppUserBillMstr;

/**
 * 用户账单Mapper接口
 *
 * @author xiaohei
 * @date 2023-11-02
 */
@Mapper
public interface AppUserBillMstrMapper extends BaseMapper<AppUserBillMstr> {
    /**
     * 查询用户账单
     *
     * @param id 用户账单主键
     * @return 用户账单
     */
    public AppUserBillMstr selectAppUserBillMstrById(Long id);

    /**
     * 查询用户账单列表
     *
     * @param appUserBillMstr 用户账单
     * @return 用户账单集合
     */
    public List<AppUserBillMstr> selectAppUserBillMstrList(AppUserBillMstr appUserBillMstr);

    /**
     * 新增用户账单
     *
     * @param appUserBillMstr 用户账单
     * @return 结果
     */
    public int insertAppUserBillMstr(AppUserBillMstr appUserBillMstr);

    /**
     * 修改用户账单
     *
     * @param appUserBillMstr 用户账单
     * @return 结果
     */
    public int updateAppUserBillMstr(AppUserBillMstr appUserBillMstr);

    /**
     * 删除用户账单
     *
     * @param id 用户账单主键
     * @return 结果
     */
    public int deleteAppUserBillMstrById(Long id);

    /**
     * 批量删除用户账单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUserBillMstrByIds(Long[] ids);
}
