package com.yiqi.app.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppUserPointLog;

/**
 * 积分日志Mapper接口
 *
 * @author douya
 * @date 2024-09-04
 */
@Mapper
public interface AppUserPointLogMapper extends BaseMapper<AppUserPointLog> {
    //<editor-folder desc="基础韩素">

    /**
     * 查询积分日志
     *
     * @param id 积分日志主键
     * @return 积分日志
     */
    public AppUserPointLog selectAppUserPointLogById(Integer id);

    /**
     * 查询积分日志列表
     *
     * @param appUserPointLog 积分日志
     * @return 积分日志集合
     */
    public List<AppUserPointLog> selectAppUserPointLogList(AppUserPointLog appUserPointLog);

    /**
     * 新增积分日志
     *
     * @param appUserPointLog 积分日志
     * @return 结果
     */
    public int insertAppUserPointLog(AppUserPointLog appUserPointLog);

    /**
     * 修改积分日志
     *
     * @param appUserPointLog 积分日志
     * @return 结果
     */
    public int updateAppUserPointLog(AppUserPointLog appUserPointLog);

    /**
     * 删除积分日志
     *
     * @param id 积分日志主键
     * @return 结果
     */
    public int deleteAppUserPointLogById(Integer id);

    /**
     * 批量删除积分日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUserPointLogByIds(Integer[] ids);
    //</editor-folder>
}
