package com.yiqi.app.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.app.domain.AppUserWelfare;
import org.apache.ibatis.annotations.Mapper;

/**
 * 会员福利金Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-09
 */
@Mapper
public interface AppUserWelfareMapper extends BaseMapper<AppUserWelfare> {
    //<editor-folder desc="基础韩素">

    /**
     * 查询会员福利金
     *
     * @param id 会员福利金主键
     * @return 会员福利金
     */
    public AppUserWelfare selectAppUserWelfareById(Long id);

    /**
     * 查询会员福利金列表
     *
     * @param appUserWelfare 会员福利金
     * @return 会员福利金集合
     */
    public List<AppUserWelfare> selectAppUserWelfareList(AppUserWelfare appUserWelfare);

    /**
     * 新增会员福利金
     *
     * @param appUserWelfare 会员福利金
     * @return 结果
     */
    public int insertAppUserWelfare(AppUserWelfare appUserWelfare);

    /**
     * 修改会员福利金
     *
     * @param appUserWelfare 会员福利金
     * @return 结果
     */
    public int updateAppUserWelfare(AppUserWelfare appUserWelfare);

    /**
     * 删除会员福利金
     *
     * @param id 会员福利金主键
     * @return 结果
     */
    public int deleteAppUserWelfareById(Long id);

    /**
     * 批量删除会员福利金
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUserWelfareByIds(Long[] ids);
    //</editor-folder>
}
