package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppVersion;

/**
 * APP版本管理Mapper接口
 *
 * @author xiaohei
 * @date 2023-09-01
 */
@Mapper
public interface AppVersionMapper extends BaseMapper<AppVersion> {
    /**
     * 查询APP版本管理
     *
     * @param id APP版本管理主键
     * @return APP版本管理
     */
    public AppVersion selectAppVersionById(Long id);

    /**
     * 查询APP版本管理列表
     *
     * @param appVersion APP版本管理
     * @return APP版本管理集合
     */
    public List<AppVersion> selectAppVersionList(AppVersion appVersion);

    /**
     * 新增APP版本管理
     *
     * @param appVersion APP版本管理
     * @return 结果
     */
    public int insertAppVersion(AppVersion appVersion);

    /**
     * 修改APP版本管理
     *
     * @param appVersion APP版本管理
     * @return 结果
     */
    public int updateAppVersion(AppVersion appVersion);

    /**
     * 删除APP版本管理
     *
     * @param id APP版本管理主键
     * @return 结果
     */
    public int deleteAppVersionById(Long id);

    /**
     * 批量删除APP版本管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppVersionByIds(Long[] ids);
}
