package com.yiqi.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.core.domain.ClothAdjunct;

/**
 * 衣服附件Mapper接口
 *
 * @author xiaohei
 * @date 2023-08-20
 */
@Mapper
public interface ClothAdjunctMapper extends BaseMapper<ClothAdjunct> {
    /**
     * 查询衣服附件
     *
     * @param id 衣服附件主键
     * @return 衣服附件
     */
    public ClothAdjunct selectClothAdjunctById(Long id);

    /**
     * 查询衣服附件列表
     *
     * @param clothAdjunct 衣服附件
     * @return 衣服附件集合
     */
    public List<ClothAdjunct> selectClothAdjunctList(ClothAdjunct clothAdjunct);

    /**
     * 新增衣服附件
     *
     * @param clothAdjunct 衣服附件
     * @return 结果
     */
    public int insertClothAdjunct(ClothAdjunct clothAdjunct);

    /**
     * 修改衣服附件
     *
     * @param clothAdjunct 衣服附件
     * @return 结果
     */
    public int updateClothAdjunct(ClothAdjunct clothAdjunct);

    /**
     * 删除衣服附件
     *
     * @param id 衣服附件主键
     * @return 结果
     */
    public int deleteClothAdjunctById(Long id);

    /**
     * 批量删除衣服附件
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothAdjunctByIds(Long[] ids);
}
