package com.yiqi.core.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.ClothCustomItem;
import com.yiqi.core.domain.ClothHangerOrderRelation;
import com.yiqi.core.domain.vo.ClothHangerOrderRelationVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 自定义衣物Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-07
 */
@Mapper
public interface ClothCustomItemMapper extends BaseMapper<ClothCustomItem> {
    /**
     * 查询自定义衣物
     *
     * @param id 自定义衣物主键
     * @return 自定义衣物
     */
    public ClothCustomItem selectClothItemById(Long id);

    /**
     * 查询自定义衣物列表
     *
     * @param clothCustomItem 自定义衣物
     * @return 自定义衣物集合
     */
    public List<ClothCustomItem> selectClothItemList(ClothCustomItem clothCustomItem);

    /**
     * 新增自定义衣物
     *
     * @param clothCustomItem 自定义衣物
     * @return 结果
     */
    public int insertClothItem(ClothCustomItem clothCustomItem);

    /**
     * 修改自定义衣物
     *
     * @param clothCustomItem 自定义衣物
     * @return 结果
     */
    public int updateClothItem(ClothCustomItem clothCustomItem);

    /**
     * 删除自定义衣物
     *
     * @param id 自定义衣物主键
     * @return 结果
     */
    public int deleteClothItemById(Long id);

    /**
     * 批量删除自定义衣物
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothItemByIds(Long[] ids);

}
