package com.yiqi.core.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.ClothFlaw;
import com.yiqi.core.domain.vo.ClothFlawVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 衣服瑕疵Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-03
 */
@Mapper
public interface ClothFlawMapper extends BaseMapper<ClothFlaw> {

    /**
     * 查询所有衣服瑕疵
     * @param orgId
     * @param sourceType
     * @return
     */
    public List<ClothFlaw> allClothFlaw(@Param("orgId") Long orgId, @Param("sourceType") String sourceType);

    /**
     * 查询衣服瑕疵
     *
     * @param id 衣服瑕疵主键
     * @return 衣服瑕疵
     */
    public ClothFlawVo selectClothFlawById(Long id);

    /**
     * 查询衣服瑕疵列表
     *
     * @param clothFlaw 衣服瑕疵
     * @return 衣服瑕疵集合
     */
    public List<ClothFlawVo> selectClothFlawList(ClothFlaw clothFlaw);

    /**
     * 新增衣服瑕疵
     *
     * @param clothFlaw 衣服瑕疵
     * @return 结果
     */
    public int insertClothFlaw(ClothFlaw clothFlaw);

    /**
     * 修改衣服瑕疵
     *
     * @param clothFlaw 衣服瑕疵
     * @return 结果
     */
    public int updateClothFlaw(ClothFlaw clothFlaw);

    /**
     * 删除衣服瑕疵
     *
     * @param id 衣服瑕疵主键
     * @return 结果
     */
    public int deleteClothFlawById(Long id);

    /**
     * 批量删除衣服瑕疵
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothFlawByIds(Long[] ids);
}
