package com.yiqi.core.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.ClothFlawTop;
import com.yiqi.core.domain.dto.ClothFlawTopDTO;
import com.yiqi.core.domain.vo.ClothFlawTopVo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 衣服瑕疵置顶Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-08
 */
@Mapper
public interface ClothFlawTopMapper extends BaseMapper<ClothFlawTop> {
    /**
     * 查询衣服瑕疵置顶
     *
     * @param id 衣服瑕疵置顶主键
     * @return 衣服瑕疵置顶
     */
    public ClothFlawTop selectClothFlawTopById(Long id);

    /**
     * 查询衣服瑕疵置顶列表
     *
     * @param clothFlawTop 衣服瑕疵置顶
     * @return 衣服瑕疵置顶集合
     */
    public List<ClothFlawTopVo> selectClothFlawTopList(ClothFlawTop clothFlawTop);

    /**
     * 新增衣服瑕疵置顶
     *
     * @param clothFlawTop 衣服瑕疵置顶
     * @return 结果
     */
    public int insertClothFlawTop(ClothFlawTop clothFlawTop);

    /**
     * 修改衣服瑕疵置顶
     *
     * @param clothFlawTop 衣服瑕疵置顶
     * @return 结果
     */
    public int updateClothFlawTop(ClothFlawTop clothFlawTop);

    /**
     * 删除衣服瑕疵置顶
     *
     * @param id 衣服瑕疵置顶主键
     * @return 结果
     */
    public int deleteClothFlawTop(ClothFlawTopDTO clothFlawTopDTO);

    /**
     * 批量删除衣服瑕疵置顶
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothFlawTopByIds(Long[] ids);
}
