package com.yiqi.core.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.ClothFlawType;
import org.apache.ibatis.annotations.Mapper;

/**
 * 衣服瑕疵类型Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-07
 */
@Mapper
public interface ClothFlawTypeMapper extends BaseMapper<ClothFlawType> {
    /**
     * 查询衣服瑕疵类型
     *
     * @param id 衣服瑕疵类型主键
     * @return 衣服瑕疵类型
     */
    public ClothFlawType selectClothFlawTypeById(Long id);

    /**
     * 查询衣服瑕疵类型列表
     *
     * @param clothFlawType 衣服瑕疵类型
     * @return 衣服瑕疵类型集合
     */
    public List<ClothFlawType> selectClothFlawTypeList(ClothFlawType clothFlawType);

    /**
     * 新增衣服瑕疵类型
     *
     * @param clothFlawType 衣服瑕疵类型
     * @return 结果
     */
    public int insertClothFlawType(ClothFlawType clothFlawType);

    /**
     * 修改衣服瑕疵类型
     *
     * @param clothFlawType 衣服瑕疵类型
     * @return 结果
     */
    public int updateClothFlawType(ClothFlawType clothFlawType);

    /**
     * 删除衣服瑕疵类型
     *
     * @param id 衣服瑕疵类型主键
     * @return 结果
     */
    public int deleteClothFlawTypeById(Long id);

    /**
     * 批量删除衣服瑕疵类型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothFlawTypeByIds(Long[] ids);
}
