package com.yiqi.core.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.ClothHanger;
import com.yiqi.core.domain.vo.ClothHangerVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 挂架管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-05
 */
@Mapper
public interface ClothHangerMapper extends BaseMapper<ClothHanger> {
    /**
     * 查询挂架管理
     *
     * @param id 挂架管理主键
     * @return 挂架管理
     */
    public ClothHanger selectClothHangerById(Long id);

    /**
     * 查询挂架管理列表
     *
     * @param clothHangerVO 挂架管理
     * @return 挂架管理集合
     */
    public List<ClothHangerVO> selectClothHangerList(ClothHangerVO clothHangerVO);

    /**
     * 新增挂架管理
     *
     * @param clothHanger 挂架管理
     * @return 结果
     */
    public int insertClothHanger(ClothHanger clothHanger);

    /**
     * 修改挂架管理
     *
     * @param clothHanger 挂架管理
     * @return 结果
     */
    public int updateClothHanger(ClothHanger clothHanger);

    /**
     * 删除挂架管理
     *
     * @param id 挂架管理主键
     * @return 结果
     */
    public int deleteClothHangerById(Long id);

    /**
     * 批量删除挂架管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothHangerByIds(Long[] ids);
}
