package com.yiqi.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.vo.ClothRewashReasonVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.core.domain.ClothRewashReason;

/**
 * 衣服重洗原因Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-23
 */
@Mapper
public interface ClothRewashReasonMapper extends BaseMapper<ClothRewashReason> {
    /**
     * 查询衣服重洗原因
     *
     * @param id 衣服重洗原因主键
     * @return 衣服重洗原因
     */
    public ClothRewashReasonVO selectClothRewashReasonById(Long id);

    /**
     * 查询衣服重洗原因列表
     *
     * @param clothRewashReasonVO 衣服重洗原因
     * @return 衣服重洗原因集合
     */
    public List<ClothRewashReasonVO> selectClothRewashReasonList(ClothRewashReasonVO clothRewashReasonVO);

    /**
     * 新增衣服重洗原因
     *
     * @param clothRewashReason 衣服重洗原因
     * @return 结果
     */
    public int insertClothRewashReason(ClothRewashReason clothRewashReason);

    /**
     * 修改衣服重洗原因
     *
     * @param clothRewashReason 衣服重洗原因
     * @return 结果
     */
    public int updateClothRewashReason(ClothRewashReason clothRewashReason);

    /**
     * 删除衣服重洗原因
     *
     * @param id 衣服重洗原因主键
     * @return 结果
     */
    public int deleteClothRewashReasonById(Long id);

    /**
     * 批量删除衣服重洗原因
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothRewashReasonByIds(Long[] ids);
}
