package com.yiqi.core.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.ClothColor;
import com.yiqi.core.domain.ClothWashMode;
import org.apache.ibatis.annotations.Mapper;

/**
 * 洗衣方式Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-09
 */
@Mapper
public interface ClothWashModeMapper extends BaseMapper<ClothWashMode> {
    /**
     * 查询洗衣方式
     *
     * @param id 洗衣方式主键
     * @return 洗衣方式
     */
    public ClothWashMode selectClothWashModeById(Long id);

    /**
     * 查询洗衣方式列表
     *
     * @param clothWashMode 洗衣方式
     * @return 洗衣方式集合
     */
    public List<ClothWashMode> selectClothWashModeList(ClothWashMode clothWashMode);

    /**
     * 新增洗衣方式
     *
     * @param clothWashMode 洗衣方式
     * @return 结果
     */
    public int insertClothWashMode(ClothWashMode clothWashMode);

    /**
     * 修改洗衣方式
     *
     * @param clothWashMode 洗衣方式
     * @return 结果
     */
    public int updateClothWashMode(ClothWashMode clothWashMode);

    /**
     * 删除洗衣方式
     *
     * @param id 洗衣方式主键
     * @return 结果
     */
    public int deleteClothWashModeById(Long id);

    /**
     * 批量删除洗衣方式
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothWashModeByIds(Long[] ids);
}
