package com.yiqi.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.vo.ClothPriceVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.core.domain.ClothWashModeRelation;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

/**
 * 洗衣方式和衣服类别关联Mapper接口
 *
 * @author xiaohei
 * @date 2023-10-11
 */
@Mapper
public interface ClothWashModeRelationMapper extends BaseMapper<ClothWashModeRelation> {

    public List<ClothPriceVO> selectWashModePriceByClothId(@Param("clothId") Long clothId,@Param("storeAreaId") Long storeAreaId);

    /**
     * 查询洗衣方式和衣服类别关联
     *
     * @param id 洗衣方式和衣服类别关联主键
     * @return 洗衣方式和衣服类别关联
     */
    public ClothWashModeRelation selectClothWashModeRelationById(Long id);

    /**
     * 查询洗衣方式和衣服类别关联列表
     *
     * @param clothWashModeRelation 洗衣方式和衣服类别关联
     * @return 洗衣方式和衣服类别关联集合
     */
    public List<ClothWashModeRelation> selectClothWashModeRelationList(ClothWashModeRelation clothWashModeRelation);

    /**
     * 新增洗衣方式和衣服类别关联
     *
     * @param clothWashModeRelation 洗衣方式和衣服类别关联
     * @return 结果
     */
    public int insertClothWashModeRelation(ClothWashModeRelation clothWashModeRelation);

    /**
     * 修改洗衣方式和衣服类别关联
     *
     * @param clothWashModeRelation 洗衣方式和衣服类别关联
     * @return 结果
     */
    public int updateClothWashModeRelation(ClothWashModeRelation clothWashModeRelation);

    /**
     * 删除洗衣方式和衣服类别关联
     *
     * @param id 洗衣方式和衣服类别关联主键
     * @return 结果
     */
    public int deleteClothWashModeRelationById(Long id);

    /**
     * 批量删除洗衣方式和衣服类别关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothWashModeRelationByIds(Long[] ids);
}
