package com.yiqi.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.GoodsInfo;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.core.domain.GoodsBrand;

/**
 * 商品品牌管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-21
 */
@Mapper
public interface GoodsBrandMapper extends BaseMapper<GoodsBrand> {
    /**
     * 查询商品品牌管理
     *
     * @param id 商品品牌管理主键
     * @return 商品品牌管理
     */
    public GoodsBrand selectGoodsBrandById(Long id);

    /**
     * 查询商品品牌管理列表
     *
     * @param goodsBrand 商品品牌管理
     * @return 商品品牌管理集合
     */
    public List<GoodsBrand> selectGoodsBrandList(GoodsBrand goodsBrand);

    /**
     * 新增商品品牌管理
     *
     * @param goodsBrand 商品品牌管理
     * @return 结果
     */
    public int insertGoodsBrand(GoodsBrand goodsBrand);

    /**
     * 修改商品品牌管理
     *
     * @param goodsBrand 商品品牌管理
     * @return 结果
     */
    public int updateGoodsBrand(GoodsBrand goodsBrand);

    /**
     * 删除商品品牌管理
     *
     * @param id 商品品牌管理主键
     * @return 结果
     */
    public int deleteGoodsBrandById(Long id);

    /**
     * 批量删除商品品牌管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGoodsBrandByIds(Long[] ids);



}
