package com.yiqi.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.dto.GoodsCommentQueryDTO;
import com.yiqi.core.domain.dto.weapp.WeAppGoodsCommentQueryDTO;
import com.yiqi.core.domain.vo.GoodsCommentQueryVO;
import com.yiqi.core.domain.vo.weapp.WeAppGoodsCommentQueryVO;
import com.yiqi.core.domain.vo.weapp.WeAppGoodsCommentVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.core.domain.GoodsComment;
import org.apache.ibatis.annotations.Param;

/**
 * 商品评论Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-19
 */
@Mapper
public interface GoodsCommentMapper extends BaseMapper<GoodsComment> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询商品评论
     *
     * @param id 商品评论主键
     * @return 商品评论
     */
    public GoodsComment selectGoodsCommentById(Long id);

    /**
     * 查询商品评论列表
     *
     * @param goodsCommentQueryDTO 商品评论
     * @return 商品评论集合
     */
    public List<GoodsCommentQueryVO> selectGoodsCommentList(GoodsCommentQueryDTO goodsCommentQueryDTO);

    /**
     * 查询商品评论列表总数
     *
     * @param goodsCommentQueryDTO 商品评论
     * @return 商品评论集合
     */
    public Integer countNumberByGoodsCommentList(GoodsCommentQueryDTO goodsCommentQueryDTO);




}
