package com.yiqi.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.core.domain.vo.GoodsSkuStockRecordVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.core.domain.GoodsSkuStockRecord;

/**
 * 商品库存变更记录Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-29
 */
@Mapper
public interface GoodsSkuStockRecordMapper extends BaseMapper<GoodsSkuStockRecord> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询商品库存变更记录
     *
     * @param id 商品库存变更记录主键
     * @return 商品库存变更记录
     */
    public GoodsSkuStockRecord selectGoodsSkuStockRecordById(Long id);

    /**
     * 查询商品库存变更记录列表
     *
     * @param goodsSkuStockRecord 商品库存变更记录
     * @return 商品库存变更记录集合
     */
    public List<GoodsSkuStockRecordVO> selectGoodsSkuStockRecordList(GoodsSkuStockRecord goodsSkuStockRecord);

    /**
     * 新增商品库存变更记录
     *
     * @param goodsSkuStockRecord 商品库存变更记录
     * @return 结果
     */
    public int insertGoodsSkuStockRecord(GoodsSkuStockRecord goodsSkuStockRecord);

    /**
     * 修改商品库存变更记录
     *
     * @param goodsSkuStockRecord 商品库存变更记录
     * @return 结果
     */
    public int updateGoodsSkuStockRecord(GoodsSkuStockRecord goodsSkuStockRecord);

    /**
     * 删除商品库存变更记录
     *
     * @param id 商品库存变更记录主键
     * @return 结果
     */
    public int deleteGoodsSkuStockRecordById(Long id);

    /**
     * 批量删除商品库存变更记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGoodsSkuStockRecordByIds(Long[] ids);
    //</editor-folder>
}
