package com.yiqi.delay;

import lombok.Data;

import java.io.Serializable;

/**
 * @author douya
 * @description 延迟消息
 * @date 2022/5/19
 */
@Data
public class DelayMessage implements Serializable {

    /**
     * 消息内容参数
     */
    private String data;

    /**
     * 唯一的延迟队列key
     */
    private String uniqueKey;

    /**
     * 消息标签
     */
    private String tags;

    /**
     * 轮询次数，针对需要轮询的队列
     */
    private Integer pollingNum = 1;

    /**
     * 是否立即执行
     */
    private Integer isRun = 1;

    /**
     * 执行器 运行时间 （秒数）
     */
    private Long runTime;

    public DelayMessage() {
    }

    public DelayMessage(String uniqueKey, String tags, String data) {
        this.data = data;
        this.uniqueKey = uniqueKey;
        this.tags = tags;
    }
}
