package com.yiqi.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.activity.domain.ActivityCouponItem;
import com.yiqi.core.domain.GoodsSkuStore;
import com.yiqi.order.domain.OrderActivity;
import com.yiqi.order.domain.dto.OrderActivityQueryDTO;
import com.yiqi.order.domain.vo.OrderActivityVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 活动订单Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-30
 */
@Mapper
public interface OrderActivityMapper extends BaseMapper<OrderActivity> {
    /**
     * 查询活动订单
     *
     * @param id 活动订单主键
     * @return 活动订单
     */
    public OrderActivity selectOrderActivityById(Long id);

    /**
     * 查询活动订单列表
     *
     * @param orderActivityQueryDTO 活动订单
     * @return 活动订单集合
     */
    public List<OrderActivityVO> selectOrderActivityList(OrderActivityQueryDTO orderActivityQueryDTO);

    /**
     * 新增活动订单
     *
     * @param orderActivity 活动订单
     * @return 结果
     */
    public int insertOrderActivity(OrderActivity orderActivity);

    /**
     * 修改活动订单
     *
     * @param orderActivity 活动订单
     * @return 结果
     */
    public int updateOrderActivity(OrderActivity orderActivity);

    /**
     * 删除活动订单
     *
     * @param id 活动订单主键
     * @return 结果
     */
    public int deleteOrderActivityById(Long id);

    /**
     * 批量删除活动订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderActivityByIds(Long[] ids);
}
