package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderClothAddress;
import org.apache.ibatis.annotations.Param;

/**
 * 客户取衣订单地址Mapper接口
 *
 * @author douya
 * @date 2024-08-15
 */
@Mapper
public interface OrderClothAddressMapper extends BaseMapper<OrderClothAddress> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询客户取衣订单地址
     *
     * @param id 客户取衣订单地址主键
     * @return 客户取衣订单地址
     */
    public OrderClothAddress selectOrderClothAddressById(Long id);

    /**
     * 查询客户取衣订单地址列表
     *
     * @param orderClothAddress 客户取衣订单地址
     * @return 客户取衣订单地址集合
     */
    public List<OrderClothAddress> selectOrderClothAddressList(OrderClothAddress orderClothAddress);

    /**
     * 新增客户取衣订单地址
     *
     * @param orderClothAddress 客户取衣订单地址
     * @return 结果
     */
    public int insertOrderClothAddress(OrderClothAddress orderClothAddress);

    /**
     * 修改客户取衣订单地址
     *
     * @param orderClothAddress 客户取衣订单地址
     * @return 结果
     */
    public int updateOrderClothAddress(OrderClothAddress orderClothAddress);

    /**
     * 删除客户取衣订单地址
     *
     * @param id 客户取衣订单地址主键
     * @return 结果
     */
    public int deleteOrderClothAddressById(Long id);

    /**
     * 批量删除客户取衣订单地址
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderClothAddressByIds(Long[] ids);


    OrderClothAddress getByorderSn(@Param("orderSn") String orderSn);
    //</editor-folder>
}
