package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderClothCouponRelation;

/**
 * 洗衣订单优惠券使用情况Mapper接口
 *
 * @author xiaohei
 * @date 2023-11-07
 */
@Mapper
public interface OrderClothCouponRelationMapper extends BaseMapper<OrderClothCouponRelation> {
    /**
     * 查询洗衣订单优惠券使用情况
     *
     * @param id 洗衣订单优惠券使用情况主键
     * @return 洗衣订单优惠券使用情况
     */
    public OrderClothCouponRelation selectOrderClothCouponRelationById(Long id);

    /**
     * 查询洗衣订单优惠券使用情况列表
     *
     * @param orderClothCouponRelation 洗衣订单优惠券使用情况
     * @return 洗衣订单优惠券使用情况集合
     */
    public List<OrderClothCouponRelation> selectOrderClothCouponRelationList(OrderClothCouponRelation orderClothCouponRelation);

    /**
     * 新增洗衣订单优惠券使用情况
     *
     * @param orderClothCouponRelation 洗衣订单优惠券使用情况
     * @return 结果
     */
    public int insertOrderClothCouponRelation(OrderClothCouponRelation orderClothCouponRelation);

    /**
     * 修改洗衣订单优惠券使用情况
     *
     * @param orderClothCouponRelation 洗衣订单优惠券使用情况
     * @return 结果
     */
    public int updateOrderClothCouponRelation(OrderClothCouponRelation orderClothCouponRelation);

    /**
     * 删除洗衣订单优惠券使用情况
     *
     * @param id 洗衣订单优惠券使用情况主键
     * @return 结果
     */
    public int deleteOrderClothCouponRelationById(Long id);

    /**
     * 批量删除洗衣订单优惠券使用情况
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderClothCouponRelationByIds(Long[] ids);
}
