package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderClothCraft;

/**
 * 洗衣订单衣服工艺Mapper接口
 *
 * @author xiaohei
 * @date 2023-10-06
 */
@Mapper
public interface OrderClothCraftMapper extends BaseMapper<OrderClothCraft> {
    /**
     * 查询洗衣订单衣服工艺
     *
     * @param id 洗衣订单衣服工艺主键
     * @return 洗衣订单衣服工艺
     */
    public OrderClothCraft selectOrderClothCraftById(Long id);

    /**
     * 查询洗衣订单衣服工艺列表
     *
     * @param orderClothCraft 洗衣订单衣服工艺
     * @return 洗衣订单衣服工艺集合
     */
    public List<OrderClothCraft> selectOrderClothCraftList(OrderClothCraft orderClothCraft);

    /**
     * 新增洗衣订单衣服工艺
     *
     * @param orderClothCraft 洗衣订单衣服工艺
     * @return 结果
     */
    public int insertOrderClothCraft(OrderClothCraft orderClothCraft);

    /**
     * 修改洗衣订单衣服工艺
     *
     * @param orderClothCraft 洗衣订单衣服工艺
     * @return 结果
     */
    public int updateOrderClothCraft(OrderClothCraft orderClothCraft);

    /**
     * 删除洗衣订单衣服工艺
     *
     * @param id 洗衣订单衣服工艺主键
     * @return 结果
     */
    public int deleteOrderClothCraftById(Long id);

    /**
     * 批量删除洗衣订单衣服工艺
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderClothCraftByIds(Long[] ids);
}
