package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.app.domain.dto.AppDeliveryManListQueryDTO;
import com.yiqi.order.domain.dto.OrderAppointmentDTO2;
import com.yiqi.order.domain.dto.OrderFinancialDayQueryDTO;
import com.yiqi.order.domain.dto.OrderFinancialMonthQueryDTO;
import com.yiqi.order.domain.dto.weapp.OrderClothAppQueryDTO;
import com.yiqi.order.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderCloth;
import org.apache.ibatis.annotations.Param;

/**
 * 洗衣订单Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-06
 */
@Mapper
public interface OrderClothMapper extends BaseMapper<OrderCloth> {

    public List<OrderClothVO> findPage(@Param("orderClothAppQueryDTO") OrderClothAppQueryDTO orderClothAppQueryDTO,@Param("appUserId") long appUserId);

    /**
     * 查询洗衣订单
     *
     * @param id 洗衣订单主键
     * @return 洗衣订单
     */
    public OrderCloth selectOrderClothById(Long id);

    /**
     * 查询洗衣订单列表
     *
     * @param orderCloth 洗衣订单
     * @return 洗衣订单集合
     */
    public List<OrderCloth> selectOrderClothList(OrderCloth orderCloth);

    /**
     * 新增洗衣订单
     *
     * @param orderCloth 洗衣订单
     * @return 结果
     */
    public int insertOrderCloth(OrderCloth orderCloth);

    /**
     * 修改洗衣订单
     *
     * @param orderCloth 洗衣订单
     * @return 结果
     */
    public int updateOrderCloth(OrderCloth orderCloth);

    /**
     * 删除洗衣订单
     *
     * @param id 洗衣订单主键
     * @return 结果
     */
    public int deleteOrderClothById(Long id);

    /**
     * 批量删除洗衣订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderClothByIds(Long[] ids);


    /**
     * 查询配送员接单记录列表
     */
    public List<OrderClothRecordVO> getDeliveryOrderRecordList(AppDeliveryManListQueryDTO appDeliveryManListQueryDTO);

    /**
     * 获取预约洗衣订单
     */
    public List<OrderClothAppointmentVO> getAppointmentClothOrderList(OrderAppointmentDTO2 orderAppointmentDTO2);

    public List<OrderClothFinancialVO>  listFinancialStatisticsByClothOrderDay(@Param("orderFinancialDayQueryDTO") OrderFinancialDayQueryDTO orderFinancialDayQueryDTO,
                                                                               @Param("orgId") Long orgId,
                                                                               @Param("sourceType") String sourceType);

    public Integer countFinancialStatisticsByClothOrderDay(@Param("orderFinancialDayQueryDTO") OrderFinancialDayQueryDTO orderFinancialDayQueryDTO,
                                                           @Param("orgId") Long orgId,
                                                           @Param("sourceType") String sourceType);

    public List<OrderClothFinancialVO> listFinancialStatisticsByClothOrderToday(@Param("orderFinancialDayQueryDTO") OrderFinancialDayQueryDTO orderFinancialDayQueryDTO,
                                                                                @Param("orgId") Long orgId,
                                                                                @Param("sourceType") String sourceType);

    public List<OrderClothFinancialVO> listFinancialStatisticsByClothOrderMTD(@Param("orgId") Long orgId,
                                                                              @Param("sourceType") String sourceType);

    List<OrderClothFinancialVO> listFinancialStatisticsByClothOrderMonth(@Param("orderFinancialMonthQueryDTO") OrderFinancialMonthQueryDTO orderFinancialMonthQueryDTO,
                                                                         @Param("orgId") Long orgId,
                                                                         @Param("sourceType") String sourceType);

    Integer countFinancialStatisticsByClothOrderMonth(@Param("orderFinancialMonthQueryDTO") OrderFinancialMonthQueryDTO orderFinancialMonthQueryDTO,
                                                      @Param("orgId") Long orgId,
                                                      @Param("sourceType") String sourceType);
}
