package com.yiqi.order.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderClothRefund;

/**
 * 洗衣退款订单Mapper接口
 *
 * @author douya
 * @date 2024-08-13
 */
@Mapper
public interface OrderClothRefundMapper extends BaseMapper<OrderClothRefund> {
    //<editor-folder desc="基础韩素">

    /**
     * 查询洗衣退款订单
     *
     * @param id 洗衣退款订单主键
     * @return 洗衣退款订单
     */
    public OrderClothRefund selectOrderClothRefundById(Long id);

    /**
     * 查询洗衣退款订单列表
     *
     * @param orderClothRefund 洗衣退款订单
     * @return 洗衣退款订单集合
     */
    public List<OrderClothRefund> selectOrderClothRefundList(OrderClothRefund orderClothRefund);

    /**
     * 新增洗衣退款订单
     *
     * @param orderClothRefund 洗衣退款订单
     * @return 结果
     */
    public int insertOrderClothRefund(OrderClothRefund orderClothRefund);

    /**
     * 修改洗衣退款订单
     *
     * @param orderClothRefund 洗衣退款订单
     * @return 结果
     */
    public int updateOrderClothRefund(OrderClothRefund orderClothRefund);

    /**
     * 删除洗衣退款订单
     *
     * @param id 洗衣退款订单主键
     * @return 结果
     */
    public int deleteOrderClothRefundById(Long id);

    /**
     * 批量删除洗衣退款订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderClothRefundByIds(Long[] ids);
    //</editor-folder>
}
