package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderClothStatusRecord;

/**
 * 洗衣订单状态变更记录Mapper接口
 *
 * @author ruoyi
 * @date 2024-01-23
 */
@Mapper
public interface OrderClothStatusRecordMapper extends BaseMapper<OrderClothStatusRecord> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询洗衣订单状态变更记录
     *
     * @param id 洗衣订单状态变更记录主键
     * @return 洗衣订单状态变更记录
     */
    public OrderClothStatusRecord selectOrderClothStatusRecordById(Long id);

    /**
     * 查询洗衣订单状态变更记录列表
     *
     * @param orderClothStatusRecord 洗衣订单状态变更记录
     * @return 洗衣订单状态变更记录集合
     */
    public List<OrderClothStatusRecord> selectOrderClothStatusRecordList(OrderClothStatusRecord orderClothStatusRecord);

    /**
     * 新增洗衣订单状态变更记录
     *
     * @param orderClothStatusRecord 洗衣订单状态变更记录
     * @return 结果
     */
    public int insertOrderClothStatusRecord(OrderClothStatusRecord orderClothStatusRecord);

    /**
     * 修改洗衣订单状态变更记录
     *
     * @param orderClothStatusRecord 洗衣订单状态变更记录
     * @return 结果
     */
    public int updateOrderClothStatusRecord(OrderClothStatusRecord orderClothStatusRecord);

    /**
     * 删除洗衣订单状态变更记录
     *
     * @param id 洗衣订单状态变更记录主键
     * @return 结果
     */
    public int deleteOrderClothStatusRecordById(Long id);

    /**
     * 批量删除洗衣订单状态变更记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderClothStatusRecordByIds(Long[] ids);
    //</editor-folder>
}
