package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderClothType;

/**
 * 洗衣订单衣服类型Mapper接口
 *
 * @author xiaohei
 * @date 2023-10-06
 */
@Mapper
public interface OrderClothTypeMapper extends BaseMapper<OrderClothType> {
    /**
     * 查询洗衣订单衣服类型
     *
     * @param id 洗衣订单衣服类型主键
     * @return 洗衣订单衣服类型
     */
    public OrderClothType selectOrderClothTypeById(Long id);

    /**
     * 查询洗衣订单衣服类型列表
     *
     * @param orderClothType 洗衣订单衣服类型
     * @return 洗衣订单衣服类型集合
     */
    public List<OrderClothType> selectOrderClothTypeList(OrderClothType orderClothType);

    /**
     * 新增洗衣订单衣服类型
     *
     * @param orderClothType 洗衣订单衣服类型
     * @return 结果
     */
    public int insertOrderClothType(OrderClothType orderClothType);

    /**
     * 修改洗衣订单衣服类型
     *
     * @param orderClothType 洗衣订单衣服类型
     * @return 结果
     */
    public int updateOrderClothType(OrderClothType orderClothType);

    /**
     * 删除洗衣订单衣服类型
     *
     * @param id 洗衣订单衣服类型主键
     * @return 结果
     */
    public int deleteOrderClothTypeById(Long id);

    /**
     * 批量删除洗衣订单衣服类型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderClothTypeByIds(Long[] ids);
}
