package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.order.domain.OrderDelivery;
import com.yiqi.order.domain.dto.OrderDeliveryRequestDTO;
import com.yiqi.order.domain.vo.OrderDeliveryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 订单配送Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-07
 */
@Mapper
public interface OrderDeliveryMapper extends BaseMapper<OrderDelivery> {

    /**
     * 查询订单配送列表
     *
     * @param requestDTO 查询参数
     * @return 订单配送集合
     */
    List<OrderDeliveryVO> selectOrderDeliveryList(@Param("requestDTO") OrderDeliveryRequestDTO requestDTO);

}
