package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderGoodsItem;

/**
 * 商品订单商品信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@Mapper
public interface OrderGoodsItemMapper extends BaseMapper<OrderGoodsItem> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询商品订单商品信息
     *
     * @param id 商品订单商品信息主键
     * @return 商品订单商品信息
     */
    public OrderGoodsItem selectOrderGoodsItemById(Long id);

    /**
     * 查询商品订单商品信息列表
     *
     * @param orderGoodsItem 商品订单商品信息
     * @return 商品订单商品信息集合
     */
    public List<OrderGoodsItem> selectOrderGoodsItemList(OrderGoodsItem orderGoodsItem);

    /**
     * 新增商品订单商品信息
     *
     * @param orderGoodsItem 商品订单商品信息
     * @return 结果
     */
    public int insertOrderGoodsItem(OrderGoodsItem orderGoodsItem);

    /**
     * 修改商品订单商品信息
     *
     * @param orderGoodsItem 商品订单商品信息
     * @return 结果
     */
    public int updateOrderGoodsItem(OrderGoodsItem orderGoodsItem);

    /**
     * 删除商品订单商品信息
     *
     * @param id 商品订单商品信息主键
     * @return 结果
     */
    public int deleteOrderGoodsItemById(Long id);

    /**
     * 批量删除商品订单商品信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderGoodsItemByIds(Long[] ids);
    //</editor-folder>
}
