package com.yiqi.order.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderGoodsSku;

/**
 * 商品订单物料明细Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-06
 */
@Mapper
public interface OrderGoodsSkuMapper extends BaseMapper<OrderGoodsSku> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询商品订单物料明细
     *
     * @param id 商品订单物料明细主键
     * @return 商品订单物料明细
     */
    public OrderGoodsSku selectOrderGoodsSkuById(Long id);

    /**
     * 查询商品订单物料明细列表
     *
     * @param orderGoodsSku 商品订单物料明细
     * @return 商品订单物料明细集合
     */
    public List<OrderGoodsSku> selectOrderGoodsSkuList(OrderGoodsSku orderGoodsSku);

    /**
     * 新增商品订单物料明细
     *
     * @param orderGoodsSku 商品订单物料明细
     * @return 结果
     */
    public int insertOrderGoodsSku(OrderGoodsSku orderGoodsSku);

    /**
     * 修改商品订单物料明细
     *
     * @param orderGoodsSku 商品订单物料明细
     * @return 结果
     */
    public int updateOrderGoodsSku(OrderGoodsSku orderGoodsSku);

    /**
     * 删除商品订单物料明细
     *
     * @param id 商品订单物料明细主键
     * @return 结果
     */
    public int deleteOrderGoodsSkuById(Long id);

    /**
     * 批量删除商品订单物料明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderGoodsSkuByIds(Long[] ids);
    //</editor-folder>
}
