package com.yiqi.order.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderPayInfo;

/**
 * 第三方支付记录Mapper接口
 *
 * @author douya
 * @date 2024-08-21
 */
@Mapper
public interface OrderPayInfoMapper extends BaseMapper<OrderPayInfo> {
    //<editor-folder desc="基础韩素">

    /**
     * 查询第三方支付记录
     *
     * @param id 第三方支付记录主键
     * @return 第三方支付记录
     */
    public OrderPayInfo selectOrderPayInfoById(Long id);

    /**
     * 查询第三方支付记录列表
     *
     * @param orderPayInfo 第三方支付记录
     * @return 第三方支付记录集合
     */
    public List<OrderPayInfo> selectOrderPayInfoList(OrderPayInfo orderPayInfo);

    /**
     * 新增第三方支付记录
     *
     * @param orderPayInfo 第三方支付记录
     * @return 结果
     */
    public int insertOrderPayInfo(OrderPayInfo orderPayInfo);

    /**
     * 修改第三方支付记录
     *
     * @param orderPayInfo 第三方支付记录
     * @return 结果
     */
    public int updateOrderPayInfo(OrderPayInfo orderPayInfo);

    /**
     * 删除第三方支付记录
     *
     * @param id 第三方支付记录主键
     * @return 结果
     */
    public int deleteOrderPayInfoById(Long id);

    /**
     * 批量删除第三方支付记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderPayInfoByIds(Long[] ids);
    //</editor-folder>
}
