package com.yiqi.order.mapper;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderRechargeInstalment;
import org.apache.ibatis.annotations.Select;

/**
 * 充值订单分段支付记录Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-30
 */
@Mapper
public interface OrderRechargeInstalmentMapper extends BaseMapper<OrderRechargeInstalment> {
    /**
     * 查询充值订单分段支付记录,已支付金额总和
     *
     * @param orderNo 充值订单分段支付订单编号
     * @return 充值订单分段支付记录
     */
    public BigDecimal getTotalPayAmount(String orderNo);
    /**
     * 查询充值订单分段支付记录
     *
     * @param id 充值订单分段支付记录主键
     * @return 充值订单分段支付记录
     */
    public OrderRechargeInstalment selectOrderRechargeInstalmentById(Long id);

    /**
     * 查询充值订单分段支付记录列表
     *
     * @param orderRechargeInstalment 充值订单分段支付记录
     * @return 充值订单分段支付记录集合
     */
    public List<OrderRechargeInstalment> selectOrderRechargeInstalmentList(OrderRechargeInstalment orderRechargeInstalment);

    /**
     * 新增充值订单分段支付记录
     *
     * @param orderRechargeInstalment 充值订单分段支付记录
     * @return 结果
     */
    public int insertOrderRechargeInstalment(OrderRechargeInstalment orderRechargeInstalment);

    /**
     * 修改充值订单分段支付记录
     *
     * @param orderRechargeInstalment 充值订单分段支付记录
     * @return 结果
     */
    public int updateOrderRechargeInstalment(OrderRechargeInstalment orderRechargeInstalment);

    /**
     * 删除充值订单分段支付记录
     *
     * @param id 充值订单分段支付记录主键
     * @return 结果
     */
    public int deleteOrderRechargeInstalmentById(Long id);

    /**
     * 批量删除充值订单分段支付记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderRechargeInstalmentByIds(Long[] ids);
}
