package com.yiqi.order.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.order.domain.OrderRefundInfo;

/**
 * 第三方退款记录Mapper接口
 *
 * @author douya
 * @date 2024-09-16
 */
@Mapper
public interface OrderRefundInfoMapper extends BaseMapper<OrderRefundInfo> {
    //<editor-folder desc="基础韩素">

    /**
     * 查询第三方退款记录
     *
     * @param id 第三方退款记录主键
     * @return 第三方退款记录
     */
    public OrderRefundInfo selectOrderRefundInfoById(Long id);

    /**
     * 查询第三方退款记录列表
     *
     * @param orderRefundInfo 第三方退款记录
     * @return 第三方退款记录集合
     */
    public List<OrderRefundInfo> selectOrderRefundInfoList(OrderRefundInfo orderRefundInfo);

    /**
     * 新增第三方退款记录
     *
     * @param orderRefundInfo 第三方退款记录
     * @return 结果
     */
    public int insertOrderRefundInfo(OrderRefundInfo orderRefundInfo);

    /**
     * 修改第三方退款记录
     *
     * @param orderRefundInfo 第三方退款记录
     * @return 结果
     */
    public int updateOrderRefundInfo(OrderRefundInfo orderRefundInfo);

    /**
     * 删除第三方退款记录
     *
     * @param id 第三方退款记录主键
     * @return 结果
     */
    public int deleteOrderRefundInfoById(Long id);

    /**
     * 批量删除第三方退款记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderRefundInfoByIds(Long[] ids);
    //</editor-folder>
}
