package com.yiqi.recharge.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.recharge.domain.RechargeCardBatchRecord;
import com.yiqi.recharge.domain.dto.RechargeBatchCardDetailListQueryDTO;
import com.yiqi.recharge.domain.dto.RechargeBatchUseRecordListQueryDTO;
import com.yiqi.recharge.domain.vo.RechargeBatchCardDetailListQueryVO;
import com.yiqi.recharge.domain.vo.RechargeBatchUseRecordListQueryVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xiaohei
 * @date 2024/1/6
 */
@Service
public interface RechargeCardBatchRecordMapper extends BaseMapper<RechargeCardBatchRecord> {

    /**
     * 同批次充值卡的消费记录列表
     * @param rechargeBatchUseRecordListQueryDTO
     * @return
     */
    public List<RechargeBatchUseRecordListQueryVO> listCardUseRecordByBatchNo(RechargeBatchUseRecordListQueryDTO rechargeBatchUseRecordListQueryDTO);

    /**
     * 同批次充值卡的消费记录列表总数
     * @param rechargeBatchUseRecordListQueryDTO
     * @return
     */
    public int countCardUseRecordByBatchNo(RechargeBatchUseRecordListQueryDTO rechargeBatchUseRecordListQueryDTO);

    /**
     * 同批次充值卡明细列表
     * @param rechargeBatchCardDetailListQueryDTO
     * @return
     */
    public List<RechargeBatchCardDetailListQueryVO> listCardDetailByBatchNo(RechargeBatchCardDetailListQueryDTO rechargeBatchCardDetailListQueryDTO);

    /**
     * 同批次充值卡明细列表总数
     * @param rechargeBatchCardDetailListQueryDTO
     * @return
     */
    public int countCardDetailByBatchNo(RechargeBatchCardDetailListQueryDTO rechargeBatchCardDetailListQueryDTO);
}
