package com.yiqi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.system.domain.SysNoticeOrgRelation;

/**
 * 公告组织关联Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-24
 */
@Mapper
public interface SysNoticeOrgRelationMapper extends BaseMapper<SysNoticeOrgRelation> {
    /**
     * 查询公告组织关联
     *
     * @param id 公告组织关联主键
     * @return 公告组织关联
     */
    public SysNoticeOrgRelation selectSysNoticeOrgRelationById(Long id);

    /**
     * 查询公告组织关联列表
     *
     * @param sysNoticeOrgRelation 公告组织关联
     * @return 公告组织关联集合
     */
    public List<SysNoticeOrgRelation> selectSysNoticeOrgRelationList(SysNoticeOrgRelation sysNoticeOrgRelation);

    /**
     * 新增公告组织关联
     *
     * @param sysNoticeOrgRelation 公告组织关联
     * @return 结果
     */
    public int insertSysNoticeOrgRelation(SysNoticeOrgRelation sysNoticeOrgRelation);

    /**
     * 修改公告组织关联
     *
     * @param sysNoticeOrgRelation 公告组织关联
     * @return 结果
     */
    public int updateSysNoticeOrgRelation(SysNoticeOrgRelation sysNoticeOrgRelation);

    /**
     * 删除公告组织关联
     *
     * @param id 公告组织关联主键
     * @return 结果
     */
    public int deleteSysNoticeOrgRelationById(Long id);

    /**
     * 批量删除公告组织关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysNoticeOrgRelationByIds(Long[] ids);
}
