package com.yiqi.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.system.domain.SysStore;
import com.yiqi.system.domain.vo.OrgVO;
import com.yiqi.system.domain.vo.SysStoreVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 门店Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-25
 */
@Mapper
public interface SysStoreMapper extends BaseMapper<SysStore> {

    public List<OrgVO> allOrg(@Param("sourceType") String sourceType);

    /**
     * 查询门店列表
     *
     * @param sysStore 门店
     * @return 门店集合
     */
    public List<SysStoreVo> selectSysStoreList(SysStore sysStore);

    /**
     * 删除门店
     *
     * @param id 门店主键
     * @return 结果
     */
    public int deleteSysStoreById(Long id);

    /**
     * 批量删除门店
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysStoreByIds(Long[] ids);
}
